<?php

// QuickTalk forum 1.2 build:20070219

/*
 * CLASS cForum
 *
 * function Get
 * function Make
 * function UpdateStats
 * function MoveContent
 * function DeleteContent
 * [na] PruneContent (this exists only in qtf_adm_topic_prune)
 * function CountNews
 * function CountUnreplies
 *
 */

class cForum
{

// --------

var $domain    = 0;
var $id        = -1;
var $title     = "untitled";
var $descr     = "";
var $type      = "0";  // "0"=visible, "1"=hidden, "2"=hidden by user
var $status    = "0";  // "0"=actif, "1"=closed
var $order     = 0;
var $modid     = 1;
var $modname   = "Administrator";
var $topics    = 0;
var $replies   = 0;
var $numfield  = "0";
var $numformat = "";
/* computed values */
var $dom_title = "";
var $news      = 0;
var $unreplies = 0;     // attention: dflt topics only
var $unrepliesnews = 0; // attention: news topics only
var $lastpost = -1;
var $lastpost_topic;
var $lastpost_date;
var $lastpost_user;
var $lastpost_name;

// --------

function cForum($row=null)
{
  if ( !empty($row) )
  {
  if ( array_key_exists("id",$row) )        $this->id        = $row["id"];
  if ( array_key_exists("domain",$row) )    $this->domain    = $row["domain"];
  if ( array_key_exists("dom_title",$row) ) $this->dom_title = $row["dom_title"];
  if ( array_key_exists("title",$row) )     $this->title     = $row["title"];
  if ( array_key_exists("description",$row) ) $this->descr   = $row["description"];
  if ( array_key_exists("type",$row) )      $this->type      = $row["type"];
  if ( array_key_exists("status",$row) )    $this->status    = $row["status"];
  if ( array_key_exists("order",$row) )     $this->order     = $row["order"];
  if ( array_key_exists("modid",$row) )     $this->modid     = $row["modid"];
  if ( array_key_exists("modname",$row) )   $this->modname   = $row["modname"];
  if ( array_key_exists("topics",$row) )    $this->topics    = $row["topics"];
  if ( array_key_exists("replies",$row) )   $this->replies   = $row["replies"];
  if ( array_key_exists("numfield",$row) )  $this->numfield  = $row["numfield"];
  if ( array_key_exists("numformat",$row) ) $this->numformat = $row["numformat"];
  }
}

// --------

function Get($oDB,$id=-1)
{
  if ( $id<0 ) die(get_class($this)."->Get: Wrong id");

  $oDB->Query("SELECT f.*,d.title as dom_title FROM ".TABFORUM." f INNER JOIN ".TABDOMAIN." d ON d.id=f.domain WHERE f.id=$id");
  $row =  $oDB->Getrow();
  $this->cForum($row);
  $this->news     = 0;
  $this->unreplies = 0;        
  $this->lastpost  = -1; 
  $this->lastpost_topic= NULL;
  $this->lastpost_date = NULL;
  $this->lastpost_user = NULL;
  $this->lastpost_name = NULL;
}

// --------

function GetLastPost($oDB,$id=-1)
{
  if ( $id<0 ) die(get_class($this)."->Get: Wrong id");

  // attention: this subquery requires mysql 4.1 (thus, use here two queries)
  $strQ = "SELECT MAX(id) as maxid FROM ".TABPOST." WHERE forum=$id";

  $oDB->Query($strQ);
  $row = $oDB->Getrow();

  $strQ = "SELECT id,topic,issuedate,userid,username FROM ".TABPOST." WHERE id={$row["maxid"]}";
  $oDB->Query($strQ);
  if ( $row=$oDB->Getrow() )
  {
     $this->lastpost = $row["id"];
     $this->lastpost_topic= $row["topic"];
     $this->lastpost_date = $row["issuedate"];
     $this->lastpost_user = $row["userid"];
     $this->lastpost_name = $row["username"];
  }
}   

// --------

function MakeNew($oDB)
{
    $this->id = TableNextId($oDB,TABFORUM);
    if ( $this->id<0 ) die(get_class($this)."->MakeNew: No id");

    $strQ  = "INSERT INTO ".TABFORUM." ";
    $strQ .= "(domain,id,title,description,type,status,titleorder,moderator,moderatorname,topics,replies,numfield,numformat)";
    $strQ .= " VALUES (";
    $strQ .= "  $this->domain,";
    $strQ .= "  $this->id,";
    $strQ .= "\"$this->title\",";
    $strQ .= "\"$this->descr\",";
    $strQ .= "\"$this->type\",";
    $strQ .= "\"$this->status\",";
    $strQ .= "  $this->order,";
    $strQ .= "  $this->modid,";
    $strQ .= "\"$this->modname\",";
    $strQ .= "  $this->topics,";
    $strQ .= "  $this->replies,";
    $strQ .= "\"$this->numfield\",";
    $strQ .= "\"$this->numformat\")";
    $oDB->Query($strQ);   
}
    
// --------

function UpdateStats($oDB,$int=-1,$intMax=1000)
{
  if ( $int<0 ) die(get_class($this)."->UpdateStats: Wrong id");

  // query topics
  $strQ  = "SELECT count(id) as countid FROM ".TABTOPIC." WHERE forum=$int";
  $oDB->Query($strQ);
  $row =  $oDB->Getrow();

  // register
  $this->topics = $row["countid"];

  // query replies
  $strQ  = "SELECT count(id) as countid FROM ".TABPOST." WHERE forum=$int AND type=\"R\"";
  $oDB->Query($strQ);
  $row =  $oDB->Getrow();

  // register
  $this->replies = $row["countid"];

  // save stats
  $strQ  = "UPDATE ".TABFORUM." SET topics=$this->topics, replies=$this->replies WHERE id=$int";
  $oDB->Query($strQ);

  // check maximum topics in forum
  if ( $intMax>0 )
  {
     if ( $this->topics>$intMax )
     {
     $oDB->Query("UPDATE ".TABFORUM." SET status=\"1\" WHERE id=$int");
     }
  }

  // Unregister global sys (will be recomputed on next page)
  Unset($_SESSION["qtf"]["sys_topics"]);
  Unset($_SESSION["qtf"]["sys_messages"]);
}

// --------

function MoveContent($oDB,$intSrc=-1,$intDest=0,$intRenum=1,$intTopic=-1)
{
  if ( $intSrc<0 || $intDest<0 )
  {
      echo "Forum->MoveContent: Wrong source/destination id";
      Return False;
  }

  $field = "";
  if ( $intRenum==0 )
  {
    $field = ", numid = 0";
  }
  if ( $intRenum==2 )
  {
    $nextnumid = TableNextId($oDB,TABTOPIC,"numid","WHERE forum=$intDest");    
    $oDB->Query("SELECT MIN(numid) as minnumid FROM ".TABTOPIC." WHERE forum=$intSrc");
    $row = $oDB->Getrow();
    $minnumid = $row["minnumid"];
    $field = ", numid = $nextnumid + (numid - $minnumid)";
  }

  // if move only one topic
  $strTopic = "";
  $strPost = "";
  if ( $intTopic>=0 )
  {
    $strTopic=" AND id=$intTopic";
    $strPost=" AND topic=$intTopic";
  }

  // update topics and posts
  $strQ  = "UPDATE ".TABTOPIC." SET forum=$intDest $field WHERE forum=$intSrc $strTopic";
  $oDB->Query($strQ);
  $strQ  = "UPDATE ".TABPOST." SET forum=$intDest WHERE forum=$intSrc $strPost";
  $oDB->Query($strQ);

  // stats
  $this->UpdateStats($oDB,$intSrc);
  $this->UpdateStats($oDB,$intDest);
}

// --------

function DeleteContent($oDB,$int=-1)
{        
  // check
  if ( $int<0 ) die(get_class($this)."->DeleteContent: Wrong forum id [-1]");

  // delete topics and posts
  $strQ  = "DELETE FROM ".TABPOST." WHERE forum=$int";
  $oDB->Query($strQ);
  $strQ  = "DELETE FROM ".TABTOPIC." WHERE forum=$int";
  $oDB->Query($strQ);
  $strQ  = "UPDATE ".TABFORUM." SET topics=0, replies=0 WHERE id=$int";
  $oDB->Query($strQ);
}

// --------

function CountNews($oDB,$int=-1)
{        
  // check
  if ( $this->id<0 )
  {
    echo get_class($this)."->CountNews: Wrong forum id -1";
    Return False;
  }

  // count news
  $strQ  = "SELECT count(id) as countid FROM ".TABTOPIC." WHERE forum=$int AND type=\"A\"";
  $oDB->Query($strQ);
  $row = $oDB->Getrow();
  $this->news = $row["countid"];
}

// --------

function CountUnreplies($oDB,$f=-1,$d=10)
{        
  // check
  if ( $f<0 )
  {
    echo get_class($this)."->CountUnreplied: Wrong forum";
    Return False;
  }
  $strQ = "SELECT count(id) as countid FROM ".TABTOPIC." WHERE forum=$f AND replies=0 AND type<>\"A\" AND ".DateAddBeforeNow($oDB->type,"firstpostdate",$d);
  $oDB->Query($strQ);
  $row = $oDB->Getrow();
  $this->unreplies = $row["countid"];
  $strQ = "SELECT count(id) as countid FROM ".TABTOPIC." WHERE forum=$f AND replies=0 AND type=\"A\" AND ".DateAddBeforeNow($oDB->type,"firstpostdate",$d);
  $oDB->Query($strQ);
  $row = $oDB->Getrow();
  $this->unrepliesnews= $row["countid"];
  
}

// --------

function GetModeratorActions($strRole="V",$lang,$bShowcurrent=false)
{
  // check role
  if ( $strRole!="M" && $strRole!="A" ) Return "";

  // optional
  $strCurrent = "";
  if ( $bShowcurrent ) $strCurrent = " class=\"bold\"";

  // returned value
  $str = "<span class=\"p_button\">";
  if ( $this->status!="0" )
  {
  $str .= "&nbsp;{$lang["Userrole_$strRole"]}:&nbsp;<a href=\"qtf_form_edit.php?f=$this->id&amp;a=nt\">{$lang["Post_new_topic"]}</a>";
  }
  $str .= "</span>";

  return $str;
}

// --------

}

?>