<?php

// QuickTalk forum 1.2 build:20070219

// GetParam: Returns (and register) paramaters from the database
// TableNextId: Returns the next id from a table
// Javamail: Returns an hached email hyperling

// --------

function Invert($str)
{
  if ( $str=="ASC") return "DESC";
  if ( $str=="DESC") return "ASC";
  if ( $str=="Y") return "N";
  if ( $str=="N") return "Y";
  return NULL;
}

// --------

function GetParam($oDB,$bRegister=false,$strWhere="loaded=\"1\"")
{
  $arrParam = array();
  $oDB->Query("SELECT param,setting FROM ".TABSETTING." WHERE $strWhere");  
  while ($row = $oDB->Getrow())
  {
  $arrParam[$row["param"]]=$row["setting"];
  if ( $bRegister ) $_SESSION["qtf"][$row["param"]]=$row["setting"];
  }
  Return $arrParam;
}

// --------

function TableNextId($oDB,$table,$field="id",$where="")
{
  $oDB->Query("SELECT max($field)+1 as newnum FROM $table $where");
  $row = $oDB->Getrow();
  $ret = $row["newnum"];
  if (empty($ret)) $ret=1;
  return $ret;
}

// --------

function Javamail($strLine,$intId,$strMail,$strNojava="Java required")
{
  if ( !isset($strLine) ) die("Showmail: Missing mail line");
  if ( !isset($intId) )   die("Showmail: Missing mail id");
  if ( !isset($strMail) ) die("Showmail: Missing mail address");

  $str = explode("@",$strMail);

  $strLine = str_replace("title=\"e-mail\"","title=\"".$strNojava."\"",$strLine);
  $strLine = str_replace("mailto:$strMail","mailto:protected_adresse",$strLine);
  $strLine = str_replace("<a ","<a onmouseout=\"hmail('E-mail');\" ",$strLine);
  $strLine = str_replace("<a ","<a onmouseover=\"vmail('$intId','{$str[0]}','{$str[1]}');\" ",$strLine);
  $strLine = str_replace("<a ","<a id=\"m$intId\" ",$strLine);

  return $strLine;   
}

/**
 *
 * GetClassIcon
 *
 **/
function GetClassIcon($strSkin="",$oClass,$lang=array())
{
  if ( empty($strSkin) ) die("GetIcon: Missing skin");   
  if ( empty($oClass) ) die("GetIcon: Missing class");

  $strClassname = get_class($oClass);
  $strClassname = strtolower($strClassname); //must be lowercase !
  $strHelp = "";
  
  switch($strClassname)
  {
    case "cforum":
    $strClass  = "forum";
    $strType   = "_".strtolower($oClass->type);
    $strStatus = "_".strtolower($oClass->status);
    if ( !empty($lang) ) $strHelp = $lang["Ico_".$strClass.$strType.$strStatus];
    $strPhase  = "";
    break;
    
    case "ctopic":
    $strClass  = "topic";
    $strType   = "_".strtolower($oClass->type);
    $strStatus = "_".strtolower($oClass->status);
    $strPhase  = "";
    if ( QTF_HOTTOPICS )
    {
      if ( $oClass->replies>QTF_HOTTOPICS ) $strPhase = "_h";
    }
    if ( !empty($lang) ) $strHelp = $lang["Ico_".$strClass.$strType.$strStatus.$strPhase];    
    break;
    
    case "cpost":
    $strClass  = "post";
    $strType   = "_".strtolower($oClass->type);
    $strStatus = "";
    $strPhase  = "";
    break;
    
    default:
    die("Class [$strClassname] not recognised");
  }    
  return "<img class=\"ico_".$strClass."\" src=\"".$strSkin."/ico_".$strClass.$strType.$strStatus.$strPhase.".gif\" alt=\"".substr($strClass,0,1)."\" title=\"$strHelp\" />";
}

/**
 *
 * GetIcon
 *
 **/
function GetIcon($strSkin="",$strClass="",$strType="",$strStatus="",$intPhase=0,$lang=array())
{
  if ( empty($strSkin) ) die("GetIcon: Missing skin");   
  if ( empty($strClass) ) die("GetIcon: Missing class");

  $strClass  = strtolower($strClass);
  $strType   = strtolower($strType);
  $strStatus = strtolower($strStatus);
  $strPhase  = "";
  $strHelp   = "";

  switch($strClass)
  {
    case "forum":
    if ( empty($strType) ) $strType = "0";
    if ( empty($strStatus) ) $strStatus = "0";
    if ( !empty($lang) ) $strHelp = $lang["Ico_".$strClass."_".$strType."_".$strStatus];
    return "<img class=\"ico_$strClass\" src=\"$strSkin/ico_".$strClass."_".$strType."_".$strStatus.".gif\" alt=\"F\" title=\"$strHelp\" />";
    break;

    case "topic":
    if ( empty($strType) ) $strType = "t";
    if ( empty($strStatus) ) $strStatus = "0";
    if ( QTF_HOTTOPICS )
    {
      if ($intPhase>QTF_HOTTOPICS) $strPhase="_h";
    }
    if ( !empty($lang) ) $strHelp   = $lang["Ico_".$strClass."_".$strType."_".$strStatus.$strPhase];
    return "<img class=\"ico_$strClass\" src=\"$strSkin/ico_".$strClass."_".$strType."_".$strStatus.$strPhase.".gif\" alt=\"T\" title=\"$strHelp\" />";
    break;

    case "post":
    if ( empty($strType) ) $strType = "r";
    if ( !empty($lang) ) $strHelp = $lang["Ico_".$strClass."_".$strType];
    return "<img class=\"ico_$strClass\" src=\"$strSkin/ico_".$strClass."_".$strType.".gif\" alt=\"R\" title=\"$strHelp\" />";
    break;

    case "prefi":
    if ( !QTF_PREFIX_ICON ) Return "&nbsp;";
    if ( empty($strType) ) Return "&nbsp;";
    if ( $strType=="00" ) Return "&nbsp;";
    if ( !empty($lang) ) $strHelp = $lang["Ico_".$strClass."_".$strType];
    return "<img class=\"ico_$strClass\" src=\"$strSkin/ico_".$strClass."_".$strType.".gif\" alt=\"[o]\" title=\"$strHelp\" />";
    break;
    
    case "user":
    if ( empty($strType) ) Return "&nbsp;";
    if ( !empty($lang) ) $strHelp = $lang["Ico_".$strClass."_".$strType."_".$strStatus];
    return "<img class=\"ico_$strClass\" src=\"$strSkin/ico_".$strClass."_".$strType."_".$strStatus.".gif\" alt=\"-\" title=\"$strHelp\" />";
    break;
    
    default:
    die("Class [$strClass] not recognised");
  }  
}

/**
 *
 * GetAvatar
 *
 * $strExt is gif,jpeg,jpg,png or 0 (if no avatar)
 * $bHref, image link to profile
 * $bBox, to get a div (class avatarbox) added
 * $strName, name is diplayed on top if not empty
 * $strHelp, is the tip
 * $strCaption, is the bottom text
 * $strNoreturn, the text returned when no avatar (or avatar not allowed). Recommanded to use "&nbsp;" because I.E. doesn't apply style to empty table cell
 *
 **/
function GetAvatar($id=0,$strExt="0",$bHref=False,$strStyle="avatarbox",$strName="",$strHelp="Avatar",$strCaption="",$strNoreturn="")
{
   if ( $id<1 ) Return $strNoreturn;

   $strImg = "";
   if ( $strExt!="0" )
   {
      $strFile = "avatar/".$id.".".$strExt;
      if (file_exists($strFile))
      {
         if ( $bHref ) $strImg .= "<a href=\"qtf_usr.php?id=$id\">";
         $strImg .= "<img class=\"img_avatar\" src=\"$strFile\" alt=\"avatar\" title=\"$strHelp\" /><br />";
         if ( $bHref ) $strImg .= "</a>";
      }
   }
   if ( !empty($strName) )
   {
      if ( $bHref ) { $strImg .= "<a href=\"qtf_usr.php?id=$id\">$strName</a><br />"; } else { $strImg .= "$strName<br />"; }
   }
   if ( !empty($strCaption) ) $strImg .= "$strCaption<br />";
   if ( empty($strImg) ) $strImg = $strNoreturn;
   
   return "<div class=\"$strStyle\"><span class=\"small\">$strImg</span></div>";   

}

/**
 *
 * is_password / is_login / is_mail / is_between
 * 
 * Return FALSE when password not acceptable (or not trimmed)
 * a login can contains ', a password cannot.
 *
 **/
function is_login($str,$intMin=4,$intMax=24)
{
   if ( $str!=trim($str) ) return false;
   if ( !ereg("^[0-9@-Za-z. _'()&#;]+$",$str) ) return false;
   if ( $str!=strip_tags($str) ) return false;
   if ( strlen($str)>$intMax ) return false;
   if ( strlen($str)<$intMin ) return false;
   return true;
}
function is_password($str,$intMin=4,$intMax=24)
{
   if ( $str!=trim($str) ) return false;
   if ( !ereg("^[0-9@-Za-z. _()]+$",$str) ) return false;
   if ( $str!=strip_tags($str) ) return false;
   if ( strlen($str)>$intMax ) return false;
   if ( strlen($str)<$intMin ) return false;
   return true;
}
function is_mail($str)
{
   if ( $str!=trim($str) ) return false;
   if ( $str!=strip_tags($str) ) return false;
   if ( !ereg("^.+@.+\..+$",$str) ) return false;
   return true;
}
function is_between($int,$intMin=0,$intMax=99999)
{
   if ( !is_numeric($int) ) return false;
   if ( intval($int)<$intMin ) return false;
   if ( intval($int)>$intMax ) return false;
   return true;
}

/**
 *
 * FormatTitle
 * 
 * -> trim, strip_tags, escape quotes, truncate (def: 64 char)
 *
 **/
function FormatTitle($str,$intMax=64,$bDroptags=true)
{
   $str = trim($str);
   if ($bDroptags) $str = strip_tags($str);
   $str = htmlspecialchars($str,ENT_QUOTES);
   $str = substr($str,0,$intMax);
   return $str;
}

/**
 *
 * FormatMessage
 * 
 **/
function FormatMessage($str="",$intMax=255)
{
   $str = trim($str);
   $str = htmlspecialchars($str,ENT_QUOTES);
   $str = substr($str,0,$intMax);
   return $str;
}

/**
 *
 * GetDomains
 *
 * Returns an array of [key] domain.id, [value] domain.title
 *
 * $filter:
 * number = returns 1 domain [id][name]
 * *,A,M  = returns all domains (including domains without forum)
 * <other>= return visible domains (=domain having visible forum)
 *
 * $reject: [int]
 * remove one exceptional id from the list
 *
 **/
function GetDomains($oDB,$filter="-",$reject=-1)
{
   // filter
   if     ( $filter=="*" ) $strQ = "SELECT d.id,d.title FROM ".TABDOMAIN." d ORDER BY d.titleorder";
   elseif ( $filter=="A" ) $strQ = "SELECT d.id,d.title FROM ".TABDOMAIN." d ORDER BY d.titleorder";
   elseif ( $filter=="M" ) $strQ = "SELECT d.id,d.title FROM ".TABDOMAIN." d ORDER BY d.titleorder";
   elseif ( is_numeric($filter) ) $strQ = "SELECT d.id,d.title FROM ".TABDOMAIN." d WHERE id=$filter ORDER BY d.titleorder";
   else  $strQ = "SELECT d.id,d.title FROM ".TABDOMAIN." d INNER JOIN ".TABFORUM." f ON d.id = f.domain WHERE f.type<>\"1\" ORDER BY d.titleorder";
   $arrDomains = array();
   $oDB->Query($strQ);
   while ($row = $oDB->Getrow())
   {
   $arrDomains[$row["id"]]=$row["title"];
   }
   // reject   
   if ($reject>=0) unset($arrDomains[$reject]);   
   return $arrDomains;
}

/**
 *
 * GetForums
 *
 * Returns an array of [key] forum.id, [value] forum.title
 *
 **/
function GetForums($oDB,$filterdomain="-",$gethidden=false,$getclosed=true,$reject=-1,$strExtra="")
{
   if ( is_numeric($filterdomain) ) { $strDom = "domain = $filterdomain"; } else { $strDom = "domain >=0"; }
   if ( $gethidden )                { $strHid = "type <> \"X\""; } else { $strHid = "type <> \"1\""; }
   if ( $getclosed )                { $strClo = "status <> \"X\""; } else { $strClo = "status = \"0\""; }
   
   $arrForums = array();

   $strQ = "SELECT id,title FROM ".TABFORUM." WHERE $strDom AND $strHid AND $strClo $strExtra ORDER BY titleorder";
   $oDB->Query($strQ);

   while ( $row = $oDB->Getrow() )
   {
      $arrForums[$row["id"]]=$row["title"];
   }
   
   // reject   
   if ( $reject>=0 ) unset($arrForums[$reject]);

   return $arrForums;
}

/**
 *
 * FormatDate
 *
 * Applies the format to date $d and translate it using $list vocabulary
 * When $bFriendly is true, also applies 'Today/Yesterday' translation
 *
 **/
function FormatDate($d,$lang,$bFriendly=true)
{
   if ( empty($d) ) return "&nbsp;";
   $intDate = strtotime($d);
   $arrDate = $lang["date"];
   
   //odbc time extra 0 problem
   if ( $intDate==FALSE || $intDate==-1 )
   {
      $d = rtrim(rtrim($d,"0"),".");
      $intDate = strtotime($d);
   }
   
   if ( $bFriendly )
   {
      $intBefore = strtotime($d." -1 day");
      if ( date("Y-m-d")==date("Y-m-d",$intDate) )   return $arrDate["Today"]." ".date($_SESSION["qtf"]["formattime"],$intDate);
      if ( date("Y-m-d")==date("Y-m-d",$intBefore) ) return $arrDate["Yesterday"]." ".date($_SESSION["qtf"]["formattime"],$intDate);
   }

   $strDate = date($_SESSION["qtf"]["formatdate"],$intDate);
   $strDate = str_replace(array_keys($arrDate),array_values($arrDate),$strDate);
   return $strDate." ".date($_SESSION["qtf"]["formattime"],$intDate);
}

/**
 *
 * FormatDateStrict
 *
 **/
function FormatDateStrict($d,$strFormat="m/d")
{
   // check d
   if ( empty($d) ) return "&nbsp;";
   $intDate = strtotime($d);
   
   //odbc time extra 0 problem
   if ( $intDate==FALSE || $intDate==-1 )
   {
      $d = rtrim(rtrim($d,"0"),".");
      $intDate = strtotime($d);
   }
      
   // check format
   if ( $strFormat=="RFC-3339" ) 
   {
      $strDate = date("Y-m-d\TH:i:s",$intDate);
      $strGMT = date("O",$intDate);
      $strGMT = substr($strGMT,0,3).":".substr($strGMT,-2,2);
      $strDate = $strDate.$strGMT;
   }
   else
   {
      $strDate = date($strFormat,$intDate);
   }
   
   return $strDate;
}

/**
 *
 * MakePager
 *
 **/
function MakePager($uri, $count, $intPagesize=50, $currentpage=1, $lang)
{
   $arrUri = parse_url($uri);
   $uri = $arrUri["path"];
   $arg = $arrUri["query"];
   $arrArg = explode("&",$arg);
   $arrNew = array();
   foreach ($arrArg as $strValue)
   {
      if ( substr($strValue,0,4)=="page" ) continue;
      $arrNew[]=$strValue;
   }
   $arg = implode("&",$arrNew);
   
   $strPager="";  
   if ( $count>($intPagesize*5) )
   {
      // firstpage
      if ( $currentpage==1 )
      {
        $firstpage = " &laquo;";
      }
      else
      {
        $firstpage = " <a href=\"$uri?$arg&amp;page=1\" title=\"{$lang["First"]}\">&laquo;</a>";
      }
      // lastpage
      $il = ceil($count/$intPagesize);
      if ( $currentpage==$il )
      {
        $lastpage = " &raquo;";
      }
      else
      {
        $lastpage = " <a href=\"$uri?$arg&amp;page=$il\" title=\"{$lang["Last"]}: $il\">&raquo;</a>";
      }
      // 3 pages
      if ( $currentpage==1 )
      {
         $thesepages = " <b>$currentpage</b> <a href=\"$uri?$arg&amp;page=".($currentpage+1)."\" title=\"{$lang["Next"]}\">".($currentpage+1)."</a> <a href=\"$uri?$arg&amp;page=".($currentpage+2)."\" title=\"{$lang["Next"]}\">".($currentpage+2)."</a>";
      }
      elseif ( $currentpage==$il )
      {
         $thesepages = " <a href=\"$uri?$arg&amp;page=".($currentpage-2)."\" title=\"{$lang["Previous"]}\">".($currentpage-2)."</a> <a href=\"$uri?$arg&amp;page=".($currentpage-1)."\" title=\"{$lang["Previous"]}\">".($currentpage-1)."</a> <b>$currentpage</b> ";
      }
      else
      {
         $thesepages = " <a href=\"$uri?$arg&amp;page=".($currentpage-1)."\" title=\"{$lang["Previous"]}\">".($currentpage-1)."</a> <b>$currentpage</b> <a href=\"$uri?$arg&amp;page=".($currentpage+1)."\" title=\"{$lang["Next"]}\">".($currentpage+1)."</a>";
      }
      // finish
      $strPager .= $firstpage.$thesepages.$lastpage;
   }
   elseif ($count>$intPagesize)
   {
      for ($i=0; $i<$count; $i+=$intPagesize)
      {
        $page = $i/$intPagesize+1;
        if ( $currentpage==$page )
        {
          $strPager .= " <b>$page</b>";
        }
        else
        {
          $strPager .= " <a href=\"$uri?$arg&amp;page=$page\">$page</a>";
        }
      }
   }
   return $strPager;
}

/**
 *
 * SysStats
 *
 **/
function SysStats($oDB,$str="all")
{
   if ( $str=="all" || $str=="t")
   {
   $oDB->Query("SELECT count(id) as countid FROM ".TABTOPIC);
   $row = $oDB->Getrow();
   $_SESSION["qtf"]["sys_topics"] = $row["countid"];
   }
   if ( $str=="all" || $str=="p")
   {
   $oDB->Query("SELECT count(id) as countid FROM ".TABPOST);
   $row = $oDB->Getrow();
   $_SESSION["qtf"]["sys_messages"] = $row["countid"];
   }
   if ( $str=="all" || $str=="u")
   {
   $oDB->Query("SELECT count(id) as countid FROM ".TABUSER);
   $row = $oDB->Getrow();
   $_SESSION["qtf"]["sys_members"] = $row["countid"];
   }
   if ( $str=="all" || $str=="n")
   {
   $oDB->Query("SELECT max(id) as countid FROM ".TABUSER);
   $row = $oDB->Getrow();
   $_SESSION["qtf"]["sys_newuserid"] = $row["countid"];
   $oDB->Query("SELECT name FROM ".TABUSER." WHERE id=".$_SESSION["qtf"]["sys_newuserid"]);
   $row = $oDB->Getrow();       
   $_SESSION["qtf"]["sys_newusername"] = $row["name"];
   }
}

/**
 *
 * YouReplyTopic
 *
 **/
function YouReplyTopic($oDB2,$t,$user,$strHelp)
{
  if ( $user<1 ) return "&nbsp;";

  $oDB2->Query("SELECT count(id) as countid FROM ".TABPOST." WHERE topic=$t AND userid=$user");
  $row =  $oDB2->Getrow();
  if ( $row["countid"]!=0 ) return "<span title=\"$strHelp\"><b>&reg;</b></span>";
  return "&nbsp;";
}

// --------

function dropbbc($str)
{  
  $patterns = array (  
  "/\[b\](.*?)\[\/b\]/",  
  "/\[i\](.*?)\[\/i\]/",  
  "/\[u\](.*?)\[\/u\]/",  
  "/\[\*\]/",  
  "/\[img\](.*?)\[\/img\]/",  
  "/\[url\](.*?)\[\/url\]/",  
  "/\[url\=(.*?)\](.*?)\[\/url\]/",  
  "/\[mail\](.*?)\[\/mail\]/",  
  "/\[mail\=(.*?)\](.*?)\[\/mail\]/",  
  "/\[color\=(.*?)\](.*?)\[\/color\]/",  
  "/\[size=(.*?)\](.*?)\[\/size\]/",
  "/\[quote\]/",  
  "/\[quote\=(.*?)\]/",
  "/\[\/quote\]/",
  "/\[code\]/",  
  "/\[\/code\]/",
  "/\[\:(.*?)\]/"
  );  
  $replacements = array("$1","$1","$1","*","$1","$1","$1","$1","$1","$1","$1","","","","","","");
  $str = preg_replace($patterns,$replacements, $str);
  return $str;
}

// --------
// This removes double return in the text.

function compactline($str)
{  
  $str = str_replace("\r\n\r\n\r\n", "\r\n", $str);
  $str = str_replace("\r\n\r\n", "\r\n", $str);
  $str = str_replace("[/quote]\r\n", "[/quote]", $str);
  $str = str_replace("[/code]\r\n", "[/code]", $str);
  return $str;
}

// --------

function bb2html($str,$intMax=-1,$bNL=true)
{
  $str = strip_tags($str);

  $patterns = array (  
  "/</",
  "/>/",
  "/\[b\](.*?)\[\/b\]/",
  "/\[i\](.*?)\[\/i\]/",
  "/\[u\](.*?)\[\/u\]/",
  "/\[\*\]/",
  "/\[img\](.*?)\[\/img\]/",
  "/\[url\](.*?)\[\/url\]/",
  "/\[url\=(.*?)\](.*?)\[\/url\]/",
  "/\[mail\](.*?)\[\/mail\]/",
  "/\[mail\=(.*?)\](.*?)\[\/mail\]/",
  "/\[color\=(.*?)\](.*?)\[\/color\]/",
  "/\[size=(.*?)\](.*?)\[\/size\]/",
  "/\[quote\]/",
  "/\[quote\=(.*?)\]/",
  "/\[\/quote\]/",
  "/\[code\]/",
  "/\[\/code\]/",
  "/\[\:(.*?)\]/"
  );  

  if ( $_SESSION["qtf"]["bbc"]!="0" )
  {
  $replacements = array (    
  "&lt;",
  "&gt;",
  "<b>\$1</b>",  
  "<i>\$1</i>",  
  "<u>\$1</u>",  
  "&bull;",  
  "<img src=\"\$1\" border=\"0\" />",  
  "<a href=\"http://\$1\" target=\"_blank\">\$1</a>",  
  "<a href=\"http://\$2\" target=\"_blank\">\$1</a>",  
  "<a href=\"mailto:\$1\">\$1</a>",  
  "<a href=\"mailto:\$2\">\$1</a>",  
  "<font color=\"\$1\">\$2</font>",  
  "<span style=\"font-size:\$1pt\">\$2</span>",  
  "<div class=\"p_post_quotetitle\">Quotation:</div><div class=\"p_post_quote\">",  
  "<div class=\"p_post_quotetitle\">Quotation by \$1:</div><div class=\"p_post_quote\">",  
  "</div><p class=\"p_post_msg\">",
  "<div class=\"p_post_codetitle\">Code:</div><div class=\"p_post_code\">",  
  "</div><p class=\"p_post_msg\">",
  "<img class=\"smile\" src=\"smile/\$1.gif\" alt=\"[s]\"/>"
  );    
  }
  else
  {
  $replacements = array("&lt;","&gt;","$1","$1","$1","$1","$1","$1","$1","$1","$1","$1","$1",
  "<span class=\"p_post_quotetitle\">Quotation:</span><cite class=\"p_post_quote\">",  
  "<span class=\"p_post_quotetitle\">Quotation by \$1:</span><cite class=\"p_post_quote\">",  
  "</cite>",
  "<span class=\"p_post_codetitle\">Code:</span><code class=\"p_post_code\">",  
  "</code>","[s]");
  }

  $str = preg_replace($patterns,$replacements, $str);

  // special check of the href
  $str = str_replace("http://http","http",$str);
  $str = str_replace("http://ftp:","ftp:",$str);
  $str = str_replace("http://mailto:","mailto:",$str);
  $str = str_replace("mailto:mailto:","mailto:",$str);   
  if ( $bNL ) { $strNL = "<br />"; } else { $strNL=" "; }
  $str = str_replace("\r\n",$strNL,$str);   
  $str = str_replace("\r",$strNL,$str);   
  $str = str_replace("\n",$strNL,$str);

  if ( $intMax>0 )
  {
    if ( strlen($str)>$intMax ) $str = substr($str,0,$intMax)."[...]";
  }

  return $str;
};

// --------

function LangS($strVar,$intVar,$lang)
{
  if ( $intVar>1 )
  {
  if ( isset($lang[$strVar."s"]) ) Return $lang[$strVar."s"];
  }
  Return $lang[$strVar];
}

// --------

function Translate($strLang,$strFile)
{
  if ( file_exists("$strLang/$strFile") ) Return "$strLang/$strFile";
  Return "language/english/$strFile";
}

// --------

function GetStatusValue($strId,$strField)
{
  if ( empty($strId) ) $strId = "0";
  if ( !ereg("[0-1]",$strId) )
  {
    echo "GetStatusValue: Wrong id $strId $strField ";
    Return "";
  }
  switch ($strField)
  {
  case "id":          Return $strId; Break;
  case "name":        Return $_SESSION["qtTopicstatus"][$strId]["name"]; Break;
  case "description": Return $_SESSION["qtTopicstatus"][$strId]["description"]; Break;
  case "mail":        Return $_SESSION["qtTopicstatus"][$strId]["mail"]; Break;
  case "icon":        Return $_SESSION["qtTopicstatus"][$strId]["icon"]; Break;
  case "mailto":      Return $_SESSION["qtTopicstatus"][$strId]["mailto"]; Break;
  case "color":       Return $_SESSION["qtTopicstatus"][$strId]["color"]; Break;
  default: echo "GetStatusValue: Wrong field $strField "; Return "";
  }
}
?>
