<?php

// QuickTalk forum 1.2 build:20070219

// --------

function LimitSQL($dbtype,$state,$order,$start=0,$length=50,$count=50)
{
  if ( $dbtype=="mysql" )
  {
    $query = "SELECT ".$state." ORDER BY ".$order." LIMIT ".$start.",".$length;
  }
  elseif ( $dbtype=="pg" )
  {
    $query = "SELECT ".$state." ORDER BY ".$order." LIMIT ".$length." OFFSET ".$start;
  }
  elseif ( $dbtype=="ifx" )
  {
    $query = "SELECT SKIP ".$start." FIRST ".$length." " .$state." ORDER BY ".$order;
  }
  else
  {
    if ($start==0)
    {
      $query = "SELECT TOP $length $state ORDER BY $order";
    }
    elseif ( ($length+$start)>$count )
    {
      $invorder = $order;
      $invorder = str_replace(" ASC"," DESC",$invorder);
      $invorder = str_replace(" DESC"," ASC",$invorder);
      $invorder = str_replace(" RESC"," DESC",$invorder);   
      $invlength = $length+$start;
      $finaltop = $count-$length;
      $query = "SELECT TOP $invlength $state ORDER BY $order";
      $order = str_replace("t.","",$order); // to support t1,t2
      $invorder = str_replace("t.","",$invorder); // to support t1,t2
      $query = "SELECT * FROM (SELECT TOP $finaltop * FROM ($query) As t1 ORDER BY $invorder) As t2 ORDER BY $order";
    }
    else  
    {
      $invorder = $order;
      $invorder = str_replace(" ASC"," DESC",$invorder);
      $invorder = str_replace(" DESC"," ASC",$invorder);
      $invorder = str_replace(" RESC"," DESC",$invorder);   
      $invlength = $length+$start;
      $query = "SELECT TOP $invlength $state ORDER BY $order";
      $order = str_replace("t.","",$order); // to support t1,t2
      $invorder = str_replace("t.","",$invorder); // to support t1,t2
      $query = "SELECT * FROM (SELECT TOP $length * FROM ($query) As t1 ORDER BY $invorder) As t2 ORDER BY $order";
    }
  }
  return $query;
}

// --------

function DateAddBeforeNow($dbtype,$field,$days)
{
  $return = "DATEADD('d',$days,$field) < DATE()";
  Switch ($dbtype)
  {
  Case "mysql": $return = "DATE_ADD($field, INTERVAL $days DAY) < NOW()"; Break;
  Case "pg":  $return = "($field + INTERVAL '$days day') < NOW()"; Break;
  Case "ifx": $return = "($field + $days) < TODAY"; Break;
  Case "mssql": $return = "DATEADD(day,$days,$field) < GETDATE()"; Break;
  }
  Return $return;
}

// --------

function DateOlderThan($dbtype,$field,$days)
{
  $return = "DATE_SUB(CURDATE(),INTERVAL $days DAY) <= $field";
  Switch ($dbtype)
  {
  Case "mysql": $return = "DATE_SUB(NOW(),INTERVAL $days DAY) <= $field"; Break;
  Case "pg":  $return = "DATE_SUB(NOW(),INTERVAL $days DAY) <= $field"; Break;
  Case "ifx": $return = "DATE_SUB(TODAY,INTERVAL $days DAY) <= $field"; Break;
  Case "mssql": $return = "DATEADD(d,-$days,GETDATE()) <= $field"; Break;
  }
  Return $return;
}

// --------

function FirstCharCase($dbtype,$field,$case="u")
{
  $return = "upper(left($field,1))";
  Switch ($dbtype)
  {
  Case "mysql":
    if ( $case=="u" ) {$return="upper(left($field,1))";} else {$return="lower(left($field,1))";}
    Break;
  Case "mssql":
    if ( $case=="u" ) {$return="upper(left($field,1))";} else {$return="lower(left($field,1))";}
    Break;
  Case "odbc":
    if ( $case=="u" ) {$return="ucase(left($field,1))";} else {$return="lcase(left($field,1))";}
    Break;
  Case "pg":
    if ( $case=="u" ) {$return="upper(substring($field,1,1))";} else {$return="lower(substring($field,1,1))";}
    Break;
  Case "ifx":
    if ( $case=="u" ) {$return="upper(substring($field,1,1))";} else {$return="lower(substring($field,1,1))";}
    Break;
  }
  Return $return;
}

// --------

function LastPostDelayAcceptable($oDB,$intUser,$intMax)
{

    if ( $intUser==0 ) return TRUE;
    if ( $oDB->type=="mysql" ) 
    {
        $oDB->Query("SELECT (DATE_ADD(lastdate, INTERVAL $intMax SECOND) < NOW()) as td FROM ".TABUSER." WHERE id=".$intUser);
        $row = $oDB->Getrow();
        if ( ($row["td"]=="t") || ($row["td"]=="1") ) return TRUE;

    }
    elseif ($oDB->type=="pg")
    {
        $oDB->Query("SELECT ((lastdate + INTERVAL '$intMax SECONDS') < NOW()) as td FROM ".TABUSER." WHERE id=".$intUser);
        $row = $oDB->Getrow();
        if ( ($row["td"]=="t") || ($row["td"]=="1") ) return TRUE;
    }
    elseif ($oDB->type=="ifx")
    {
        $oDB->Query("SELECT ((lastdate + $intMax SECOND) < TODAY) as td FROM ".TABUSER." WHERE id=".$intUser);
        $row = $oDB->Getrow();
        if ( $row["td"]==1 ) return TRUE;
    }
    elseif ($oDB->type=="mssql")
    {
        $oDB->Query("SELECT DATEDIFF(s,lastdate,GETDATE()) as td FROM ".TABUSER." WHERE id=".$intUser);
        $row = $oDB->Getrow();
        if ( $row["td"]>$intMax ) return TRUE;
    }
    else
    {
        $oDB->Query("SELECT DATEDIFF('s',lastdate,NOW()) as td FROM ".TABUSER." WHERE id=".$intUser);
        $row = $oDB->Getrow();
        if ( $row["td"]>$intMax ) return TRUE;
    }
    return FALSE;
}

// --------

function PostsTodayAcceptable($oDB,$intUser,$intMax)
{
    if ( $intUser==0 ) return TRUE;
    if ( $intUser==1 ) return TRUE;
    if ( $oDB->type=="mysql" ) 
    { 
        $oDB->Query("SELECT count(id) as td FROM ".TABPOST." WHERE userid=$intUser AND DATE_FORMAT(issuedate,\"%Y%m%d\") = DATE_FORMAT(CURDATE(),\"%Y%m%d\")");
        $row = $oDB->Getrow();
        if ( $row["td"]<$intMax ) return TRUE;
    }
    elseif ( $oDB->type=="pg" ) 
    {
        $oDB->Query("SELECT count(id) as td FROM ".TABPOST." WHERE userid=$intUser AND issuedate=NOW()");
        $row = $oDB->Getrow();
        if ( $row["td"]<$intMax ) return TRUE;
    }
    elseif ( $oDB->type=="ifx" ) 
    {
        $oDB->Query("SELECT count(id) as td FROM ".TABPOST." WHERE userid=$intUser AND issuedate=TODAY");
        $row = $oDB->Getrow();
        if ($row["td"]<$intMax) return TRUE;
    }
    elseif ( $oDB->type=="sybase" ) 
    {
        $oDB->Query("SELECT count(id) as td FROM ".TABPOST." WHERE userid=$intUser AND issuedate=GETDATE()");
        $row = $oDB->Getrow();
        if ($row["td"]<$intMax) return TRUE;
    }
    elseif ( $oDB->type=="mssql" ) 
    {
        $oDB->Query("SELECT count(id) as td FROM ".TABPOST." WHERE userid=$intUser AND issuedate=GETDATE()");
        $row = $oDB->Getrow();
        if ( $row["td"]<$intMax ) return TRUE;
    }
    else
    {
        $oDB->Query("SELECT count(id) as td FROM ".TABPOST." WHERE userid=$intUser AND issuedate=DATE()");
        $row = $oDB->Getrow();
        if ( $row["td"]<$intMax ) return TRUE;
    }
    return FALSE;
}

?>