<?php

// QuickTalk forum 1.2 build:20070219

// -----------------
// Connexion config
// -----------------
require_once("bin/config.txt");

// -----------------
// System constants
// -----------------
define("TABDOMAIN", $qtf_prefix."qtadomain");
define("TABFORUM", $qtf_prefix."qtaforum");
define("TABUSER", $qtf_prefix."qtauser");
define("TABTOPIC", $qtf_prefix."qtatopic");
define("TABPOST",  $qtf_prefix."qtapost");
define("TABSETTING", $qtf_prefix."qtasetting");
define("QTFVERSION", "v1.2");
define("QSEL", "selected=\"selected\"");
define("QCHE", "checked=\"checked\"");
define("QY", "1");
define("QN", "0");

// -----------------
// Interface constants
// -----------------
define("QTF_HOTTOPICS",     10);         // use FALSE to disable
define("QTF_BACKBUTTON",    "&nbsp;&laquo;&nbsp;");  // use FALSE to hide backbutton
define("QTF_DFLT_VIEWMODE", "N");        // default view mode: N=normal view, C=compact view
define("QTF_SHOW_VIEWMODE", true);       // allow user to change view mode
define("QTF_SHOW_PRINT",    true);       // allow user to get a print style
define("QTF_SHOW_TIME",     true);       // show time in the bottom bar
define("QTF_SHOW_MODERATOR",true);       // show moderator in the bottom bar
define("QTF_SHOW_GOTOLIST", true);       // show gotolist in the bottom bar
define("QTF_SHOW_DOMAIN",   false);      // show domain + forum name in the crumb trail bar
define("QTF_PREFIX_ICON",   true);       // use prefix icons for the topic

// -----------------
// Class definition
// -----------------
require_once("bin/qtf_class_vip.inc");
require_once("bin/qtf_class_forum.inc");
require_once("bin/qtf_class_topic.inc");
require_once("bin/qtf_class_post.inc");
require_once("bin/qtf_class_db.inc");

// -----------------
// Fonction definition
// -----------------
require_once("bin/qtf_fn_common.inc");

// ----------------
// Initialise Classes
// ----------------
$oDB  = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
$oVIP = new cVIP($oDB);

// ----------------
// Load forum parameters (attention some parameters can be reserved, thus not loaded)
// ----------------
if ( !isset($_SESSION["qtf"]) ) GetParam($oDB,true);
if ( !isset($_SESSION["qtGotolist"]) )
{
   $_SESSION["qtGotolist"] = array();
   $strQ = "SELECT f.id,f.title,d.title as dom_title FROM ".TABFORUM." f INNER JOIN ".TABDOMAIN." d ON f.domain=d.id WHERE f.type<>\"1\" ORDER BY d.titleorder,f.titleorder";
   if ( $oVIP->role=="A" || $oVIP->role=="M" ) $strQ = "SELECT f.id,f.title,d.title as dom_title FROM ".TABFORUM." f INNER JOIN ".TABDOMAIN." d ON f.domain=d.id ORDER BY d.titleorder,f.titleorder";
   $oDB->Query($strQ);   
   while ( $row=$oDB->Getrow() )
   { 
      if (QTF_SHOW_DOMAIN) 
      {
         $_SESSION["qtGotolist"][$row["id"]] = $row["dom_title"].": ".$row["title"];
      }
      else
      { 
         $_SESSION["qtGotolist"][$row["id"]] = $row["title"];
      }
   }
}

// ----------------
// Initialiase variable
// ----------------

$strError = ""; // Required when server uses register_global_on
$strWarning = ""; // Required when server uses register_global_on
$strLang  = "language/".$_SESSION["qtf"]["language"];
$strSkin  = "skin/".$_SESSION["qtf"]["skin_dir"];
$strClock = gmdate($_SESSION["qtf"]["formattime"], time() + 3600*($_SESSION["qtf"]["time_zone"]+$_SESSION["qtf"]["daylight"]));

$strGmt = "(gmt";
if ( $_SESSION["qtf"]["time_zone"]>0 )  { $strGmt .= "+".$_SESSION["qtf"]["time_zone"].")"; }
if ( $_SESSION["qtf"]["time_zone"]<0 )  { $strGmt .= $_SESSION["qtf"]["time_zone"].")"; }
if ( $_SESSION["qtf"]["time_zone"]==0 ) { $strGmt .= ")"; }

if ( !isset($_SESSION["qtf"]["viewmode"]) ) $_SESSION["qtf"]["viewmode"]=QTF_DFLT_VIEWMODE;
if ( !isset($_SESSION["qtf"]["javamail"]) ) $_SESSION["qtf"]["javamail"]="0";

if ( !isset($_SESSION["qtf"]["sys_topics"]) )   SysStats($oDB,"t");
if ( !isset($_SESSION["qtf"]["sys_messages"]) ) SysStats($oDB,"p");
if ( !isset($_SESSION["qtf"]["sys_members"]) )  SysStats($oDB,"u");
if ( !isset($_SESSION["qtf"]["sys_newuserid"]) || !isset($_SESSION["qtf"]["sys_newusername"]) ) SysStats($oDB,"n");
 
$bJavaCom  = false;
$bJavaBbc  = false;
$bJavaBbc2 = false;
$bJavaBbc3 = false;
$bJavaAjax = false;
$bClock    = false;
$bCssExtra = false; 

/* required to fix IE 5, IE 6 overflow non-compliance */
$strCssIE = '<!--[if IE]><link rel="stylesheet" type="text/css" href="'.$strSkin.'/qtf_main_ie.css" /><![endif]-->';

// ----------------
// Load dictionary
// ----------------

include("$strLang/qtf_main.inc");
include("$strLang/qtf_icon.inc");
include_once("$strLang/qtf_html.inc");

// ----------------
// Load topic status/type (use uppercase for ID)
// ----------------

if ( !isset($_SESSION["qtTopicstatus"]) )
{
   $_SESSION["qtTopicstatus"] = array();
   $_SESSION["qtTopicstatus"]["0"] = array("name"=>$lang["Opened"],"color"=>"");
   $_SESSION["qtTopicstatus"]["1"] = array("name"=>$lang["Closed"],"color"=>"");
}
if ( !isset($_SESSION["qtTopictypes"]) )
{
   $_SESSION["qtTopictypes"] = array();
   $_SESSION["qtTopictypes"]["T"] = array("name"=>$lang["Topic"],"color"=>"");
   $_SESSION["qtTopictypes"]["A"] = array("name"=>$lang["News"],"color"=>"");
}

?>