<?php

// QuickTalk forum 1.2 build:20070219

switch($oDB->type)
{
  case "odbc":
  $strQ = "CREATE TABLE ".$qtf_prefix."qtauser (
  id int NOT NULL CONSTRAINT pk_qtauser PRIMARY KEY,
  name varchar(24) CONSTRAINT uk_name_qtauser UNIQUE,
  closed char(1),
  role char(1),
  pwd varchar(40),
  www varchar(255),
  mail varchar(255),
  privacy char(1),
  location varchar(24),
  firstdate datetime,
  lastdate datetime,
  birthday datetime,
  numpost int,
  signature varchar(255),
  avatar varchar(4),
  children char(1),
  parentmail varchar(255),
  parentagree char(1),
  ip varchar(24))";
  break;

  case "mssql":
  $strQ = "CREATE TABLE ".$qtf_prefix."qtauser (
  id int NOT NULL CONSTRAINT pk_qtauser PRIMARY KEY,
  name varchar(24) CONSTRAINT uk_name_qtauser UNIQUE,
  closed char(1) NULL,
  role char(1) NULL,
  pwd varchar(40) NULL,
  www varchar(255) NULL,
  mail varchar(255) NULL,
  privacy char(1) NULL,
  location varchar(24) NULL,
  firstdate datetime NULL,
  lastdate datetime NULL,
  birthday datetime NULL,
  numpost int NULL,
  signature varchar(255) NULL,
  avatar varchar(4) NULL,
  children char(1) NULL,
  parentmail varchar(255) NULL,
  parentagree char(1) NULL,
  ip varchar(24) NULL)";
  break;

  case "pg":
  $strQ = "CREATE TABLE ".$qtf_prefix."qtauser (
  id int,
  name varchar(24),
  closed char(1) NOT NULL default \"0\",
  role char(1) NOT NULL default \"V\",
  pwd varchar(40),
  www varchar(255),
  mail varchar(255),
  privacy char(1),
  location varchar(24),
  firstdate timestamp,
  lastdate timestamp,
  birthday date,
  numpost int,
  signature varchar(255),
  avatar varchar(4),
  children char(1),
  parentmail varchar(255),
  parentagree char(1),
  ip varchar(24),
  PRIMARY KEY (id),
  UNIQUE (name))";
  break;

  case "ifx":
  $strQ = "CREATE TABLE ".$qtf_prefix."qtauser (
  id integer PRIMARY KEY CONTSTRAINT pk_id,
  name varchar(24) UNIQUE CONTSTRAINT u_name,
  closed char(1) NOT NULL default \"0\",
  role char(1) NOT NULL default \"V\",
  pwd varchar(40),
  www varchar(255),
  mail varchar(255),
  privacy char(1),
  location varchar(24),
  firstdate datetime,
  lastdate datetime,
  birthday date,
  numpost integer,
  signature varchar(255),
  avatar varchar(4),
  children char(1),
  parentmail varchar(255),
  parentagree char(1),
  ip varchar(24))";
  break;

  default:
  $strQ = "CREATE TABLE ".$qtf_prefix."qtauser (
  id int,
  name varchar(24),
  closed char(1) NOT NULL default \"0\",
  role char(1) NOT NULL default \"V\",
  pwd varchar(40),
  www varchar(255),
  mail varchar(255),
  privacy char(1),
  location varchar(24),
  firstdate datetime,
  lastdate datetime,
  birthday date,
  numpost int,
  signature varchar(255),
  avatar varchar(4),
  children char(1),
  parentmail varchar(255),
  parentagree char(1),
  ip varchar(24),
  PRIMARY KEY (id),
  UNIQUE KEY title (name))";
}

echo "<div style=\"margin-left:20px; color:blue;\">\n";
$oDB->Query($strQ);
echo "</div>\n";

if ( !empty($oDB->error) ) 
{
   printf ($lang["Step_3_error"],$qtf_prefix."qtauser",$qtf_database,$qtf_user);
   echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
   <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
   </tr></table><br />\n";
   exit;
}

$now = date("Y-m-d H:i:s");

$strQ = "INSERT INTO ".$qtf_prefix."qtauser (id,name,avatar,closed,role,firstdate,lastdate,numpost,privacy,children,parentagree) VALUES (0,\"Visitor\",\"0\",\"0\",\"V\",\"$now\",\"$now\",0,\"0\",\"0\",\"0\")";
$oDB->Query($strQ);

$strQ = "INSERT INTO ".$qtf_prefix."qtauser (id,name,avatar,closed,role,pwd,firstdate,lastdate,numpost,privacy,signature,children,parentagree) VALUES (1,\"Admin\",\"0\",\"0\",\"A\",\"".sha1("Admin")."\",\"$now\",\"$now\",0,\"0\",\"_______________\n[i][b]The forum Administrator[/b][/i]\",\"0\",\"0\")";
$oDB->Query($strQ);

?>