<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

function arrShift($arrSrc,$intObject,$strDir)
{
  $arrTemp = $arrSrc;

  // search for the value
  foreach ($arrSrc as $intKey => $intValue)
  {
  if ( $intValue==$intObject ) $intNewkey = $intKey;
  }
  if ( !isset($intNewkey) ) return false;
  if ( $intNewkey==0 && $strDir=="up" ) return $arrSrc;
  if ( $intNewkey==(count($arrSrc)-1) && $strDir=="down" ) return $arrSrc;

  // reorder the elements
  if ( $strDir=="up" ) { $intDir = -1; } else { $intDir = 1; }
  $arrTemp[$intNewkey+$intDir] = $arrSrc[$intNewkey];
  $arrTemp[$intNewkey] = $arrSrc[$intNewkey+$intDir];

  // return the ordered array
  return $arrTemp;
}

$oVIP->selfurl = "qtf_adm_forum.php";
$oVIP->selfname = $lang["Adm_forums"];

// --------
// SUBMITTED
// --------

// ADD DOMAIN

if ( isset($_POST["FFadddomain"]) )
{
  // CHECK TITLE
  $str = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = FormatTitle($str,64,true);
  if ( empty($str) ) $strError = $lang["Title"]." ".$lang["E_invalid"];

  // SAVE
  if ( empty($strError) )
  {
  $intNewid = TableNextId($oDB,TABDOMAIN);
  $oDB->Query("INSERT INTO ".TABDOMAIN." (id,title,titleorder) VALUES ($intNewid,\"$str\",0)");
  }
}

// ADD FORUM

if ( isset($_POST["FFaddforum"]) )
{
  // CHECK TITLE
  $str = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = FormatTitle($str,64,true);
  if ( empty($str) ) $strError = $lang["Title"]." ".$lang["E_invalid"];

  // SAVE
  if ( empty($strError) )
  {
  $oForum = new cForum;
  $oForum->domain = $_POST["FFindomain"];
  $oForum->title = $str;
  $oForum->MakeNew($oDB);
  Unset($_SESSION["qtGotolist"]);
  }
}

// Move domain/forum

if ( isset($_GET["a"]) )
{
  if ( $_GET["a"]=="d_up" )
  {
    $oDB->Query("SELECT id FROM ".TABDOMAIN." ORDER BY titleorder");
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row["id"];
    }
    $arrOrdered = arrShift($arrList,$_GET["d"],"up");
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query("UPDATE ".TABDOMAIN." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
  if ( $_GET["a"]=="d_down" )
  {
    $oDB->Query("SELECT id FROM ".TABDOMAIN." ORDER BY titleorder");
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row["id"];
    }
    $arrOrdered = arrShift($arrList,$_GET["d"],"down");
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query("UPDATE ".TABDOMAIN." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
  if ( $_GET["a"]=="f_up" )
  {
    $oDB->Query("SELECT id FROM ".TABFORUM." ORDER BY titleorder");
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row["id"];
    }
    $arrOrdered = arrShift($arrList,$_GET["f"],"up");
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query("UPDATE ".TABFORUM." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
  if ( $_GET["a"]=="f_down" )
  {
    $oDB->Query("SELECT id FROM ".TABFORUM." ORDER BY titleorder");
    $arrList = array();
    while ($row = $oDB->Getrow())
    {
    $arrList[]=$row["id"];
    }
    $arrOrdered = arrShift($arrList,$_GET["f"],"down");
    $i = 0;
    foreach ($arrOrdered as $intId)
    {
    $oDB->Query("UPDATE ".TABFORUM." SET titleorder=$i WHERE id=$intId");
    $i++;
    }
  }
}

// --------
// HTML START
// --------

$bJavaCom = true;
include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// CONTENT

$oForum = new cForum();
$arrDomains = GetDomains($oDB,"*");

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<colgroup span=\"6\">\n";
echo "<col></col>\n";
echo "<col></col>\n";
echo "<col></col>\n";
echo "<col></col>\n";
echo "<col width=\"150\"></col>\n";
echo "<col></col>\n";
echo "</colgroup>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Domain"]}/{$lang["Forum"]}</th>\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Hidden"]}</th>\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Closed"]}</th>\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Ref"]}</th>\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Action"]}</th>\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Move"]}</th>\n";
echo "</tr>\n";

$i=0;
foreach ($arrDomains as $intDomid => $strDomtitle)
{
  // GET FORUMS (with hidden)

  $arrForums = GetForums($oDB,$intDomid,True);

  // DISPLAY

  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<td class=\"td_cnt_head\">$strDomtitle</td>\n";
  echo "\t<td class=\"td_cnt_head\">&nbsp;</td>\n";
  echo "\t<td class=\"td_cnt_head\">&nbsp;</td>\n";
  echo "\t<td class=\"td_cnt_head\">&nbsp;</td>\n";
  echo "\t<td class=\"td_cnt_head\"><a class=\"small\" href=\"qtf_adm_forum_upd_dom.php?d=$intDomid\">{$lang["Edit"]}</a>";
  echo " &middot; ".($intDomid==0 ? "<span class=\"disabled\">{$lang["Delete"]}</span>" : "<a class=\"small\" href=\"qtf_adm_forum_del_dom.php?d=$intDomid\">{$lang["Delete"]}</a>")."</td>";
  echo "\t<td class=\"td_cnt_head\" style=\"width:120px\">";

  if ( $i==0 )  { echo "<span class=\"disabled\">{$lang["Up"]}</span>"; } else { echo "<a class=\"small\" href=\"qtf_adm_forum.php?d=$intDomid&amp;a=d_up\">{$lang["Up"]}</a>"; }
  echo " &middot; ";
  if ( $i+1==count($arrDomains) ) { echo "<span class=\"disabled\">{$lang["Down"]}</span>"; } else { echo "<a class=\"small\" href=\"qtf_adm_forum.php?d=$intDomid&amp;a=d_down\">{$lang["Down"]}</a>"; }
  $i += 1;

  $j = 0;
  foreach ($arrForums as $intForid => $strFortitle)
  {
    // GET FORUM
    $oForum->Get($oDB,$intForid);
    $strType = "<span class=\"disabled\">{$lang["No"]}</span>";
    $strStatus = "<span class=\"disabled\">{$lang["No"]}</span>";
    $strNumfld = "<span class=\"disabled\">{$lang["No"]}</span>";
    if ( $oForum->type=="1" ) $strType = "<b>{$lang["Yes"]}</b>";
    if ( $oForum->type=="2" ) $strType = "{$lang["By_user"]}";
    if ( $oForum->status=="1" ) $strStatus = "<b>{$lang["Yes"]}</b>";
    if ( $oForum->numfield=="1" ) $strNumfld = "<b>{$lang["Yes"]}</b>";
    echo "<tr class=\"tr_cnt\">\n";
    echo "\t<td class=\"td_cnt\">".GetClassIcon($strSkin,$oForum,$lang)." $oForum->title</td>\n";
    echo "\t<td class=\"td_cnt\">$strType</td>\n";
    echo "\t<td class=\"td_cnt\">$strStatus</td>\n";
    echo "\t<td class=\"td_cnt\">$strNumfld</td>\n";
    echo "\t<td class=\"td_cnt\"><a class=\"small\" href=\"qtf_adm_forum_upd_for.php?d=$intDomid&amp;f={$oForum->id}\">{$lang["Edit"]}</a>";
    echo " &middot; ".($intForid==0 ? "<span class=\"disabled\">{$lang["Delete"]}</span>" : "<a class=\"small\" href=\"qtf_adm_forum_del_for.php?f=$intForid\">{$lang["Delete"]}</a>")."</td>";
    echo "\t<td class=\"td_cnt\" style=\"text-align:right\">";
    if ( $j==0 )   { echo "<span class=\"disabled\">{$lang["Up"]}</span>"; } else { echo "<a class=\"small\" href=\"qtf_adm_forum.php?d=$intDomid&amp;f=$intForid&amp;a=f_up\">{$lang["Up"]}</a>"; }
    echo " &middot; ";
    if ( $j+1==count($arrForums) ) { echo "<span class=\"disabled\">{$lang["Down"]}</span>"; } else { echo "<a class=\"small\" href=\"qtf_adm_forum.php?d=$intDomid&amp;f=$intForid&amp;a=f_down\">{$lang["Down"]}</a>"; }
    $j += 1;
    echo "</td>\n</tr>\n";
  }
}
echo "</table>\n";

echo "<h2>{$lang["Create_forum"]}</h2>\n";

echo "<form method=\"post\" action=\"qtf_adm_forum.php\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<td class=\"td_cnt_head\" style=\"width:130px;\">{$lang["Create_domain"]}</td>\n";
echo "\t<td class=\"td_cnt_head\"><input name=\"FFtitle\" type=\"text\" size=\"30\" maxlength=\"64\" /></td>\n";
echo "\t<td class=\"td_cnt_head\" style=\"width:75px;\"><input name=\"FFadddomain\" type=\"submit\" value=\"{$lang["Add"]}\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<form method=\"post\" action=\"qtf_adm_forum.php\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<td class=\"td_cnt\" style=\"width:130px;\">{$lang["Create_forum"]}</td>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<input name=\"FFtitle\" type=\"text\" size=\"30\" maxlength=\"64\" />&nbsp;{$lang["In_domain"]}&nbsp;\n";
echo "\t<select name=\"FFindomain\" size=\"1\" class=\"small\">\n";
$arrDomains = GetDomains($oDB,"*");
foreach ($arrDomains as $intKey => $strValue)
{
echo "\t<option value=\"$intKey\">$strValue</option>\n";
}
echo "\t</select>\n";
echo "\t</td>\n";
echo "\t<td class=\"td_cnt\" style=\"width:75px;\"><input name=\"FFaddforum\" type=\"submit\" value=\"{$lang["Add"]}\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>