<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$intId   = -1;
$intDest = 0;
$strTitle = "unknown";

$oVIP->selfurl = "qtf_adm_forum_del_dom.php";
$oVIP->selfname = $lang["Adm_domain_delete"];
$oVIP->exiturl = "qtf_adm_forum.php";
$oVIP->exitname = $lang["Adm_forums"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check values
  if ( isset($_POST["FFid"]) ) $intId = $_POST["FFid"];
  if ( isset($_POST["FFdest"]) ) $intDest = $_POST["FFdest"];
  if ( $intId<0 ) die("Missing parameter id");

  // delete domain
  if ( empty($strError) )
  {
    // move forum
    $oDB->Query("UPDATE ".TABFORUM." SET domain=$intDest WHERE domain=$intId");
    // delete domain
    $oDB->Query("DELETE FROM ".TABDOMAIN." WHERE id=$intId");
    Unset($_SESSION["qtGotolist"]);
    // END MESSAGE
    $oVIP->EndMessage(NULL,$lang["S_delete"],"admin",2);
  }
}

// --------
// HTML START
// --------

if ( isset($_GET["d"]) ) $intId = $_GET["d"];
if ( $intId<0 ) die ("Missing parameters");
if ( $intId==0 ) die ("Domain 0 cannot be deleted");

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

$arrDomains  = GetDomains($oDB,"*");
$strTitle = $arrDomains[$intId];
unset($arrDomains[$intId]);

$arrForums  = GetForums($oDB,$intId);

// FORM

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<colgroup span=\"2\"><col width=\"150\"></col></colgroup>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Title"]}</th>\n";
echo "\t<td class=\"td_cnt\">$strTitle</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Containing"]}</th>\n";
echo "\t<td class=\"td_cnt\">";
if ( count($arrForums)==0 )
{
  echo "<span class=\"small\">0 {$lang["Forum"]}</span>";
}
else
{
  foreach ($arrForums as $intKey => $strValue)
  {
  echo "<span class=\"small\">{$lang["Forum"]}: $strValue</span><br />\n";
  }
}
echo "</td>\n";
echo "</tr>\n";

if ( count($arrForums)>0 )
{
  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<th class=\"th_cnt\">{$lang["Forums"]}</th>\n";
  echo "\t<td class=\"td_cnt\">\n";
  echo "\t<select name=\"FFdest\" size=\"1\" class=\"small\">\n";
  foreach ($arrDomains as $intKey => $strValue)
  {
  echo "\t<option value=\"$intKey\">{$lang["Move_to"]}: $strValue</option>\n";
  }
  echo "\t</select></td>\n";
  echo "</tr>\n";
}
echo "<tr class=\"tr_cnt\">\n";
echo "<th class=\"th_cnt\">&nbsp;</th>\n";
echo "<td class=\"td_cnt\"><input type=\"hidden\" name=\"FFid\" value=\"$intId\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" />";
echo "</td>\n";
echo "</tr>\n";

echo "</table>\n";
echo "</form>\n";
echo "<br />&laquo;&nbsp;<a href=\"{$oVIP->exiturl}\">{$lang["Adm_forums"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>
