<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

function GetUsers($oDB,$id=0)
{
  $intX = 99; /* security limit of the array size. Also used for "last" (intX=1) */

  $strQ = "SELECT id,name FROM ".TABUSER." WHERE id=$id";
  if ( $id=="A" )  $strQ = "SELECT id,name FROM ".TABUSER." WHERE role=\"A\"";
  if ( $id=="M" )  $strQ = "SELECT id,name FROM ".TABUSER." WHERE role=\"A\" OR role=\"M\"";
  if ( $id=="in" )
  {  
    die("Not yet developped");
    $intX = 5;
  }

  $oDB->Query($strQ);

  $arrUsers = array();
  $i=1;
  while ($row = $oDB->Getrow())
  {
    $arrUsers[$row["id"]]=$row["name"];
    $i++;
    if ( $i>$intX ) break;
  }
  return $arrUsers;
}

// INITIALISE

require_once("bin/qtf_class_forum.inc");
include(Translate($strLang,"qtf_adm.inc"));

$arrModerators = GetUsers($oDB,"M");

$oVIP->selfurl  = "qtf_adm_forum_upd_for.php";
$oVIP->selfname = $lang["Adm_forum_update"];
$oVIP->exiturl  = "qtf_adm_forum.php";
$oVIP->exitname = $lang["Adm_forums"];

// PARAMETERS

$oForum = new cForum;
if ( isset($_GET["f"]) ) $oForum->id = $_GET["f"];
if ( isset($_GET["d"]) ) $oForum->domain = $_GET["d"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // CHECK MANDATORY VALUE

  $str = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = htmlspecialchars($str);
  if ( empty($str) ) $strError = $lang["Title"]." ".$lang["E_invalid"];

  if ( empty($strError) )
  {
    $oForum->id = $_POST["FFid"];
    $oForum->domain = $_POST["FFdomain"];
    $oForum->title = $str;
    $str = stripslashes(trim($_POST["FFdescr"]));
    $str = htmlspecialchars($str);
    $oForum->descr = $str;
    $oForum->type = $_POST["FFtype"];
    $oForum->status = $_POST["FFstatus"];
    $oForum->modid = $_POST["FFmodid"];
    $oForum->modname = $arrModerators[$oForum->modid];
    $oForum->numfield = $_POST["FFnumfield"];
    $oForum->numformat = $_POST["FFnumformat"];
  }

  // SAVE

  if ( empty($strError) )
  {
    // update
    $strQ  = "UPDATE ".TABFORUM." SET ";
    $strQ .= "domain = $oForum->domain,";
    $strQ .= "title = \"$oForum->title\",";
    $strQ .= "description = \"$oForum->descr\",";
    $strQ .= "type = \"$oForum->type\",";
    $strQ .= "status = \"$oForum->status\",";
    $strQ .= "moderator = \"$oForum->modid\",";
    $strQ .= "moderatorname = \"$oForum->modname\",";
    $strQ .= "numfield = \"$oForum->numfield\",";
    $strQ .= "numformat = \"$oForum->numformat\"";
    $strQ .= " WHERE id=$oForum->id";
    $oDB->Query($strQ);
    Unset($_SESSION["qtGotolist"]);
    // exit
    $oVIP->EndMessage(NULL,$lang["S_update"],"admin",2);
  }
}

// --------
// HTML START
// --------

$bJavaCom=true;
include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

$arrDomains = GetDomains($oDB,true);
$oForum->Get($oDB,$oForum->id);

// FORM

echo "<form method=\"post\" action=\"{$oVIP->selfurl}\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" style=\"text-align:left\" colspan=\"2\"><b>{$lang["Classification"]}</b></th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px; text-align:right\"><span class=\"texthead\">{$lang["Domain"]}</span></th>\n";
echo "\t<td class=\"td_cnt\"><select name=\"FFdomain\">\n";
foreach ($arrDomains as $intDom => $strDom)
{
  if ( $intDom==$oForum->domain )
  {
  echo "\t<option value=\"$intDom\" ".QSEL.">$strDom</option>\n";
  }
  else
  {
  echo "\t<option value=\"$intDom\">{$lang["Move_to"]}: $strDom</option>\n";
  }
}
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" style=\"text-align:left\" colspan=\"2\"><b>{$lang["Definition"]}</b></th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px; text-align:right\"><span class=\"texthead\"><label for=\"title\">{$lang["Title"]}</label></span></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"title\" name=\"FFtitle\" size=\"55\" maxlength=\"64\" value=\"{$oForum->title}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px; text-align:right\"><span class=\"texthead\">{$lang["Description"]}</span></th>\n";
echo "\t<td class=\"td_cnt\"><textarea name=\"FFdescr\" rows=\"3\"cols=\"55\" >$oForum->descr</textarea></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" style=\"text-align:left\" colspan=\"2\"><b>{$lang["Options"]}</b></th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px; text-align:right\"><span class=\"texthead\">{$lang["Userrole_M"]}</span></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"hidden\" name=\"FFmodidold\" value=\"$oForum->modid\" />\n";
echo "\t<select name=\"FFmodid\">\n";
foreach ($arrModerators as $intMod => $strMod)
{
echo "\t<option value=\"$intMod\" ".($intMod==$oForum->modid ? QSEL : "").">$strMod</option>\n";
}
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"text-align: right; width:150px\"><span class=\"texthead\"><label for=\"type\">{$lang["Hidden"]}</label></span></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"type\" name=\"FFtype\">\n";
echo "\t<option value=\"0\" ".($oForum->type=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($oForum->type=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t<option value=\"2\" ".($oForum->type=="2" ? QSEL : "").">{$lang["By_user"]}</option>\n";
echo "\t</select>&nbsp;<span class=\"small\">{$lang["H_Hidden"]}</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"text-align: right; width:150px\"><span class=\"texthead\"><label for=\"status\">{$lang["Closed"]}</label></span></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"status\" name=\"FFstatus\">\n";
echo "\t<option value=\"1\" ".($oForum->status=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t<option value=\"0\" ".($oForum->status=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t</select>&nbsp;<span class=\"small\">{$lang["H_Closed"]}</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"text-align: right; width:150px\"><span class=\"texthead\"><label for=\"numfield\">{$lang["Show_topic_id"]}</label></span></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"show_id\" name=\"FFnumfield\">\n";
echo "\t<option value=\"1\" ".($oForum->numfield=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t<option value=\"0\" ".($oForum->numfield=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t</select>&nbsp;<input type=\"text\" size=\"12\" maxlength=\"24\" name=\"FFnumformat\" value=\"{$oForum->numformat}\" />&nbsp;<span class=\"small\">{$lang["H_Show_topic_id"]}</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" colspan=\"2\" style=\"padding:6px; text-align:center\"><input type=\"hidden\" name=\"FFid\" value=\"{$oForum->id}\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></th>\n";
echo "</tr>\n";

echo "</table>\n";
echo "</form>\n";
echo "<br />&laquo;&nbsp;<a href=\"$oVIP->exiturl\">{$lang["Adm_forums"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>