<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$oVIP->selfurl = "qtf_adm_index.php";
$oVIP->selfname = $lang["Adm_status"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check admin email and forum url
  if ( !is_mail($_SESSION["qtf"]["admin_email"]) ) $strError="Error";
  if ( strlen($_SESSION["qtf"]["site_url"])<8 ) $strError="Error";
  if ( !empty($strError) )
  {
    $strFile="$strLang/sys_online_error.inc";
    if ( file_exists($strFile) ) { $strMsg = include($strFile); } else { $strMsg = "<p>Missing admin e-mail or forum url...</p>\n"; }
    $oVIP->exiturl = "qtf_adm_site.php";
    $oVIP->exitname = $lang["Adm_general"];
    $oVIP->EndMessage(NULL,$strMsg,"admin",0);
  }

  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFoffline"]}\" WHERE param=\"board_offline\"");
  $_SESSION["qtf"]["board_offline"] = $_POST["FFoffline"];

  // exit
  $oVIP->exiturl = "qtf_adm_site.php";
  $oVIP->exitname = $lang["Adm_general"];
  $oVIP->EndMessage(NULL,$lang["S_update"],"admin",2);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// BOARD OFFLINE

echo "<h2>{$oVIP->selfname}</h2>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:200px;\"><span class=\"txt_head\">{$lang["Adm_status"]}</span></th>\n";
if ( $_SESSION["qtf"]["board_offline"]=="0" )
{
  echo "\t<td class=\"td_cnt\">&nbsp;</td>\n";
  echo "\t<td class=\"td_cnt\" style=\"text-align:center; background-color:#AAFFAA\"><b>{$lang["On_line"]}</b></td>\n";
}
else
{
  echo "\t<td class=\"td_cnt\">&nbsp;</td>\n";
  echo "\t<td class=\"td_cnt\" style=\"text-align:center; background-color:#FFAAAA\"><b>{$lang["Off_line"]}</b></td>\n";
}
echo "\t<td class=\"td_cnt\" style=\"text-align:right\">\n";
echo "\t<form method=\"post\" action=\"{$oVIP->selfurl}\">{$lang["Change"]}&nbsp;\n";
echo "\t<select id=\"FFoffline\" name=\"FFoffline\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["board_offline"]=="0" ? QSEL : "").">{$lang["On_line"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["board_offline"]=="1" ? QSEL : "").">{$lang["Off_line"]}</option>\n";
echo "\t</select>&nbsp;<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" />\n";
echo "\t</form>\n";
echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";

// STATS

echo "<h2>{$lang["Info"]}</h2>\n";

$oDB->Query("SELECT count(id) as countid FROM ".TABDOMAIN);
$row = $oDB->Getrow();
$intDomain = $row["countid"];

$oDB->Query("SELECT count(id) as countid FROM ".TABFORUM);
$row = $oDB->Getrow();
$intForum = $row["countid"];
$oDB->Query("SELECT count(id) as countid FROM ".TABFORUM." WHERE type=\"1\"");
$row = $oDB->Getrow();
$intHidden = $row["countid"];

$oDB->Query("SELECT min(firstpostdate) as firsttopic FROM ".TABTOPIC);
$row = $oDB->Getrow();
$strStartdate = $row["firsttopic"];

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:200px;\"><span class=\"txt_head\">{$lang["Domains"]}/{$lang["Forums"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">$intDomain ".LangS("Domain",$intDomain,$lang).", $intForum ".LangS("Forum",$intForum,$lang)." <span class=\"small\">($intHidden {$lang["Hidden"]})</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:200px;\"><span class=\"txt_head\">{$lang["Forum_start_date"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">".FormatDate($row["firsttopic"],$lang,False)."</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><span class=\"txt_head\">{$lang["Members"]}</span></th>\n";

$oDB->Query("SELECT count(id) as countid FROM ".TABUSER);
$row = $oDB->Getrow();
$intUser = $row["countid"];
$oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE role=\"A\"");
$row = $oDB->Getrow();
$intAdmin = $row["countid"];
$oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE role=\"M\"");
$row = $oDB->Getrow();
$intMod = $row["countid"];

echo "\t<td class=\"td_cnt\">$intUser ".LangS("Member",$intUser,$lang)." <span class=\"small\">($intAdmin {$lang["Userrole_A"]}, $intMod {$lang["Userrole_M"]})</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><span class=\"txt_head\">{$lang["Messages"]}</span></th>\n";

// messages
$oDB->Query("SELECT count(id) as countid FROM ".TABPOST);
$row = $oDB->Getrow();
$intPost = $row["countid"];
$oDB->Query("SELECT count(id) as countid FROM ".TABTOPIC);
$row = $oDB->Getrow();
$intTopic = $row["countid"];
$oDB->Query("SELECT count(id) as countid FROM ".TABPOST." WHERE type<>\"P\"");
$row = $oDB->Getrow();
$intReply = $row["countid"];

echo "\t<td class=\"td_cnt\">$intPost ".LangS("Message",$intPost,$lang)." <span class=\"small\">($intTopic ".LangS("Topic",$intTopic,$lang).", $intReply ".LangS("Reply",$intReply,$lang).")</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><span class=\"txt_head\">{$lang["Db_disk_space"]}</span></th>\n";

$strSize = $lang["Not_available"];
if ( $oDB->type=="mysql" )
{
  $oDB->Query("show table status from ".$oDB->database);
  $intSize = 0;
  $tables = array(TABSETTING,TABDOMAIN,TABFORUM,TABTOPIC,TABPOST,TABUSER);
  while($row = $oDB->Getrow())
  {
    if ( in_array($row["Name"],$tables) )
    {
    $intSize += $row["Data_length"];
    }
  }
  $strSize = round(($intSize/1024), 0)." Kb";
}
echo "\t<td class=\"td_cnt\">$strSize</td>\n";
echo "</tr>\n";
echo "</table>\n";

// PUBLIC ACCESS LEVEL

$str = "Limitation_".$_SESSION["qtf"]["visitor_right"];

echo "<h2>{$lang["Public_access_level"]}</h2>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:200px; text-align:right; height:25px\"><span class=\"texthead\">{$lang["Visitors_can"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">{$lang[$str]}</td>\n";
echo "\t<td class=\"td_cnt\" style=\"text-align:right\"><a href=\"qtf_adm_secu.php\">{$lang["Change"]}</a></span></td>\n";
echo "</tr>\n";
echo "</table>\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>