<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include("$strLang/qtf_time_zone.inc");

$oVIP->selfurl = "qtf_adm_region.php";
$oVIP->selfname = $lang["Adm_region"];
$oVIP->exiturl = $oVIP->selfurl;
$oVIP->exitname = $oVIP->selfname;

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $bNewLang = False;
  if ( $_POST["language"]<>$_SESSION["qtf"]["language"] ) $bNewLang = true;

  // check form
  $lstParam["time_zone"] = $_POST["time_zone"];
  $lstParam["language"] = $_POST["language"];
  $lstParam["formatdate"] = trim($_POST["formatdate"]); if ( get_magic_quotes_gpc() ) $lstParam["formatdate"]=stripslashes($_POST["formatdate"]);
  if ( $lstParam["formatdate"]=="" ) $strError = $lang["E_invalid"]." ".$lang["Date_format"];

  $lstParam["formattime"] = trim($_POST["formattime"]); if ( get_magic_quotes_gpc() ) $lstParam["formattime"]=stripslashes($_POST["formattime"]);
  if ( $lstParam["formattime"]=="" ) $strError = $lang["E_invalid"]." ".$lang["Time_format"];
  
  $lstParam["daylight"] = $_POST["daylight"];

  // save value
  if ( empty($strError) )
  {
    // save
    foreach($lstParam as $param => $value)
    {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$value\" WHERE param=\"$param\"");
    }

    // register value
    foreach($lstParam as $param => $value)
    {
    $_SESSION["qtf"][$param] = $value;
    }

    // exit
    if ( $bNewLang )
    {
    $strLang = "language/".$_SESSION["qtf"]["language"];
    include(Translate($strLang,"qtf_adm.inc"));
    $oVIP->selfname = $lang["Adm_region"];
    $oVIP->exiturl = "qtf_admin.htm\" target=\"_top";
    $oVIP->exitname = $lang["Refresh_leftpane"];
    $oVIP->EndMessage(NULL,$lang["H_refresh_leftpane"],"admin",0);
    }
    else
    {
    $oVIP->EndMessage(NULL,$lang["S_save"],"admin",2);
    }
  }
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// Read directory in language
$intHandle = opendir("language");
$arrFiles = array();
while ( false!==($strFile = readdir($intHandle)) )
{
if ( $strFile!="." && $strFile!=".." ) $arrFiles[] = $strFile;
}
closedir($intHandle);

// FORM

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px;\"><label for=\"language\">{$lang["Language"]}</label></th>\n";
echo "\t<td class=\"td_cnt\" style=\"width:200px;\"><select id=\"language\" name=\"language\">\n";
foreach($arrFiles as $strKey => $strValue)
{
echo "\t<option value=\"$strValue\" ".($_SESSION["qtf"]["language"]==$strValue ? QSEL : "").">$strValue</option>\n";
}
echo "\t</select></td>\n";
echo "\t<td class=\"td_cnt\"><span class=\"help\">&nbsp;</span></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"time_zone\">{$lang["Time_zone"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"time_zone\" name=\"time_zone\">\n";
foreach($lang["tz"] as $strKey => $strValue)
{
echo "\t<option value=\"$strKey\" ".($_SESSION["qtf"]["time_zone"]==$strKey ? QSEL : "").">$strValue</option>\n";
}
echo "\t</select></td>\n";
echo "\t<td class=\"td_cnt\"><select name=\"daylight\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["daylight"]=="0" ? QSEL : "").">{$lang["Normal_time"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["daylight"]=="1" ? QSEL : "").">{$lang["Daylight_time"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"formatdate\">{$lang["Date_format"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input id=\"formatdate\" name=\"formatdate\" size=\"10\" maxlength=\"24\" value=\"{$_SESSION["qtf"]["formatdate"]}\" /></td>\n";
echo "\t<td class=\"td_cnt\"><span class=\"help\">{$lang["H_Date_format"]}</span></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"formattime\">{$lang["Time_format"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input id=\"formattime\" name=\"formattime\" size=\"10\" maxlength=\"24\" value=\"{$_SESSION["qtf"]["formattime"]}\" /></td>\n";
echo "\t<td class=\"td_cnt\"><span class=\"help\">{$lang["H_Time_format"]}</span></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></td>\n";
echo "\t<td class=\"td_cnt\"><span class=\"help\">&nbsp;</span></td>\n";
echo "</tr>\n";

echo "</table>\n";
echo "</form>\n";

echo "<br />\n";

echo "<h2>{$lang["Format_preview"]}</h2>\n";

echo "<table class=\"tab_cnt\" style=\"width:350px;\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px;\">{$lang["GMT_time"]}</th>\n";
echo "\t<td class=\"td_cnt\">".gmdate($_SESSION["qtf"]["formattime"],time() + 3600*($_SESSION["qtf"]["daylight"]))."</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Local_time"]}</th>\n";
echo "\t<td class=\"td_cnt\">".gmdate($_SESSION["qtf"]["formattime"], time() + 3600*($_SESSION["qtf"]["time_zone"]+$_SESSION["qtf"]["daylight"]))." <span class=\"small\">$strGmt</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Date"]}</th>\n";
echo "\t<td class=\"td_cnt\">".FormatDateStrict(date("Y-m-d"),$_SESSION["qtf"]["formatdate"])."</td>\n";
echo "</tr>\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>
