<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */
session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include("$strLang/qtf_adm.inc");

$oVIP->selfurl = "qtf_adm_secu.php";
$oVIP->selfname = $lang["Adm_security"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check form

  $_SESSION["qtf"]["visitor_right"]=$_POST["FFpal"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["visitor_right"]}\" WHERE param=\"visitor_right\"");

  $_SESSION["qtf"]["register_mode"]=$_POST["FFregmode"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFregmode"]}\" WHERE param=\"register_mode\"");

  $_SESSION["qtf"]["register_safe"]=$_POST["FFregsafe"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFregsafe"]}\" WHERE param=\"register_safe\"");

  $_SESSION["qtf"]["register_coppa"]=$_POST["FFregcoppa"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFregcoppa"]}\" WHERE param=\"register_coppa\"");

  $_SESSION["qtf"]["javamail"]=$_POST["FFjavamail"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFjavamail"]}\" WHERE param=\"javamail\"");

  $_SESSION["qtf"]["avatar"]=$_POST["FFavatar"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFavatar"]}\" WHERE param=\"avatar\"");

  $_SESSION["qtf"]["bbc"]=$_POST["FFbbc"];
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_POST["FFbbc"]}\" WHERE param=\"bbc\"");

  if ( $_SESSION["qtf"]["avatar"]!="0" )
  {
    $str = strip_tags(trim($_POST["FFavatarwidth"]));
    if ( !is_between($str,20,200) ) { $strError = $lang["Max_avatar_size"]." ".$lang["E_invalid"]." (20-200 pixels)"; }
    if ( empty($strError) )
    {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"avatar_width\"");
    $_SESSION["qtf"]["avatar_width"]=$str;
    }
    $str = strip_tags(trim($_POST["FFavatarheight"]));
    if ( !is_between($str,20,200) ) { $strError = $lang["Max_avatar_size"]." ".$lang["E_invalid"]." (20-200 pixels)"; }
    if ( empty($strError) )
    {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"avatar_height\"");
    $_SESSION["qtf"]["avatar_height"]=$str;
    }
    $str = strip_tags(trim($_POST["FFavatarsize"]));
    if ( !is_between($str,2,50) ) $strError = $lang["Max_avatar_size"]." ".$lang["E_invalid"]." (2-50 kb)";
    if ( empty($strError) )
    {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"avatar_size\"");
    $_SESSION["qtf"]["avatar_size"]=$str;
    }
  }
  $str = strip_tags(trim($_POST["FFtpf"]));
  if ( !is_between($str,10,999999) ) $strError = $lang["Max_topics_per_forum"]." ".$lang["E_invalid"]." (10-999999)";
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"topics_per_forum\"");
    $_SESSION["qtf"]["topics_per_forum"]=$str;
  }
  $str = strip_tags(trim($_POST["FFppt"]));
  if ( !is_between($str,10,999) ) $strError = $lang["Max_replies_per_topics"]." ".$lang["E_invalid"]." (10-999)";
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"posts_per_topic\"");
    $_SESSION["qtf"]["posts_per_topic"]=$str;
  }
  $str = strip_tags(trim($_POST["FFcpp"]));
  if ( !is_between($str,1,99) ) $strError = $lang["Max_char_per_post"]." ".$lang["E_invalid"]." (1-99)";
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"chars_per_post\"");
    $_SESSION["qtf"]["chars_per_post"]=$str;
  }
  $str = strip_tags(trim($_POST["FFlpp"]));
  if ( !is_between($str,10,999) ) $strError = $lang["Max_line_per_post"]." ".$lang["E_invalid"]." (10-999)";
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"lines_per_post\"");
    $_SESSION["qtf"]["lines_per_post"]=$str;
  }
  $str = strip_tags(trim($_POST["FFdelay"]));
  if ( !is_between($str,1,99) ) $strError = $lang["Posts_delay"]." ".$lang["E_invalid"]." (1-99)";
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"posts_delay\"");
    $_SESSION["qtf"]["posts_delay"]=$str;
  }
  $str = strip_tags(trim($_POST["FFppd"]));
  if ( !is_between($str,1,999) ) $strError = $lang["Max_post_per_user"]." ".$lang["E_invalid"]." (1-999)";
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"posts_per_day\"");
    $_SESSION["qtf"]["posts_per_day"]=$str;
  }

  if ( empty($strError) )
  {
    // exit
    $oVIP->exiturl = "qtf_adm_secu.php";
    $oVIP->exitname = $lang["Adm_security"];
    $oVIP->EndMessage(NULL,$lang["S_save"],"admin",2);
  }
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// Read values

$loaded["register_mode"]="direct";
$loaded["register_safe"]="text";
$loaded["register_coppa"]="1";
$loaded["admin_email"]="";
$loaded["admin_fax"]="";
$loaded["admin_name"]="";
$loaded["admin_addr"]="";
$loaded["avatar_width"]="120";
$loaded["avatar_height"]="120";
$loaded["avatar_size"]="10000";

$oDB->Query("SELECT param,setting FROM ".TABSETTING." WHERE loaded=\"0\"");
while($row = $oDB->Getrow())
{
  $loaded[$row["param"]]=$row["setting"];
}

// FORM

echo "<script type=\"text/javascript\">
function avatardisabled(str)
{
if (str=='0')
{
document.getElementById('FFavatarwidth').disabled=true;
document.getElementById('FFavatarheight').disabled=true;
document.getElementById('FFavatarsize').disabled=true;
}
else
{
document.getElementById('FFavatarwidth').disabled=false;
document.getElementById('FFavatarheight').disabled=false;
document.getElementById('FFavatarsize').disabled=false;
}
}
</script>\n";

echo "<form method=\"post\" action=\"{$oVIP->selfurl}\">\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Public_access_level"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Visitors_can"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFpal\">{$lang["Visitors_can"]}</label></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"FFpal\" name=\"FFpal\" style=\"font-size:8pt\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["visitor_right"]=="0" ? QSEL : "").">{$lang["Limitation_0"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["visitor_right"]=="1" ? QSEL : "").">{$lang["Limitation_1"]}</option>\n";
echo "\t<option value=\"2\" ".($_SESSION["qtf"]["visitor_right"]=="2" ? QSEL : "").">{$lang["Limitation_2"]}</option>\n";
echo "\t<option value=\"3\" ".($_SESSION["qtf"]["visitor_right"]=="3" ? QSEL : "").">{$lang["Limitation_3"]}</option>\n";
echo "\t<option value=\"4\" ".($_SESSION["qtf"]["visitor_right"]=="4" ? QSEL : "").">{$lang["Limitation_4"]}</option>\n";
echo "\t<option value=\"5\" ".($_SESSION["qtf"]["visitor_right"]=="5" ? QSEL : "").">{$lang["Limitation_5"]}</option>\n";
echo "\t<option value=\"6\" ".($_SESSION["qtf"]["visitor_right"]=="6" ? QSEL : "").">{$lang["Limitation_6"]}</option>\n";
echo "\t<option value=\"7\" ".($_SESSION["qtf"]["visitor_right"]=="7" ? QSEL : "").">{$lang["Limitation_7"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Registration"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["Reg_mode"]}\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:250px;\"><label for=\"FFregmode\">{$lang["Reg_mode"]}</label></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"FFregmode\" name=\"FFregmode\">\n";
echo "\t<option value=\"direct\" ".($loaded["register_mode"]=="direct" ? QSEL : "").">{$lang["Direct"]}</option>\n";
echo "\t<option value=\"email\" ".($loaded["register_mode"]=="email" ? QSEL : "").">{$lang["By_email"]}</option>\n";
echo "\t</select>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Reg_security"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFregsafe\">{$lang["Reg_security"]}</label></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"FFregsafe\" name=\"FFregsafe\">\n";
echo "\t<option value=\"none\" ".($loaded["register_safe"]=="none" ? QSEL : "").">{$lang["None"]}</option>\n";
echo "\t<option value=\"text\" ".($loaded["register_safe"]=="text" ? QSEL : "").">{$lang["Text_code"]}</option>\n";
echo "\t<option value=\"image\" ".($loaded["register_safe"]=="image" ? QSEL : "").">{$lang["Image_code"]}</option>\n";
echo "\t</select>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Register_coppa"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFregcoppa\">{$lang["Register_coppa"]}</label></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"FFregcoppa\" name=\"FFregcoppa\">\n";
echo "\t<option value=\"0\" ".($loaded["register_coppa"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($loaded["register_coppa"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Security_rules"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Max_topics_per_forum"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFtpf\">{$lang["Max_topics_per_forum"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFtpf\" name=\"FFtpf\" size=\"6\" maxlength=\"6\" value=\"{$_SESSION["qtf"]["topics_per_forum"]}\" />/{$lang["Forum"]}</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Max_replies_per_topics"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFppt\">{$lang["Max_replies_per_topics"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFppt\" name=\"FFppt\" size=\"3\" maxlength=\"3\" value=\"{$_SESSION["qtf"]["posts_per_topic"]}\" />/{$lang["Topic"]}</td>\n";
echo "</tr>\n";
echo "<tr title=\"{$lang["H_Posts_delay"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFdelay\">{$lang["Posts_delay"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFdelay\" name=\"FFdelay\" size=\"2\" maxlength=\"2\" value=\"{$_SESSION["qtf"]["posts_delay"]}\" /> ".strtolower($lang["Seconds"])."</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_hacking_day"]}\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:200px;\"><label for=\"FFppd\">{$lang["Max_post_per_user"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFppd\" name=\"FFppd\" size=\"3\" maxlength=\"3\" value=\"{$_SESSION["qtf"]["posts_per_day"]}\" />/".strtolower($lang["Day"])."</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Message_size"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Max_char_per_post"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFcpp\">{$lang["Max_char_per_post"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFcpp\" name=\"FFcpp\" size=\"2\" maxlength=\"2\" value=\"{$_SESSION["qtf"]["chars_per_post"]}\" /> x 1000</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Max_line_per_post"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFlpp\">{$lang["Max_line_per_post"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFlpp\" name=\"FFlpp\" size=\"3\" maxlength=\"3\" value=\"{$_SESSION["qtf"]["lines_per_post"]}\" /></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["User_interface"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_java_mail"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFjavamail\">{$lang["Java_mail"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFjavamail\" name=\"FFjavamail\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["javamail"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["javamail"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["Allow_bbc"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFbbc\">{$lang["Allow_bbc"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFbbc\" name=\"FFbbc\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["bbc"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["bbc"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["Allow_avatar"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFavatar\">{$lang["Allow_avatar"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFavatar\" name=\"FFavatar\" onchange=\"avatardisabled(this.value)\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["avatar"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"jpg,jpeg\" ".($_SESSION["qtf"]["avatar"]=="jpg,jpeg" ? QSEL : "").">{$lang["Yes"]} ({$lang["Jpg_only"]})</option>\n";
echo "\t<option value=\"gif,jpg,jpeg,png\" ".($_SESSION["qtf"]["avatar"]=="gif,jpg,jpeg,png" ? QSEL : "").">{$lang["Yes"]} ({$lang["Gif_jpg_png"]})</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Max_avatar_width"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFavatarwidth\">{$lang["Max_avatar_size"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFavatarwidth\" name=\"FFavatarwidth\" size=\"3\" maxlength=\"3\" value=\"{$loaded["avatar_width"]}\" ".($_SESSION["qtf"]["avatar"]=="0" ? "disabled=\"disabled\"" : "")."/> x <input type=\"text\" id=\"FFavatarheight\" name=\"FFavatarheight\" size=\"3\" maxlength=\"3\" value=\"{$loaded["avatar_height"]}\" ".($_SESSION["qtf"]["avatar"]=="0" ? "disabled=\"disabled\"" : "")."/> pixels</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Max_avatar_size"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFavatarsize\">{$lang["Max_avatar_size"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFavatarsize\" name=\"FFavatarsize\" size=\"3\" maxlength=\"3\" value=\"{$loaded["avatar_size"]}\" ".($_SESSION["qtf"]["avatar"]=="0" ? "disabled=\"disabled\"" : "")."/> Kb</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" colspan=\"2\" style=\"padding:6px; text-align:center\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></th>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form><br />\n\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>