<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$oVIP->selfurl = "qtf_adm_site.php";
$oVIP->selfname = $lang["Adm_general"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check FFsitename
  $str = trim($_POST["FFsitename"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = FormatTitle($str,64,true);
  if ( !empty($str) ) { $_SESSION["qtf"]["site_name"] = $str; } else { $strError = $lang["Site_name"]." ".$lang["E_invalid"]; }

  // check FFsiteurl
  if ( empty($strError) )
  {
    $str = trim($_POST["FFsiteurl"]);
    $str = FormatTitle($str,255,true);
    if ( !empty($str) ) { $_SESSION["qtf"]["site_url"] = $str; } else { $strError = $lang["Site_url"].": ".$lang["E_invalid"]; }
    if ( !ereg("^(http://|https://)",$str) ) $strWarning = $lang["Site_url"].": ".$lang["E_missing_http"];
  }

  // check FFindexname
  if ( empty($strError) )
  {
    $str = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $str = FormatTitle($str,64,true);
    if ( !empty($str) ) { $_SESSION["qtf"]["forum_index_name"] = $str; } else { $strError = $lang["Name_of_index"]." ".$lang["E_invalid"]; }
  }

  // check FFadminemail
  if ( empty($strError) )
  {
    $str = trim($_POST["FFadminmail"]);
    if ( is_mail($str) ) { $_SESSION["qtf"]["admin_email"] = $str; } else { $strError = $lang["Adm_e_mail"]." ".$lang["E_invalid"]; }
  }

  // check others
  if ( empty($strError) )
  {
    $_SESSION["qtf"]["show_banner"] = $_POST["FFbanner"];
    $_SESSION["qtf"]["use_smtp"] = $_POST["FFsmtp"];
    if ( $_SESSION["qtf"]["smtp_host"]=="1" )
    {
    $_SESSION["qtf"]["smtp_host"] = trim($_POST["FFsmtphost"]);
    $_SESSION["qtf"]["smtp_username"] = trim($_POST["FFsmtpusr"]);
    $_SESSION["qtf"]["smtp_password"] = trim($_POST["FFsmtppwd"]);
    if ( empty($_SESSION["qtf"]["smtp_host"]) ) $strError = "Smtp host ".$lang["E_invalid"];
    }
  }

  // save value
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["site_name"]}\" WHERE param=\"site_name\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["site_url"]}\" WHERE param=\"site_url\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["forum_index_name"]}\" WHERE param=\"forum_index_name\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["show_banner"]}\" WHERE param=\"show_banner\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["admin_email"]}\" WHERE param=\"admin_email\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["use_smtp"]}\" WHERE param=\"use_smtp\"");
    if ( $_SESSION["qtf"]["smtp_host"]=="1" )
    {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["smtp_host"]}\" WHERE param=\"smtp_host\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["smtp_username"]}\" WHERE param=\"smtp_username\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["smtp_password"]}\" WHERE param=\"smtp_password\"");
    }
    $str = trim($_POST["FFadminfax"]);  if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $str = FormatTitle($str,255,true);
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"admin_fax\"");

    $str = trim($_POST["FFadminname"]);  if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $str = FormatTitle($str,255,true);
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"admin_name\"");

    $str = trim($_POST["FFadminaddr"]);  if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $str = FormatTitle($str,255);
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"$str\" WHERE param=\"admin_addr\"");

    // exit
    $oVIP->exiturl = "qtf_adm_site.php";
    $oVIP->exitname = $lang["Adm_general"];
    $oVIP->EndMessage(NULL,$lang["S_save"]."<br /><br /><span class=\"warning\">$strWarning</span>","admin",2);
  }
}

// --------
// HTML START
// --------

// WARNINGS

if ( !ereg("^(http://|https://)",$_SESSION["qtf"]["site_url"]) ) $strWarning = $lang["Site_url"].": ".$lang["E_missing_http"];

$bJavaCom = true;
include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// INITIALISE

$loaded["admin_email"]="";
$loaded["admin_fax"]="";
$loaded["admin_name"]="";
$loaded["admin_addr"]="";

$oDB->Query("SELECT param,setting FROM ".TABSETTING." WHERE loaded=\"0\"");
while( $row=$oDB->Getrow() )
{
  $loaded[$row["param"]]=$row["setting"];
}

// FORM

echo "<script type=\"text/javascript\">
function smtpdisabled(str)
{
if (str=='0')
{
document.getElementById('FFsmtphost').disabled=true;
document.getElementById('FFsmtpusr').disabled=true;
document.getElementById('FFsmtppwd').disabled=true;
}
else
{
document.getElementById('FFsmtphost').disabled=false;
document.getElementById('FFsmtpusr').disabled=false;
document.getElementById('FFsmtppwd').disabled=false;
}
}
function PassInLink()
{
strHost = document.getElementById('FFsmtphost').value;
strUser = document.getElementById('FFsmtpusr').value;
strPass = document.getElementById('FFsmtppwd').value;
document.getElementById('smtplink').href='qtf_adm_smtp.php?h=' + strHost + '&u=' + strUser + '&p=' + strPass;
document.getElementById('smtplink').target=\"_blank\";
}
</script>\n";

echo "<form method=\"post\" action=\"$oVIP->selfurl\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";

echo "<tr class=\"tr_cnt\">\n";
echo "   <th class=\"th_cnt_head\" colspan=\"2\">{$lang["General_site"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Site_name"]}\">\n";
echo "   <th class=\"th_cnt\" style=\"width:200px;\"><label for=\"FFsitename\">{$lang["Site_name"]}</label></th>\n";
echo "   <td class=\"td_cnt\"><input type=\"text\" id=\"FFsitename\" name=\"FFsitename\" size=\"50\" maxlength=\"64\" value=\"{$_SESSION["qtf"]["site_name"]}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Site_url"]}\">\n";
echo "   <th class=\"th_cnt\"><label for=\"FFsiteurl\">{$lang["Site_url"]}</label></th>\n";
echo "   <td class=\"td_cnt\"><input type=\"text\" id=\"FFsiteurl\" name=\"FFsiteurl\" size=\"50\" maxlength=\"255\" value=\"{$_SESSION["qtf"]["site_url"]}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Name_of_index"]}\">\n";
echo "   <th class=\"th_cnt\"><label for=\"FFtitle\">{$lang["Name_of_index"]}</label></th>\n";
echo "   <td class=\"td_cnt\"><input type=\"text\" id=\"FFtitle\" name=\"FFtitle\" size=\"50\" maxlength=\"64\" value=\"{$_SESSION["qtf"]["forum_index_name"]}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Show_banner"]}\">\n";
echo "   <th class=\"th_cnt\"><label for=\"FFbanner\">{$lang["Show_banner"]}</label></th>\n";
echo "   <td class=\"td_cnt\"><select id=\"FFbanner\" name=\"FFbanner\">\n";
echo "   <option value=\"0\" ".($_SESSION["qtf"]["show_banner"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "   <option value=\"1\" ".($_SESSION["qtf"]["show_banner"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "   </select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "   <th class=\"th_cnt_head\" colspan=\"2\">{$lang["Contact"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Admin_e_mail"]}\">\n";
echo "   <th class=\"th_cnt\"><label for=\"FFadminmail\">{$lang["Adm_e_mail"]}</label></th>\n";
echo "   <td class=\"td_cnt\"><input type=\"text\" id=\"FFadminmail\" name=\"FFadminmail\" size=\"50\" maxlength=\"255\" value=\"{$_SESSION["qtf"]["admin_email"]}\" style=\"background-color:#FFFF99\"/></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Admin_fax"]}\">\n";
echo "   <th class=\"th_cnt\"><label for=\"FFadminfax\">{$lang["Adm_fax"]}</label></th>\n";
echo "   <td class=\"td_cnt\"><input type=\"text\" id=\"FFadminfax\" name=\"FFadminfax\" size=\"50\" maxlength=\"255\" value=\"{$loaded["admin_fax"]}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["Adm_name"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFadminname\">{$lang["Adm_name"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFadminname\" name=\"FFadminname\" size=\"50\" maxlength=\"255\" value=\"{$loaded["admin_name"]}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["Adm_addr"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFadminaddr\">{$lang["Adm_addr"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFadminaddr\" name=\"FFadminaddr\" size=\"50\" maxlength=\"255\" value=\"{$loaded["admin_addr"]}\" /></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Email_settings"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Use_smtp"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFsmtp\">{$lang["Use_smtp"]}</label></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"FFsmtp\" name=\"FFsmtp\" onchange=\"smtpdisabled(this.value)\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["use_smtp"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["use_smtp"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Use_smtp"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFsmtphost\">Smtp host</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFsmtphost\" name=\"FFsmtphost\" size=\"28\" maxlength=\"255\" value=\"{$_SESSION["qtf"]["smtp_host"]}\" ".($_SESSION["qtf"]["use_smtp"]=="0" ? "disabled=\"disabled\"" : "")."/></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Use_smtp"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFsmtpusr\">Smtp username</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFsmtpusr\" name=\"FFsmtpusr\" size=\"28\" maxlength=\"255\" value=\"{$_SESSION["qtf"]["smtp_username"]}\" ".($_SESSION["qtf"]["use_smtp"]=="0" ? "disabled=\"disabled\"" : "")."/></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Use_smtp"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFsmtppwd\">Smtp password</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFsmtppwd\" name=\"FFsmtppwd\" size=\"28\" maxlength=\"255\" value=\"{$_SESSION["qtf"]["smtp_password"]}\" ".($_SESSION["qtf"]["use_smtp"]=="0" ? "disabled=\"disabled\"" : "")."/> <a id=\"smtplink\" href=\"qtf_adm_smtp.php\" onclick=\"PassInLink()\">test smtp</a></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "   <th class=\"th_cnt\" colspan=\"2\" style=\"padding:6px; text-align:center\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></th>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>