<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$oVIP->selfurl = "qtf_adm_skin.php";
$oVIP->selfname = $lang["Adm_layout"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // CHECK INPUTS

  $str = strip_tags(trim($_POST["FFwidth"]));
  if ( substr($str,-1,1)=="%" ) { $procent = "%"; } else { $procent = ""; }
  $str = str_replace("%","",$str);
  if ( !is_numeric($str) )
  {
    $strError="{$lang["Site_width"]} {$lang["E_invalid"]} (500-1024, 50%-100%)";
  }
  else
  {
    if ( $procent=="%" )
    {
    if ( !is_between($str,50,100) ) { $strError="{$lang["Site_width"]} {$lang["E_invalid"]} (500-1024 or 50%-100%)"; }
    }
    else
    {
    if ( !is_between($str,500,1024) ) { $strError="{$lang["Site_width"]} {$lang["E_invalid"]} (500-1024, 50%-100%)"; }
    }
  }
  $str .= $procent;
  if ( empty($strError) )
  {
  $_SESSION["qtf"]["site_width"] = $str;
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["site_width"]}\" WHERE param=\"site_width\"");
  }

  if ( empty($strError) )
  {
  $str = strip_tags(trim($_POST["topics_per_page"]));
  if ( !is_between($str,10,100) ) $strError = "{$lang["Topics_per_forum_page"]} {$lang["E_invalid"]} (10-100)";
  }
  if ( empty($strError) )
  {
  $_SESSION["qtf"]["topics_per_page"] = $str;
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["topics_per_page"]}\" WHERE param=\"topics_per_page\"");
  }
  if ( empty($strError) )
  {
  $str = strip_tags(trim($_POST["replies_per_page"]));
  if ( !is_between($str,10,100) ) $strError = "{$lang["Replies_per_topic_page"]} {$lang["E_invalid"]} (10-100)";
  }
  if ( empty($strError) )
  {
  $_SESSION["qtf"]["replies_per_page"] = $str;
  $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["replies_per_page"]}\" WHERE param=\"replies_per_page\"");
  }

  // check skin
  if ( empty($strError) )
  {
    $_SESSION["qtf"]["skin_dir"] = $_POST["FFskin"];
    if ( !file_exists("skin/".$_POST["FFskin"]."/qtf_main.css") )
    {
    $strError="{$lang["Forum_skin"]} {$lang["E_invalid"]} (qtf_main.css not found)";
    $_SESSION["qtf"]["skin_dir"] = "default";
    }
  }

  // check banner/welcome/legend/home
  if ( empty($strError) )
  {
    $_SESSION["qtf"]["forum_welcome"] = $_POST["FFwelcome"];
    $_SESSION["qtf"]["show_legend"] = $_POST["FFlegend"];
    $_SESSION["qtf"]["home_menu"] = $_POST["FFhome"];
    $_SESSION["qtf"]["forum_descr"] = $_POST["forum_descr"];
    $_SESSION["qtf"]["show_view_count"] = $_POST["show_view_count"];
    $_SESSION["qtf"]["news_on_top"] = $_POST["news_on_top"];
    $_SESSION["qtf"]["show_quick_reply"] = $_POST["show_quick_reply"];
  }

  // check homename
  if ( $_SESSION["qtf"]["home_menu"]=="1" )
  {
    if ( empty($strError) )
    {
      $str = trim($_POST["FFhomename"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
      $str = FormatTitle($str,64,true);
      if ( !empty($str) ) { $_SESSION["qtf"]["home_name"] = $str; } else { $strError = $lang["Home_website_name"]." ".$lang["E_invalid"]; }
    }
    if ( empty($strError) )
    {
      $str = trim($_POST["FFhomeurl"]);
      $str = FormatTitle($str,100,true);
      if ( !empty($str) ) { $_SESSION["qtf"]["home_url"] = $str; } else { $strError = $lang["Site_url"].": ".$lang["E_invalid"]; }
      if ( !ereg("^(http://|https://)",$str) ) $strWarning = $lang["Home_website_url"].": ".$lang["E_missing_http"];
      $_SESSION["qtf"]["home_url"] = $str;
    }
  }

  // save value
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["skin_dir"]}\" WHERE param=\"skin_dir\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["forum_welcome"]}\" WHERE param=\"forum_welcome\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["show_legend"]}\" WHERE param=\"show_legend\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["home_menu"]}\" WHERE param=\"home_menu\"");
    if ( $_SESSION["qtf"]["home_menu"]=="1" )
    {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["home_name"]}\" WHERE param=\"home_name\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["home_url"]}\" WHERE param=\"home_url\"");
    }
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["topics_per_page"]}\" WHERE param=\"topics_per_page\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["replies_per_page"]}\" WHERE param=\"replies_per_page\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["forum_descr"]}\" WHERE param=\"forum_descr\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["show_view_count"]}\" WHERE param=\"show_view_count\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["news_on_top"]}\" WHERE param=\"news_on_top\"");
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"{$_SESSION["qtf"]["show_quick_reply"]}\" WHERE param=\"show_quick_reply\"");

    // exit
    $oVIP->exiturl = "qtf_adm_skin.php";
    $oVIP->exitname = $lang["Adm_layout"];
    $oVIP->EndMessage(NULL,$lang["S_save"]."<br /><br /><span class=\"warning\">$strWarning</span>","admin",2);
  }
}

// --------
// HTML START
// --------

// WARNINGS

if ( !ereg("^(http://|https://)",$_SESSION["qtf"]["home_url"]) ) $strWarning = $lang["Home_website_url"].": ".$lang["E_missing_http"];

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// Read directory in language
$intHandle = opendir("skin");
$arrFiles = array();
while ( false!==($strFile = readdir($intHandle)) )
{
if ( $strFile!="." && $strFile!=".." ) $arrFiles[] = $strFile;
}
closedir($intHandle);

// FORM

echo "<script type=\"text/javascript\">
function homedisabled(str)
{
if (str=='0')
{
document.getElementById('FFhomename').disabled=true;
document.getElementById('FFhomeurl').disabled=true;
}
else
{
document.getElementById('FFhomename').disabled=false;
document.getElementById('FFhomeurl').disabled=false;
}
}
</script>\n";

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<colgroup span=\"2\">\n";
echo "<col width=\"250\"></col><col></col>\n";
echo "</colgroup>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "   <th class=\"th_cnt_head\" colspan=\"2\">{$lang["Skin"]}</th>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Forum_skin"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFskin\">{$lang["Forum_skin"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFskin\" name=\"FFskin\">\n";
foreach($arrFiles as $intKey => $strValue)
{
echo "\t<option value=\"$strValue\" ".($_SESSION["qtf"]["skin_dir"]==$strValue ? QSEL : "").">$strValue</option>\n";
}
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Layout"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Site_width"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFwidth\">{$lang["Site_width"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFwidth\" name=\"FFwidth\" size=\"4\" maxlength=\"4\" value=\"{$_SESSION["qtf"]["site_width"]}\" />\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Topics_per_forum_page"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"topics_per_page\">{$lang["Topics_per_forum_page"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"topics_per_page\" name=\"topics_per_page\" size=\"3\" maxlength=\"3\" value=\"{$_SESSION["qtf"]["topics_per_page"]}\" />/{$lang["Page"]}</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Replies_per_topic_page"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"replies_per_page\">{$lang["Replies_per_topic_page"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"replies_per_page\" name=\"replies_per_page\" size=\"3\" maxlength=\"3\" value=\"{$_SESSION["qtf"]["replies_per_page"]}\" />/{$lang["Page"]}</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Show_welcome"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFwelcome\">{$lang["Show_welcome"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFwelcome\" name=\"FFwelcome\">\n";
echo "\t<option value=\"2\" ".($_SESSION["qtf"]["forum_welcome"]=="2" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["forum_welcome"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["forum_welcome"]=="1" ? QSEL : "").">{$lang["While_unlogged"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Show_legend"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFlegend\">{$lang["Show_legend"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFlegend\" name=\"FFlegend\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["show_legend"]=="0" ? QSEL : "")." />{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["show_legend"]=="1" ? QSEL : "")." />{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_head\" colspan=\"2\">{$lang["Your_website"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Home_website_name"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFhome\">{$lang["Add_home"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"FFhome\" name=\"FFhome\"  onchange=\"homedisabled(this.value)\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["home_menu"]=="0" ? QSEL : "")." />{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["home_menu"]=="1" ? QSEL : "")." />{$lang["Yes"]}</option>\n";
echo "\t</select>&nbsp;<input type=\"text\" id=\"FFhomename\" name=\"FFhomename\" size=\"10\" maxlength=\"64\" value=\"{$_SESSION["qtf"]["home_name"]}\" ".($_SESSION["qtf"]["home_menu"]=="0" ? "disabled=\"disabled\"" : "")."/></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Website"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"FFhomeurl\">{$lang["Home_website_url"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFhomeurl\" name=\"FFhomeurl\" size=\"30\" maxlength=\"100\" value=\"{$_SESSION["qtf"]["home_url"]}\" ".($_SESSION["qtf"]["home_menu"]=="0" ? "disabled=\"disabled\"" : "")."/></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "   <th class=\"th_cnt_head\" colspan=\"2\">{$lang["Display_options"]}</th>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Repeat_forum_description"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"forum_descr\">{$lang["Repeat_forum_description"]}</label></th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<select id=\"forum_descr\" name=\"forum_descr\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["forum_descr"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["forum_descr"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Show_news_on_top"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"news_on_top\">{$lang["Show_news_on_top"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"news_on_top\" name=\"news_on_top\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["news_on_top"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["news_on_top"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\" title=\"{$lang["H_Show_views_count"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"show_view_count\">{$lang["Show_views_count"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"show_view_count\" name=\"show_view_count\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["show_view_count"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["show_view_count"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr title=\"{$lang["H_Show_quick_reply"]}\">\n";
echo "\t<th class=\"th_cnt\"><label for=\"show_quick_reply\">{$lang["Show_quick_reply"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><select id=\"show_quick_reply\" name=\"show_quick_reply\">\n";
echo "\t<option value=\"0\" ".($_SESSION["qtf"]["show_quick_reply"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t<option value=\"1\" ".($_SESSION["qtf"]["show_quick_reply"]=="1" ? QSEL : "").">{$lang["Yes"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" colspan=\"2\" style=\"padding:6px; text-align:center\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></th>\n";
echo "</tr>\n";

echo "</table>\n";
echo "</form>\n";
echo "<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>