<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$intYear = date("Y");
$arrYears = array($intYear-1,$intYear);

if ( isset($_POST["FFyear"]) ) $intYear = $_POST["FFyear"];

$oVIP->selfurl = "qtf_adm_stats.php";
$oVIP->selfname = $lang["Adm_stats"];

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// FIRST/LAST DATE

$query = "SELECT min(issuedate) as firstdate, max(issuedate) as lastdate FROM ".TABPOST;
$oDB->Query($query);
$row = $oDB->Getrow();

$strFirstdate = FormatDate($row["firstdate"],$lang);
$strLastdate  = FormatDate($row["lastdate"],$lang);

$intStartyear  = intval(date("Y",strtotime($row["firstdate"])));
$intStartmonth = intval(date("n",strtotime($row["firstdate"])));
$intEndyear    = intval(date("Y"));
$intEndmonth   = intval(date("n"));
$iTotalPost = 0;

// TOPICS PER DAY

$intTPD = 0;
$oDB->Query("SELECT count(id) as countid, max(firstpostdate) as lastdate, min(firstpostdate) as firstdate FROM ".TABTOPIC);
if ( $row=$oDB->Getrow() )
{
  if ( $row["countid"]!=0 && $row["lastdate"]!=$row["firstdate"] )
  {
    $intDif = strtotime($row["lastdate"]) - strtotime($row["firstdate"]);
    if ( $intDif!=0 )
    {
    $intTPD = $row["countid"]*86400 / $intDif ;
    $intTPD = round($intTPD, 1);
    }
  }
}

// MESSAGE PER DAY

$intMPD = 0;
$oDB->Query("SELECT count(id) as countid,max(issuedate) as lastdate, min(issuedate) as firstdate FROM ".TABPOST);
if ( $row=$oDB->Getrow() ) {
if ( $row["countid"]!=0 && $row["lastdate"]!=$row["firstdate"] ) {
  $intDif = strtotime($row["lastdate"]) - strtotime($row["firstdate"]);
  if ( $intDif!=0 )
  {
  $intMPD = $row["countid"]*86400 / $intDif ;
  $intMPD = round($intMPD, 1);
  }
}
}

echo "<h2>{$lang["General_site"]}</h2>\n";

echo "<table class=\"tab_cnt\" style=\"width:370px;\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px;\"><span class=\"texthead\">{$lang["Forum_start_date"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">$strFirstdate</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><span class=\"texthead\">{$lang["Last_message"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">$strLastdate</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\"><span class=\"texthead\">{$lang["Topics"]} / {$lang["Day"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">$intTPD</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"text-align:right\"><span class=\"texthead\">{$lang["Messages"]} / {$lang["Day"]}</span></th>\n";
echo "\t<td class=\"td_cnt\">$intMPD</td>\n";
echo "</tr>\n";
echo "</table>\n";

echo "<h2>{$lang["Messages"]}</h2>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:50px\">&nbsp;</th>\n";
Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $month)
{
  echo "\t<th class=\"th_cnt\" style=\"text-align:center;\">".$lang["date"][$month]."</th>\n";
}
echo "\t<th class=\"th_cnt\" style=\"text-align:center;\"><b>{$lang["Total"]}</b></th>
</tr>\n";

Foreach ($arrYears as $valYear)
{
  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<th class=\"th_cnt\">$valYear</th>\n";

  $iTotalPost = 0;
  $iMonth = 0;
  Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $strMonth)
  {
    $iMonth+=1;
    if ( $valYear<$intStartyear )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $valYear==$intStartyear && $iMonth<$intStartmonth)
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $valYear>=$intEndyear && $iMonth>$intEndmonth )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE YEAR(issuedate)=$valYear AND MONTH(issuedate)=$iMonth";
    if ($oDB->type=="pg") $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE EXTRACT(year FROM issuedate)=$valYear AND EXTRACT(month from issuedate)=$iMonth";
    $oDB->Query($strQ);
    $row = $oDB->Getrow();
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">{$row["countid"]}</td>\n";
    $iTotalPost = $iTotalPost + $row["countid"];
  }
  echo "\t<td class=\"td_cnt\" style=\"text-align:center;padding:5px\"><b>$iTotalPost</b></td>\n</tr>\n";
}

echo "</table><br />\n";

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\" style=\"vertical-align:bottom;\">\n";
echo "<td class=\"td_hidden\"><h2>{$lang["Detail"]} $intYear</h2></td>\n";
echo "<td class=\"td_hidden\" style=\"text-align:right\">{$lang["Year"]} <select name=\"FFyear\" id=\"FFyear\"/>\n";
Foreach ($arrYears as $valYear)
{
echo "<option value=\"$valYear\" ".($valYear==$intYear ? QSEL : "").">$valYear</option>\n";
}
echo "</select> <input type=\"submit\" name=\"FFsubmit\" id=\"FFsubmit\" value=\"{$lang["Change"]}\"/></td>\n";
echo "</tr>\n</table>\n</form>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:50px\">&nbsp;</th>\n";
Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $month)
{
  echo "\t<th class=\"th_cnt\" style=\"text-align:center;\">".$lang["date"][$month]."</th>\n";
}
echo "\t<th class=\"th_cnt\" style=\"text-align:center;\"><b>{$lang["Total"]}</b></th>
</tr>\n";

// Topics
if ( $iTotalPost>0 )
{
  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<th class=\"th_cnt\">".GetIcon($strSkin,"topic","t","0","",$lang)."</th>\n";

  $iTotal = 0;
  $iMonth = 0;
  Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $strMonth)
  {
    $iMonth+=1;
    if ( $intYear<$intStartyear )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear==$intStartyear && $iMonth<$intStartmonth)
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear>=$intEndyear && $iMonth>$intEndmonth )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"P\" AND YEAR(issuedate)=$intYear AND MONTH(issuedate)=$iMonth";
    if ( $oDB->type=="pg" ) $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"P\" AND EXTRACT(year FROM issuedate)=$intYear AND EXTRACT(month from issuedate)=$iMonth";
    $oDB->Query($strQ);
    $row = $oDB->Getrow();
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">".$row["countid"]."</td>\n";
    $iTotal = $iTotal + $row["countid"];
  }
  echo "\t<td class=\"td_cnt\" style=\"text-align:center;padding:5px\"><b>$iTotal</b></td>\n</tr>\n";
}
// Annonces
if ( $iTotalPost>0 )
{
  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<th class=\"th_cnt\">".GetIcon($strSkin,"topic","a","0","",$lang)."</th>\n";

  $iTotal = 0;
  $iMonth = 0;
  Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $strMonth)
  {
    $iMonth+=1;
    if ( $intYear<$intStartyear )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear==$intStartyear && $iMonth<$intStartmonth)
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear>=$intEndyear && $iMonth>$intEndmonth )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"A\" AND YEAR(issuedate)=$intYear AND MONTH(issuedate)=$iMonth";
    if ( $oDB->type=="pg" ) $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"A\" AND EXTRACT(year FROM issuedate)=$intYear AND EXTRACT(month from issuedate)=$iMonth";
    $oDB->Query($strQ);
    $row = $oDB->Getrow();
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">".$row["countid"]."</td>\n";
    $iTotal = $iTotal + $row["countid"];
  }
  echo "\t<td class=\"td_cnt\" style=\"text-align:center;padding:5px\"><b>$iTotal</b></td>\n</tr>\n";
}
// Reply
if ( $iTotalPost>0 )
{
  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<th class=\"th_cnt\">".GetIcon($strSkin,"post","r","0","",$lang)."</th>\n";

  $iTotal = 0;
  $iMonth = 0;
  Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $strMonth)
  {
    $iMonth+=1;
    if ( $intYear<$intStartyear )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear==$intStartyear && $iMonth<$intStartmonth)
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear>=$intEndyear && $iMonth>$intEndmonth )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"R\" AND YEAR(issuedate)=$intYear AND MONTH(issuedate)=$iMonth";
    if ( $oDB->type=="pg" ) $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"R\" AND EXTRACT(year FROM issuedate)=$intYear AND EXTRACT(month from issuedate)=$iMonth";
    $oDB->Query($strQ);
    $row = $oDB->Getrow();
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">".$row["countid"]."</td>\n";
    $iTotal = $iTotal + $row["countid"];
  }
  echo "\t<td class=\"td_cnt\" style=\"text-align:center;padding:5px\"><b>$iTotal</b></td>\n</tr>\n";
}
// Delete
if ( $iTotalPost>0 )
{
  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<th class=\"th_cnt\">".GetIcon($strSkin,"post","d","0","",$lang)."</th>\n";

  $iTotal = 0;
  $iMonth = 0;
  Foreach (array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec") as $strMonth)
  {
    $iMonth+=1;
    if ( $intYear<$intStartyear )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear==$intStartyear && $iMonth<$intStartmonth)
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    if ( $intYear>=$intEndyear && $iMonth>$intEndmonth )
    {
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">&middot;</td>\n";
    continue;
    }
    $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"D\" AND YEAR(issuedate)=$intYear AND MONTH(issuedate)=$iMonth";
    if ( $oDB->type=="pg" ) $strQ = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"D\" AND EXTRACT(year FROM issuedate)=$intYear AND EXTRACT(month from issuedate)=$iMonth";
    $oDB->Query($strQ);
    $row = $oDB->Getrow();
    echo "\t<td class=\"td_cnt\" style=\"text-align:center;\">".$row["countid"]."</td>\n";
    $iTotal = $iTotal + $row["countid"];
  }
  echo "\t<td class=\"td_cnt\" style=\"text-align:center;padding:5px\"><b>$iTotal</b></td>\n</tr>\n";
}
echo "</table><br />\n";
echo GetIcon($strSkin,"topic","t","0","",$lang)." ".$lang["Topics"].", ";
echo GetIcon($strSkin,"topic","a","0","",$lang)." ".$lang["Newss"].", ";
echo GetIcon($strSkin,"post","r","0","",$lang)." ".$lang["Replys"].", ";
echo GetIcon($strSkin,"post","d","0","",$lang)." ".$lang["Ico_post_d"];

// HTML END

include("qtf_adm_p_footer.inc");

?>