<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));
include("bin/qtf_fn_limitsql.inc");

$FFdays = 10;
if ( isset($_GET["d"]) ) $FFdays = $_GET["d"];

$oVIP->selfurl = "qtf_adm_topic.php";
$oVIP->selfname = $lang["Adm_topics"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $FFdays = intval(trim($_POST["FFdays"]));
  if ( !is_between($FFdays,1,99) )
  {
  $strError = $lang["Days"]." ".$lang["E_invalid"]." (1-99)";
  $FFdays = 10;
  }
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// --------
// CONTENT
// --------

// Table header

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Forum"]}</th>\n";
echo "\t<th class=\"th_cnt_col\" style=\"width:70px\">{$lang["Topics"]}&nbsp;</th>\n";
echo "\t<th class=\"th_cnt_col\" style=\"width:70px\">{$lang["Replys"]}&nbsp;</th>\n";
echo "\t<th class=\"th_cnt_col\" style=\"width:70px\">{$lang["Lost"]}*&nbsp;</th>\n";
echo "\t<th class=\"th_cnt_col\">{$lang["Action"]}&nbsp;</th>\n";
echo "</tr>\n";

// Table content

$oForum = new cForum;
$arrForums = GetForums($oDB,"*",true,true);

foreach ($arrForums as $intKey => $strValue)
{
  $oForum->Get($oDB,$intKey);
  $oForum->CountNews($oDB,$intKey);
  $oForum->CountUnreplies($oDB,$intKey,$FFdays);

  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<td class=\"td_cnt\">$oForum->title</td>\n";
  echo "\t<td class=\"td_cnt\">$oForum->topics</td>\n";
  echo "\t<td class=\"td_cnt\">$oForum->replies</td>\n";
  echo "\t<td class=\"td_cnt\">".($oForum->unreplies+$oForum->unrepliesnews)."</td>\n";
  echo "\t<td class=\"td_cnt\">\n";
  if ( $oForum->news+$oForum->topics+$oForum->replies>0 )
  {
  echo "<a class=\"small\" href=\"qtf_adm_topic_move.php?f={$oForum->id}&amp;d=$FFdays\">{$lang["Move"]}</a> &middot; ";
  }
  else
  {
  echo "<span class=\"disabled\">{$lang["Move"]}</span> &middot; ";
  }
  if ( $oForum->news+$oForum->topics+$oForum->replies>0 )
  {
  echo "<a class=\"small\" href=\"qtf_adm_topic_del.php?f={$oForum->id}&amp;d=$FFdays\">{$lang["Delete"]}</a> &middot; ";
  }
  else
  {
  echo "<span class=\"disabled\">{$lang["Delete"]}</span> &middot; ";
  }
  if ( $oForum->unreplies+$oForum->unrepliesnews>0 )
  {
  echo "<a class=\"small\" href=\"qtf_adm_topic_prune.php?f={$oForum->id}&amp;d=$FFdays\">{$lang["Prune"]}</a>";
  }
  else
  {
  echo "<span class=\"disabled\">{$lang["Prune"]}</span>";
  }
  echo "\t</td>\n";
  echo "</tr>\n";
}
echo "</table>
<br />
<form method=\"post\" action=\"$oVIP->selfurl\">
<fieldset style=\"width:450px; padding:5px; text-align:right;\">
<legend>*{$lang["Lost"]}</legend>\n";
echo sprintf($lang["Prune_definition"],"<input type=\"text\" name=\"FFdays\" size=\"2\" maxlength=\"2\" value=\"$FFdays\" class=\"small\" />")."&nbsp;<input name=\"FFsubmit\" type=\"submit\" value=\"{$lang["Ok"]}\" /><br />
</fieldset>
</form>
<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>