<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));
include("bin/qtf_fn_limitsql.inc");

$FFid   = -1;
$FFdays = 10;

$oVIP->selfurl  = "qtf_adm_topic_prune.php";
$oVIP->selfname = $lang["Adm_topics_prune"];
$oVIP->exitname = $lang["Adm_topics"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  if ( isset($_POST["FFid"]) )   $FFid   = $_POST["FFid"];
  if ( isset($_POST["FFdays"]) ) $FFdays = $_POST["FFdays"];
  if ( $FFid<0 )   die("Missing argument f");
  if ( $FFdays<1 ) die("Missing argument d");
  $intTopics = 0;
  $intNews = 0;
  if ( isset($_POST["FFtopics"]) ) $intTopics = $_POST["FFtopics"];
  if ( isset($_POST["FFnews"]) ) $intNews = $_POST["FFnews"];

  echo $intTopics.".".$intNews;

  // dflt topics
  if ( $intTopics>0 )
  {
    $strQ = "SELECT t.id FROM ".TABTOPIC." t WHERE t.forum=$FFid AND t.replies=0 AND t.type<>\"A\" AND ".DateAddBeforeNow($oDB->type,"t.firstpostdate",$FFdays);
    $oDB->Query($strQ);
    $strId = "";
    while ($row = $oDB->Getrow())
    {
      $strId .= $row["id"].",";
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      $strQ = "DELETE FROM ".TABPOST." WHERE topic IN ($strId)";
      $oDB->Query($strQ);
      // delete topics
      $strQ = "DELETE FROM ".TABTOPIC." WHERE id IN ($strId)";
      $oDB->Query($strQ);
    }
  }
  // news topics
  if ( $intNews>0 )
  {
    $strQ = "SELECT t.id FROM ".TABTOPIC." t WHERE t.forum=$FFid AND t.replies=0 AND t.type=\"A\" AND ".DateAddBeforeNow($oDB->type,"t.firstpostdate",$FFdays);
    $oDB->Query($strQ);
    $strId = "";
    while ($row = $oDB->Getrow())
    {
      $strId .= $row["id"].",";
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      $strQ = "DELETE FROM ".TABPOST." WHERE topic IN ($strId)";
      $oDB->Query($strQ);
      // delete topics
      $strQ = "DELETE FROM ".TABTOPIC." WHERE id IN ($strId)";
      $oDB->Query($strQ);
    }
  }
  //Stats
  if ( $intTopics+$intNews>0 )
  {
    // count topics this forum
    $oForum = new cForum;
    $oForum->UpdateStats($oDB,$FFid);
  }

  // exit
  $oVIP->exiturl = "qtf_adm_topic.php?d=$FFdays";
  $oVIP->EndMessage(NULL,$lang["S_delete"]." ".($intTopics+$intNews)." ".LangS("Topic",$intTopics+$intNews,$lang),"admin",2);
}

// --------
// HTML START
// --------

if ( isset($_GET["d"]) ) $FFdays = $_GET["d"];
if ( isset($_GET["f"]) ) $FFid = $_GET["f"];
if ( $FFid<0 ) die("Missing argument f");
if ( $FFdays<1 ) die("Missing argument d");

$oVIP->exiturl  = "qtf_adm_topic.php?d=$FFdays";

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

$oForum = new cForum;
$oForum->Get($oDB,$FFid);
$oForum->CountUnreplies($oDB,$FFid,$FFdays);

// FORM
echo "<p><i><b>".sprintf($lang["H_Topics_prune"],$FFdays)."</b></i></p>\n";

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px;\">{$lang["Forum"]}</th>\n";
echo "\t<td class=\"td_cnt\"><b>$oForum->title</b></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Adm_stats"]}</th>\n";
echo "\t<td class=\"td_cnt\">".($oForum->unreplies + $oForum->unrepliesnews)." ".sprintf($lang["Prune_definition"],$FFdays)."</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Delete"]}</th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<input type=\"checkbox\" id=\"FFtopics\" name=\"FFtopics\" value=\"$oForum->unreplies\" ".($oForum->unreplies==0 ? "disabled=\"disabled\"" : "")."/>&nbsp;<label for=\"FFtopics\">$oForum->unreplies ".LangS("Topic",$oForum->unreplies,$lang)."</label><br />\n";
echo "\t<input type=\"checkbox\" id=\"FFnews\" name=\"FFnews\" value=\"$oForum->unrepliesnews\" ".($oForum->unrepliesnews==0 ? "disabled=\"disabled\"" : "")."/>&nbsp;<label for=\"FFnews\">$oForum->unrepliesnews ".LangS("News",$oForum->unrepliesnews,$lang)."</label></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\">\n";
echo "\t<input type=\"hidden\" name=\"FFdays\" value=\"$FFdays\" />\n";
echo "\t<input type=\"hidden\" name=\"FFid\" value=\"$FFid\" />\n";
echo "\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Ok"]}\" />\n";
echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<br />\n";
echo "&laquo;&nbsp;<a href=\"$oVIP->exiturl\">{$lang["Adm_topics"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>