<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));
include("bin/qtf_fn_limitsql.inc");

// --------
// SUBMITTED
// --------

if ( isset($_POST["submit"]) ) {
if ( $_POST["submit"]==$lang["Delete"] ) {
  if ( $_POST["cat"]=="False_members" ) $oDB->Query("DELETE FROM ".TABUSER." WHERE firstdate=lastdate AND id>1");
  if ( $_POST["cat"]=="Sleeping_members" ) $oDB->Query("DELETE FROM ".TABUSER." WHERE ".DateAddBeforeNow($oDB->type,"lastdate",365)." AND id>1");
  if ( $_POST["cat"]=="Sleeping_children" ) $oDB->Query("DELETE FROM ".TABUSER." WHERE children=\"1\" AND parentagree=\"0\" AND id>1");
  echo "<br />
  <div class=\"div_msgbox\" style=\"width: 300px;\"><h1>{$lang["Users_deleted"]}</h1>
  Visitor and Admin cannot be deleted...
  </div>
  <br />\n";
  echo "&laquo;&nbsp;<a href=\"qtf_adm_users.php\">{$lang["Adm_users"]}</a>";
  echo "<meta http-equiv=\"REFRESH\" content=\"3;url=qtf_adm_users.php\">";
  exit;
}
}

// INITIALISE

$strGroup = "all";
$intLimit = 0;
$intPage  = 1;
$strOrder = "id";
$strDirec = "ASC";
$strInver = "DESC";
$strCateg = "all";

$oVIP->selfurl = "qtf_adm_users.php";
$oVIP->selfname = $lang["Adm_users"];

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// --------
// CONTENT
// --------

if ( isset($_GET["group"]) ) $strGroup = $_GET["group"];
if ( isset($_GET["page"]) ) { $intLimit = (intval($_GET["page"])-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage = intval($_GET["page"]); }
if ( isset($_GET["order"]) ) $strOrder = $_GET["order"];
if ( isset($_GET["dir"]) ) $strDirec = $_GET["dir"];
if ( $strDirec == "DESC" ) $strInver="ASC";
if ( isset($_GET["cat"]) ) $strCateg = $_GET["cat"];

// Global statistics  (count users)

  $oDB->Query("SELECT count(id) as countid FROM ".TABUSER);
  $row = $oDB->Getrow();
  $intUsers = $row["countid"];

// Global statistics  (count users without post)

  $oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE id > 1 AND firstdate = lastdate");
  $row = $oDB->Getrow();
  $intFalse = $row["countid"];
  if ( $intFalse>0 )
  {
  $strFalse = "<a href=\"qtf_adm_users.php?cat=False_members\">[&raquo;]</a>";
  }else{
  $strFalse = "&nbsp;";
  }

// Global statistics  (count users sleeping 1 year)

  $oDB->Query("SELECT count(id) as numuser FROM ".TABUSER." WHERE id > 1 AND ".DateAddBeforeNow($oDB->type,"lastdate",365));
  $row = $oDB->Getrow();
  $intSleeping = $row["numuser"];

  if ( $intSleeping>0 )
  {
  $strSleeping = "<a href=\"qtf_adm_users.php?cat=Sleeping_members\">[&raquo;]</a>";
  }else{
  $strSleeping = "&nbsp;";
  }

// Global statistics  (children and children without agreement)

  // children (all)
  $oDB->Query("SELECT count(id) as numuser FROM ".TABUSER." WHERE id > 1 AND children<>\"0\"");
  $row = $oDB->Getrow();
  $intChild = $row["numuser"];

  if ( $intChild>0 )
  {
  $strChild = "<a href=\"qtf_adm_users.php?cat=Children\">[&raquo;]</a>";
  }
  else
  {
  $strChild = "&nbsp;";
  }

  // children (without agreement only)
  $oDB->Query("SELECT count(id) as numuser FROM ".TABUSER." WHERE id > 1 AND children=\"2\"");
  $row = $oDB->Getrow();
  $intSleepchild = $row["numuser"];

  if ( $intSleepchild>0 )
  {
  $strSleepChild = "<a href=\"qtf_adm_users.php?cat=Sleeping_children\">[&raquo;]</a>";
  }
  else
  {
  $strSleepChild = "&nbsp;";
  }

echo "<table class=\"tab_hidden\" cellspacing=\"0\">
<tr class=\"tr_hidden\">
<td class=\"td_hidden\" style=\"width:500px;\">
\t<table class=\"tab_cnt\" cellspacing=\"0\">
\t<tr class=\"tr_cnt\">
\t<td class=\"td_cnt_head\">{$lang["Members"]}</td>
\t<td class=\"td_cnt_head\">&nbsp;</td>
\t<td class=\"td_cnt_head\"><b>$intUsers</b></td>
\t<td class=\"td_cnt_head\"><a href=\"qtf_adm_users.php\">[&raquo;]</a></td>
\t</tr>
\t<tr class=\"tr_cnt\">
<td class=\"td_cnt\">{$lang["False_members"]}</td>
\t<td class=\"td_cnt\"><span class=\"small\">{$lang["H_False_members"]}</span></td>
\t<td class=\"td_cnt\"><b>$intFalse</b></td>
\t<td class=\"td_cnt\">$strFalse</td>
\t</tr>
\t<tr class=\"tr_cnt\">
\t<td class=\"td_cnt\">{$lang["Sleeping_members"]}</td>
\t<td class=\"td_cnt\"><span class=\"small\">{$lang["H_Sleeping_members"]}</span></td>
\t<td class=\"td_cnt\"><b>$intSleeping</b></td>
\t<td class=\"td_cnt\">$strSleeping</td>
\t</tr>
\t<tr class=\"tr_cnt\">
\t<td class=\"td_cnt\">{$lang["Children"]}</td>
\t<td class=\"td_cnt\"><span class=\"small\">{$lang["H_Children"]}</span></td>
\t<td class=\"td_cnt\"><b>$intChild</b></td>
\t<td class=\"td_cnt\">$strChild</td>
\t</tr>
\t<tr class=\"tr_cnt\">
\t<td class=\"td_cnt\">{$lang["Sleeping_children"]}</td>
\t<td class=\"td_cnt\"><span class=\"small\">{$lang["H_Sleeping_children"]}</span></td>
\t<td class=\"td_cnt\"><b>$intSleepchild</b></td>
\t<td class=\"td_cnt\">$strSleepChild</td>
\t</tr>
\t</table>
</td>

<td class=\"td_hidden\">&nbsp;</td>

<td class=\"td_hidden\">
  {$lang["Top_participants"]}<br />
  <table class=\"tab_hidden\" cellspacing=\"0\">\n";

  // LIMIT QUERY top 5 participant
  $strState = "name, id, numpost FROM ".TABUSER;
  $strQ = LimitSQL($oDB->type,$strState,"numpost DESC",0,5);
  $oDB->Query($strQ);

  For ($while=0;$while<5;$while++)
  {
    $row = $oDB->Getrow();
    if ( !$row ) break;
    echo "   <tr><td><a href=\"qtf_usr.php?id={$row["id"]}\">{$row["name"]}</a></td><td style=\"text-align:right\">{$row["numpost"]}<td></tr>\n";
  }

echo "   </table>
</td>
</tr>
</table><br />\n";

// --------
// Category subform
// --------
if ( $strCateg!="all" )
{
  echo "<h1>".$lang[$_GET["cat"]]." (";
  $strVar = "H_".$_GET["cat"];
  echo $lang[$strVar].")</h1>\n";
  if ( $strCateg!="Children" )
  {
  echo "<form method=\"post\" action=\"adm_users.php\">";
  echo $lang["Delete"]." $intCount ".$lang[$_GET["cat"]]."&nbsp;&nbsp;<input type=\"hidden\" name=\"cat\" value=\"{$_GET["cat"]}\" /><input type=\"submit\" name=\"submit\" value=\"{$lang["Delete"]} !\" /></form>\n";
  }
}
// --------
// Button line and pager
// --------

if ( $strCateg=="all" )
{
  $strGroups = "<td class=\"td_button_small\" style=\"width:35px;\">".($strGroup=="all" ? "<b>{$lang["All"]}</b>" : "<a href=\"$oVIP->selfurl?group=all\">{$lang["All"]}</a>" )."</td>\n";
  for ($g="A";$g!="AA";$g++)
  {
  $strGroups .= "<td class=\"td_button_small\" style=\"width:18px;\">".($strGroup==$g ? "<b>$g</b>" : "<a href=\"$oVIP->selfurl?group=$g\">$g</a>" )."</td>\n";
  }
  $strGroups .= "<td class=\"td_button_small\" style=\"width:18px;\">".($strGroup=="#" ? "<b>#</b>" : "<a href=\"$oVIP->selfurl?group=#\">#</a>" )."</td>\n";
  $strGroups .= "<td class=\"td_hidden\">&nbsp;</td>\n";
}

// refine query
Switch ($strGroup)
{
  Case "all": $strWhere = " WHERE id>=0"; Break;
  Case "#":   $strWhere = " WHERE (".FirstCharCase($oDB->type,"name","u")."<\"A\" OR ".FirstCharCase($oDB->type,"name","u").">\"Z\")"; Break;
  Default:    $strWhere = " WHERE ".FirstCharCase($oDB->type,"name","u")."=\"$strGroup\""; Break;
}
// refine query by category
if ( $strCateg=="False_members" )     $strWhere .= " AND firstdate=lastdate";
if ( $strCateg=="Sleeping_members" )  $strWhere .= " AND ".DateAddBeforeNow($oDB->type,"lastdate",365);
if ( $strCateg=="Children" )          $strWhere .= " AND children<>\"0\"";
if ( $strCateg=="Sleeping_children" ) $strWhere .= " AND children=\"2\"";

// count query
$oDB->Query("SELECT count(id) as countid FROM ".TABUSER.$strWhere);
$row = $oDB->Getrow();
$intCount = $row["countid"];

// -- pager --

if ( $intCount>($_SESSION["qtf"]["topics_per_page"]*5) )
{
  $strPager = $lang["Page"];
  // firstpage
  if ( $intPage==1 )
  {
  $firstpage = " &laquo;";
  }
  else
  {
  $firstpage = " <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1\" title=\"{$lang["First"]}\">&laquo;</a>";
  }
  // lastpage
  $il = ceil($intCount/$_SESSION["qtf"]["topics_per_page"]);
  if ( $intPage==$il )
  {
  $lastpage = " &raquo;";
  }
  else
  {
  $lastpage = " <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=$il\" title=\"{$lang["Last"]}\">&raquo;</a>";
  }
  // 3 pages
  if ( $intPage==1 )
  {
  $thesepages = " <b>$intPage</b> <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=".($intPage+1)."\" title=\"{$lang["Next"]}\">".($intPage+1)."</a> <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=".($intPage+2)."\" title=\"{$lang["Next"]}\">".($intPage+2)."</a>";
  }
  elseif ( $intPage==$il )
  {
  $thesepages = " <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=".($intPage-2)."\" title=\"{$lang["Previous"]}\">".($intPage-2)."</a> <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=".($intPage-1)."\" title=\"{$lang["Previous"]}\">".($intPage-1)."</a> <b>$intPage</b> ";
  }
  else
  {
  $thesepages = " <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=".($intPage-1)."\" title=\"{$lang["Previous"]}\">".($intPage-1)."</a> <b>$intPage</b> <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=".($intPage+1)."\" title=\"{$lang["Next"]}\">".($intPage+1)."</a>";
  }
  // finish
  $strPager .= $firstpage.$thesepages.$lastpage;
}
elseif ( $intCount>$_SESSION["qtf"]["topics_per_page"] )
{
  $strPager = $lang["Page"];
  for ($i=0; $i<$intCount; $i+=$_SESSION["qtf"]["topics_per_page"])
  {
    $page = $i/$_SESSION["qtf"]["topics_per_page"]+1;
    if ( $intPage==$page )
    {
    $strPager .= " <b>$page</b>";
    }
    else
    {
    $strPager .= " <a href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=$page\">$page</a>";
    }
  }
}
else
{
  $strPager="&nbsp;";
}

$strCommand = $strPager;

// -- Display button line and pager --

if ( $intCount>$_SESSION["qtf"]["topics_per_page"] || isset($_GET["group"]) ) echo "<table class=\"tab_button\" cellspacing=\"0\">\n<tr>\n$strGroups</tr>\n</table>\n\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\" ><tr><td style=\"text-align:right;padding:4px;\">$strCommand</td></tr></table>\n";

// end if no result
if ( $intCount==0 )
{
  echo $lang["None"];
  include("qtf_adm_p_footer.inc");
  exit;
}

// --------
// Memberlist
// --------

$img["NO"]="";
$img["ASC"]= " <img class=\"ico_sort\" src=\"admin/sort_asc.gif\" alt=\"+\" />";
$img["DESC"]= " <img class=\"ico_sort\" src=\"admin/sort_desc.gif\" alt=\"-\" />";
$sort["ASC"]= "DESC";
$sort["DESC"]= "ASC";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<td class=\"th_cnt_col\" style=\"width:40px;\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=id&amp;dir=" . $sort[$strDirec] . "\">Id</a>" . ($strOrder=="id" ? $img[$strDirec] : $img["NO"]) . "</td>\n";
echo "\t<td class=\"th_cnt_col\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=name&amp;dir=" . $sort[$strDirec] . "\">" . $lang["Members"] . "</a>" . ($strOrder=="name" ? $img[$strDirec] : $img["NO"]) . "</td>\n";
echo "\t<td class=\"th_cnt_col\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=closed&amp;dir=" . $sort[$strDirec] . "\">" . $lang["Ban"] . "</a>" . ($strOrder=="closed" ? $img[$strDirec] : $img["NO"]) . "</td>\n";
echo "\t<td class=\"th_cnt_col\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=role&amp;dir=" . $sort[$strDirec] . "\">" . $lang["Role"] . "</a>" . ($strOrder=="role" ? $img[$strDirec] : $img["NO"]) . "</td>\n";
echo "\t<td class=\"th_cnt_col\">{$lang["Action"]}</td>\n";
echo "\t<td class=\"th_cnt_col\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=numpost&amp;dir=" . $sort[$strDirec] . "\">" . $lang["Messages"] . "</a>" . ($strOrder=="numpost" ? $img[$strDirec] : $img["NO"]) . "</td>\n";
if ( $strCateg=="False_members" || $strCateg=="Sleeping_children" )
{
echo "\t<td class=\"th_cnt_col\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=firstdate&amp;dir=" . $sort[$strDirec] . "\">" . $lang["Joined"] . "</a>" . ($strOrder=="firstdate" ? $img[$strDirec] : $img["NO"]) . "</td>\n";
}
else
{
echo "\t<td class=\"th_cnt_col\"><a class=\"a_cnt_col\" href=\"qtf_adm_users.php?cat=$strCateg&amp;group=$strGroup&amp;page=1&amp;order=lastdate&amp;dir=" . $sort[$strDirec] . "\">" . $lang["Last_message"] . "</a>" . ($strOrder=="lastdate" ? $img[$strDirec] : $img["NO"]) . " (ip)</td>\n";
}
echo "</tr>\n";

//-- LIMIT QUERY --
$strState = "id,name,closed,role,numpost,firstdate,lastdate,ip FROM ".TABUSER.$strWhere;
$strQ = LimitSQL($oDB->type,$strState,$strOrder." ".$strDirec,$intLimit,$_SESSION["qtf"]["topics_per_page"]);
$oDB->Query($strQ);
// --------

For ($while=0;$while<$_SESSION["qtf"]["topics_per_page"];$while++)
{
  $row = $oDB->Getrow();
  if ( !$row ) break;

  $strBan = "<b>{$row["closed"]}</b>";
  if ( empty($row["closed"]) ) $strBan = $lang["No"];

  echo "<tr class=\"tr_cnt\">\n";
  echo "\t<td class=\"td_cnt\" style=\"text-align: center\"><span class=\"small\">{$row["id"]}</span></td>\n";
  echo "\t<td class=\"td_cnt\"><a href=\"qtf_usr.php?id={$row["id"]}\">{$row["name"]}</a></td>\n";
  echo "\t<td class=\"td_cnt\"><span class=\"small\">$strBan</span></td>\n";
  echo "\t<td class=\"td_cnt\"><span class=\"small\">".$lang["Userrole_{$row["role"]}"]."</span></td>\n";
  echo "\t<td class=\"td_cnt\">".($row["id"]>1 ? "<a class=\"small\" href=\"qtf_adm_usr_ban.php?id={$row["id"]}\">{$lang["Banish"]}</a> &middot; <a class=\"small\" href=\"qtf_adm_usr_del.php?id={$row["id"]}\">{$lang["Delete"]}</a>" : "&nbsp;")."</td>\n";
  echo "\t<td class=\"td_cnt\">{$row["numpost"]}</td>\n";
  echo "\t<td class=\"td_cnt\">";
  if ( $strCateg=="False_members" || $strCateg=="Sleeping_children" )
  {
    echo "<span class=\"small\">".FormatDateStrict($row["firstdate"],"Y-m-d");
  }
  else
  {
    if ( $row["numpost"]>0 )
    {
    echo "<span class=\"small\">".FormatDateStrict($row["lastdate"],"Y-m-d")." ({$row["ip"]})";
    }
    else
    {
    echo "<span class=\"disabled\">".$lang["None"];
    }
  }
  echo "</span></td>\n</tr>\n";
}
echo "</table>\n";

// -- Display pager --

echo "<table class=\"tab_hidden\" cellspacing=\"0\"><tr class=\"tr_hidden\"><td style=\"text-align:right;padding:4px;\">$strCommand</td></tr></table>";

// HTML END

include("qtf_adm_p_footer.inc");

?>