<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$intId = -1;
if ( isset($_GET["id"]) ) $intId = $_GET["id"];

$oVIP->selfurl = "qtf_adm_usr_del.php";
$oVIP->selfname = $lang["Delete_user"];
$oVIP->exiturl = "qtf_usr.php?id=$intId";

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // user 0 and 1 cannot be deleted
  if ( $_POST["FFid"]<2 ) die("Wrong parameters");

  // delete avatar first
  if ( file_exists("avatar/{$_POST["FFid"]}.gif") )  unlink("avatar/{$_POST["FFid"]}.gif");
  if ( file_exists("avatar/{$_POST["FFid"]}.jpg") )  unlink("avatar/{$_POST["FFid"]}.jpg");
  if ( file_exists("avatar/{$_POST["FFid"]}.jpeg") ) unlink("avatar/{$_POST["FFid"]}.jpeg");
  if ( file_exists("avatar/{$_POST["FFid"]}.png") )  unlink("avatar/{$_POST["FFid"]}.png");

  // update post.userid, post.username, topic.firstpostuser, topic.lastpostuser, topic.firstpostname, topic.lastpostname
  $oDB->Query("UPDATE ".TABPOST." SET userid=0, username=\"Visitor\" WHERE userid={$_POST["FFid"]}");
  $oDB->Query("UPDATE ".TABTOPIC." SET firstpostuser=0, firstpostname=\"Visitor\" WHERE firstpostuser={$_POST["FFid"]}");
  $oDB->Query("UPDATE ".TABTOPIC." SET lastpostuser=0, lastpostname=\"Visitor\" WHERE lastpostuser={$_POST["FFid"]}");

  // delete user
  $oDB->Query("DELETE FROM ".TABUSER." WHERE id={$_POST["FFid"]}");

  // Unregister global sys (will be recomputed on next page)
  Unset($_SESSION["qtf"]["sys_members"]);
  Unset($_SESSION["qtf"]["sys_newuserid"]);

  // exit
  $oVIP->exiturl = "qtf_index.php";
  $oVIP->exitname = $lang["Forum"];
  $oVIP->EndMessage(NULL,$lang["S_delete"],$strSkin,2);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// CONTENT

// user 0 and 1 cannot be deleted
if ( $intId<2 ) die("Wrong parameters");

$oDB->Query("SELECT name, avatar FROM ".TABUSER." WHERE id=$intId");
$row = $oDB->Getrow();

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\" style=\"width:175px;\">".GetAvatar($intId,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "\t<td class=\"td_hidden\">\n";

echo "\t\t<div class=\"div_msgboxtitle\" style=\"width: 350px;\">{$row["name"]}</div>\n";
echo "\t\t<div class=\"div_msgbox\" style=\"width: 350px;\">\n";
echo "\t\t<form method=\"post\" action=\"{$oVIP->selfurl}\">\n";
echo "\t\t<p style=\"text-align:right\">{$lang["Delete_user"]} {$row["name"]}&nbsp;\n";
echo "\t\t<input type=\"hidden\" name=\"FFid\" value=\"$intId\" />\n";
echo "\t\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" /></p>\n";
echo "\t\t</form>\n";
echo "\t\t<br /><br />\n";
echo "\t\t&laquo;&nbsp;<a href=\"qtf_usr.php?id=$intId\">{$lang["Profile"]}</a>\n";
echo "\t\t</div>\n";

echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>