<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include("bin/qtf_fn_smtp.inc");
include("$strLang/qtf_register.inc");

$intId = -1;
if ( isset($_GET["id"]) ) $intId = $_GET["id"];

$oVIP->selfurl = "qtf_adm_usr_reset.php";
$oVIP->selfname = $lang["Reset_pwd"];
$oVIP->exiturl = "qtf_usr.php?id=$intId";
$oVIP->exitname = $lang["Profile"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $intId = $_POST["FFid"];
  if ( $intId<1 ) die("Wrong parameter...");

  //security
  if ( $intId==1 && $oVIP->id!=1 ) die("First Admin password can be changed by himself only...");

  $strNewpwd = "QT".rand(0,9).rand(0,9).rand(0,9).rand(0,9);

  $oDB->Query("UPDATE ".TABUSER." SET pwd=\"".sha1($strNewpwd)."\" WHERE id=$intId");

  // send email
  $strSubject="New password";
  $strMessage="Here are your login and password\nLogin: %s\nPassword: %s";
  $strFile = "$strLang/mail_pwd.inc";
  if ( file_exists($strFile) ) include($strFile);
  $strMessage = sprintf($strMessage,$_POST["FFname"],$strNewpwd);
  QtfMail($_POST["FFmail"],$strSubject,$strMessage);

  // send parent email (if coppa)
  if ( $_POST["FFchild"]!="0" )
  {
    $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
    $row = $oDB->Getrow();
    if ( $row["setting"]=="1" )
    {
    $strSubject="New password";
    $strMessage="Here is then new password of your children.\nLogin: %s\nPassword: %s";
    $strFile = "$strLang/mail_pwd_coppa.inc";
    if ( file_exists($strFile) ) { include($strFile); }
    $strMessage = sprintf($strMessage, $_POST["FFname"],$strNewpwd);
    QtfMail($_POST["FFparentmail"],$strSubject,$strMessage);
    }
  }

  // exit
  $oVIP->exiturl = "qtf_usr.php?id=$intId";
  $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// --------
// CONTENT
// --------

if ( $intId<1 ) die("Missing parameters");
$oDB->Query("SELECT name,mail,children,parentmail,avatar FROM ".TABUSER." WHERE id=$intId");
$row = $oDB->Getrow();

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\" style=\"width:175px;\">".GetAvatar($intId,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "\t<td class=\"td_hidden\">\n";

echo "\t\t<div class=\"div_msgboxtitle\" style=\"width: 350px;\">{$row["name"]}</div>\n";
echo "\t\t<div class=\"div_msgbox\" style=\"width: 350px;\">\n";
if ( !empty($strError) ) echo "\t\t<span class=\"error\">$strError</span>";
echo "\t\t<form method=\"post\" action=\"{$oVIP->selfurl}\">\n";
echo "\t\t<div style=\"text-align:right\">\n";
echo "\t\t<input type=\"hidden\" name=\"FFid\" value=\"$intId\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFname\" value=\"{$row["name"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFmail\" value=\"{$row["mail"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFchild\" value=\"{$row["children"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFparentmail\" value=\"{$row["parentmail"]}\" />\n";
echo "\t\t$oVIP->selfname&nbsp;<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Send"]}\" /></div>\n";
echo "\t\t</form>\n";
echo "\t\t&laquo;&nbsp;<a href=\"{$oVIP->exiturl}\">{$lang["Profile"]}</a>\n";
echo "\t\t</div>\n";

echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>