<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

// --------
// HTML START
// --------

Echo "<html>
<head>
<title>QT-cute</title>
<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-15\" />
<link rel=\"stylesheet\" href=\"admin/qtf_main.css\" />
</head>

<body>
<div style=\"text-align: center;\">
<table class=\"tab_hidden\" cellspacing=\"0\" style=\"margin: 0px auto 0px auto;\"><tr><td>\n\n";

echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="admin/qtf_logo.gif" width="175" height="50" style="border-width:0" alt="QuickTalk" title="QuickTalk" />
</div>
</div>
<!-- END HEADER BANNER -->\n\n
END;

echo "<table class=\"tab_menu\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_menu\">\n";
echo "   <td class=\"td_menu\">".strtoupper($lang["Administration"])."</td>\n";
echo "</tr>\n";
echo "</table>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr><td class=\"td_cnt_head\">{$lang["Info"]}</td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_index.php\" target=\"framemain\">{$lang["Adm_status"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_stats.php\" target=\"framemain\">{$lang["Adm_stats"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_index.php\" target=\"framemain\">{$lang["Adm_preview"]}</a></td></tr>\n";
echo "</table>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr><td class=\"td_cnt_head\">{$lang["Adm_settings"]}</td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_site.php\" target=\"framemain\">{$lang["Adm_general"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_region.php\" target=\"framemain\">{$lang["Adm_region"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_skin.php\" target=\"framemain\">{$lang["Adm_layout"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_secu.php\" target=\"framemain\">{$lang["Adm_security"]}</a></td></tr>\n";
echo "</table>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr><td class=\"td_cnt_head\">{$lang["Adm_content"]}</td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_forum.php\" target=\"framemain\">{$lang["Adm_forums"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_topic.php\" target=\"framemain\">{$lang["Adm_topics"]}</a></td></tr>\n";
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_users.php\" target=\"framemain\">{$lang["Adm_users"]}</a></td></tr>\n";
echo "</table>\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr><td class=\"td_cnt_head\">{$lang["Adm_modules"]}</td></tr>\n";
// search modules
$arrModules = GetParam($oDB,false,"param LIKE \"module%\"");
if ( count($arrModules)>0 )
{
  foreach($arrModules as $strKey => $strValue)
  {
  $strKey = str_replace("module_","",$strKey);
  echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtfm_".$strKey."_adm.php\" target=\"framemain\">$strValue</a></td></tr>\n";
  }
}
echo "<tr><td class=\"td_cnt_toc\"><a class=\"a_menu\" href=\"qtf_adm_module.php?a=add\" target=\"framemain\">[{$lang["Add"]}]</a>&nbsp;&middot;&nbsp;<a class=\"a_menu\" href=\"qtf_adm_module.php?a=rem\" target=\"framemain\">[{$lang["Remove"]}]</a></td></tr>\n";
echo "</table>\n";

echo "<table class=\"tab_menu\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_menu\">\n";
echo "<td class=\"td_menu\"><span class=\"small\">".QTFVERSION."</span></td>\n";
echo "<td class=\"td_menu_sep\"></td>\n";
echo "<td class=\"td_menu\"><a class=\"a_menu\" href=\"qtf_index.php\" target=\"_top\">{$lang["Exit"]}</a></td>\n";
echo "</tr>\n";
echo "</table>\n\n";

echo "</body>\n</html>\n";

?>
