<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",6) ) die($lang["R_member"]);

// INITIALISE

$f = -1; // forum
$t = -1; // topic
$p = -1; // post to delete
$FFtext = "";
$bReason = true;

$now = date("Y-m-d H:i:s");
$strDisabled = "";

if (isset($_GET["f"])) $f = intval($_GET["f"]);
if (isset($_GET["t"])) $t = intval($_GET["t"]);
if (isset($_GET["p"])) $p = intval($_GET["p"]);

$oVIP->selfurl  = "qtf_form_del.php";
$oVIP->selfname = $lang["Message"];
$oVIP->exiturl  = "qtf_ind_post.php?f=$f&amp;t=$t";
$oVIP->exitname = $lang["Topics"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{

  // check mandatory submit
  if ( isset($_POST["FFforum"]) ) $f = intval($_POST["FFforum"]);
  if ( $f<0 ) die("Missing parameters f");

  if ( isset($_POST["FFtopic"]) ) $t = intval($_POST["FFtopic"]);
  if ( $t<0 ) die("Missing parameters t");

  if ( isset($_POST["FFpost"]) ) $p = intval($_POST["FFpost"]);
  if ( $p<0 ) die("Missing parameters p");

  // check other submit
  if ( empty($strError) )
  {
  if ( isset($_POST["FFtext"]) ) { $FFtext=strip_tags(trim($_POST["FFtext"])); } else { $FFtext="" ;}
  if ( strlen($FFtext)>256 ) $strError = $lang["E_too_long"]." ".sprintf($lang["E_char_max"], 256);
  if ( substr_count($FFtext,"\n")>5 ) $strError = $lang["E_too_long"]." ".sprintf($lang["E_line_max"], 5);
  $FFtext = strip_tags(trim($FFtext));
  $FFtext = htmlspecialchars($FFtext,ENT_QUOTES);
  }

  if ( empty($strError) )
  {
  $oPost = new cPost;
  $oPost->Get($oDB,$p);
  }

  // check user is creator (or M A)
  if ( empty($strError) )
  {
  if ( $oVIP->role=="V" ) die($lang["E_member"]);
  if ( $oVIP->role=="U" && $oPost->userid!=$oVIP->id ) die($lang["E_member"]);
  }

  // DELETE
  if ( empty($strError) )
  {
  $oForum = new cForum;
  $oTopic = new cTopic;
  $oTopic->Get($oDB,$t);

  // topic delete if only one post
  if ( $oTopic->lastpostid==$p && $oTopic->firstpostid==$p )
  {
  $oDB->Query("DELETE FROM ".TABPOST." WHERE topic=$t");
  $oDB->Query("DELETE FROM ".TABTOPIC." WHERE id=$t");
  $oForum->UpdateStats($oDB,$_POST["FFforum"]);
  $oVIP->exiturl = "qtf_ind_topic.php?f=$f";
  }
  else
  {
  // physical delete if last post
  if ( $oTopic->lastpostid == $p )
  {
  $oDB->Query("DELETE FROM ".TABPOST." WHERE id=$p");
  // find the new topic lastpost
  $intPost = $oPost->GetLastPost($oDB,$t);
  $oPost->Get($oDB,$intPost);
  $oTopic->UpdateStats($oDB,$t,$_SESSION["qtf"]["posts_per_topic"],$oPost);
  }
  else
  {
  // logical delete if not last post
  $oDB->Query("UPDATE ".TABPOST." SET type=\"D\",title=\"{$lang["Message_deleted"]}\", textmsg=\"$FFtext\", modifdate=\"$now\", modifuser={$oVIP->id} WHERE id=$p");
  }
  $oVIP->exiturl = "qtf_ind_post.php?f=$f&amp;t=$t";
  }

  Unset($_SESSION["qtf"]["sys_topics"]);
  Unset($_SESSION["qtf"]["sys_messages"]);

  // exit
  $oVIP->EndMessage(NULL,$lang["S_delete"],$strSkin,2);
  }
}

// --------
// HTML START
// --------

if ( $f<0 ) die("Missing parameters f");
if ( $t<0 ) die("Missing parameters t");
if ( $p<0 ) die("Missing parameters p");

$oForum = new cForum;
$oForum->Get($oDB,$f);

$oTopic = new cTopic;
$oTopic->Get($oDB,$t);

$oPost = new cPost;
$oPost->Get($oDB,$p);

$oVIP->selfname = $lang["Delete_message"];

if ( $oTopic->lastpostid == $p ) $bReason=false;

// CONTENT

include("qtf_p_header.inc");

echo "<h2>{$oVIP->selfname}</h2><br />\n";
echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<input type=\"hidden\" name=\"FFforum\" value=\"$oPost->forum\" />\n";
echo "<input type=\"hidden\" name=\"FFtopic\" value=\"$oPost->topic\" />\n";
echo "<input type=\"hidden\" name=\"FFpost\" value=\"$oPost->id\" />\n";
echo "<table cellspacing=\"0\" class=\"tab_cnt\">\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\" style=\"width:100px\">{$lang["Smiley"]}</th>\n";
echo "\t<td class=\"td_form\">\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"01\" value=\"01\" ".($oPost->icon=="01" ? QCHE : "" )."/><label for=\"01\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_01.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_01"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"02\" value=\"02\" ".($oPost->icon=="02" ? QCHE : "" )."/><label for=\"02\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_02.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_02"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"03\" value=\"03\" ".($oPost->icon=="03" ? QCHE : "" )."/><label for=\"03\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_03.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_03"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"04\" value=\"04\" ".($oPost->icon=="04" ? QCHE : "" )."/><label for=\"04\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_04.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_04"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"05\" value=\"05\" ".($oPost->icon=="05" ? QCHE : "" )."/><label for=\"05\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_05.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_05"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"06\" value=\"06\" ".($oPost->icon=="06" ? QCHE : "" )."/><label for=\"06\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_06.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_06"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"07\" value=\"07\" ".($oPost->icon=="07" ? QCHE : "" )."/><label for=\"07\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_07.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_07"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"08\" value=\"08\" ".($oPost->icon=="08" ? QCHE : "" )."/><label for=\"08\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_08.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_08"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"09\" value=\"09\" ".($oPost->icon=="09" ? QCHE : "" )."/><label for=\"09\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_09.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_09"]}\" /></label> &nbsp;\n";
echo "\t<input disabled=\"disabled\" type=\"radio\" name=\"FFicon\" id=\"00\" value=\"00\" ".($oPost->icon=="00" ? QCHE : "" )."/><label for=\"00\">none</label></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\"><label for=\"FFtitle\">{$lang["Title"]}</label></th>\n";
echo "\t<td class=\"td_form\"><input disabled=\"disabled\" type=\"text\" id=\"FFtitle\" name=\"FFtitle\" size=\"80\" maxlength=\"100\" value=\"{$oPost->title}\" /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\"><label for=\"FFoldtext\">{$lang["Message"]}</label><br /></th>\n";
echo "\t<td class=\"td_form\">\n";
echo "<a href=\"textarea\"></a>";
echo "<textarea disabled=\"disabled\" id=\"FFoldtext\" name=\"FFoldtext\" rows=\"10\" wrap=\"virtual\" cols=\"80\">{$oPost->text}</textarea></td>\n";
echo "</tr>\n";
if ( $bReason )
{
echo "<tr>\n";
echo "\t<th class=\"th_form\"><label for=\"FFtext\">{$lang["Reason"]}</label><br /></th>\n";
echo "\t<td class=\"td_form\">\n";
echo "<textarea id=\"FFtext\" name=\"FFtext\" rows=\"2\" wrap=\"virtual\" cols=\"80\">$FFtext</textarea></td>\n";
echo "</tr>\n";
}
echo "<tr>\n";
echo "\t<th class=\"th_form\">&nbsp;</th>\n";
echo "\t<td class=\"td_form\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" />&nbsp;";
if ( !empty($strError) ) echo "<span class=\"error\">$strError</span>";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<br />";

// HTML END

include("qtf_p_footer.inc");

?>