<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 * About text coding in the database
 * This script will convert the text before inserting into the dabase as follow:
 *
 * 1) stripslashes
 * 2) htmlspecialchars($text,ENT_QUOTES) <>&"' are converted to html
 * 3) bbcodes remain UNCHANGED (they are converted while displayed)
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",6) ) die($lang["R_member"]);

// INITIALISE

include("bin/qtf_fn_limitsql.inc");

$f = -1;
$oForum = new cForum;
$oTopic = new cTopic;
$oPost = new cPost;
$oPost->userid = $oVIP->id;
$oPost->username = $oVIP->name;
$oPost->usr_role = $oVIP->role;

$FFaction = ""; // action (nt)new topic, (ed) edit, (de) delete, (qu)quote, (re)reply
$FFtopictype = "T";
$FFtopicstatus = "0";

$now = date("Y-m-d H:i:s");
$bPreview =false;

if (isset($_GET["f"])) $f = $_GET["f"];
if (isset($_GET["t"])) $oTopic->id = $_GET["t"];
if (isset($_GET["a"])) $FFaction = $_GET["a"];
if (isset($_GET["p"])) $oPost->id = $_GET["p"];

$oVIP->selfurl  = "qtf_form_edit.php";
$oVIP->selfname = $lang["Message"];
$oVIP->exiturl  = "qtf_ind_post.php?".SID."&amp;f=$f&amp;t=$oTopic->id";
$oVIP->exitname = $lang["Topics"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check mandatory submit
  if ( isset($_POST["FFaction"]) ) { $FFaction = $_POST["FFaction"]; } else { die("Missing parameters: action"); }
  if ( $FFaction!="nt" && $FFaction!="re" && $FFaction!="ed" && $FFaction!="qu" && $FFaction!="de" ) die("Missing parameters A");
  if ( isset($_POST["FFforum"]) )  { $f = $_POST["FFforum"]; } else { die("Missing parameters: forum"); }
  if ( $f<0 ) die("Missing parameters: forum");

  // check other submit
  if ( isset($_POST["FFtopic"]) ) $oTopic->id = $_POST["FFtopic"];
  if ( isset($_POST["FFpost"]) )  $oPost->id  = $_POST["FFpost"];
  if ( isset($_POST["FFicon"]) )  $oPost->icon  = $_POST["FFicon"];
  if ( isset($_POST["FFtitle"]) ) $oPost->title = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $oPost->title = stripslashes($oPost->title);
  if ( isset($_POST["FFtext"]) )  $oPost->text  = trim($_POST["FFtext"]);  if ( get_magic_quotes_gpc() ) $oPost->text = stripslashes($oPost->text);
  if ( isset($_POST["FFtopictype"]) )   $FFtopictype   = $_POST["FFtopictype"];
  if ( isset($_POST["FFtopicstatus"]) ) $FFtopicstatus = $_POST["FFtopicstatus"];
  
  // Preview message
  if ( $_POST["FFsubmit"]==$lang["Advanced_reply"] || $_POST["FFsubmit"]==$lang["Preview"] )
  {
    $bPreview = true;
    $oPost->title = FormatTitle($oPost->title,64,false);
    $oPost->text = FormatMessage($oPost->text,$_SESSION["qtf"]["chars_per_post"]*1000);
  }

  // Skip the rest in forwarding from quickreply form
  if ( $_POST["FFsubmit"]==$lang["Send"] )
  {
    // check maximum post per user/minutes
    if ( !LastPostDelayAcceptable($oDB,$oVIP->id,intval($_SESSION["qtf"]["posts_delay"])) ) $strError=$lang["E_wait"];

    // check maximum post per day
    if ( empty($strError) )
    {
      if ( !PostsTodayAcceptable($oDB,$oVIP->id,intval($_SESSION["qtf"]["posts_per_day"])) )
      {
      $strError=$lang["E_too_much"];
      // exit
      $oVIP->exiturl = "qtf_ind_post.php?".SID."?f=$f&amp;t=$oTopic->id#p$oPost->id";
      $oVIP->EndMessage(NULL,$strError,$strSkin,0);
      }
    }

    // check title
    if ( empty($strError) )
    {
      $oPost->title = FormatTitle($oPost->title,64,false);
      if ( $FFaction=="nt" && $oPost->title=="" ) $strError = $lang["E_no_title"];
    }

    // check message
    if ( empty($strError) )
    {
      if ( strlen($oPost->text)>$_SESSION["qtf"]["chars_per_post"]*1000 ) $strError = $lang["E_too_long"]." ".sprintf($lang["E_char_max"], $_SESSION["qtf"]["chars_per_post"]*1000);
      if ( substr_count($oPost->text,"\n")>$_SESSION["qtf"]["lines_per_post"] ) $strError = $lang["E_too_long"]." ".sprintf($lang["E_line_max"], $_SESSION["qtf"]["lines_per_post"]);
      $oPost->text = FormatMessage($oPost->text,$_SESSION["qtf"]["chars_per_post"]*1000);
      if ($oPost->text=="") $strError = $lang["Message"]." ".$lang["E_invalid"];

      // ----------
      // module antispam
      if ( empty($strError) ) {
      if ( isset($_SESSION["qtf"]["m_antispam"]) ) {
        include("qtfm_antispam.php");
      }
      }
      // ----------
    }

    // save
    if ( empty($strError) )
    {
      if ($FFaction=="nt" )
      {
        $oVIP->selfname = $lang["Post_new_topic"];

        $oTopic = new cTopic();
        $oTopic->GetNewId($oDB,$f);
        $oPost->id = TableNextId($oDB,TABPOST);
        $oTopic->forum = $f;
        $oTopic->type = $FFtopictype;
        $oTopic->status = $FFtopicstatus;
        $oTopic->firstpostid = $oPost->id;
        $oTopic->lastpostid = $oPost->id;
        $oTopic->firstpostuser = $oVIP->id;
        $oTopic->lastpostuser = $oVIP->id;
        $oTopic->firstpostname = $oVIP->name;
        $oTopic->lastpostname = $oVIP->name;
        $oTopic->firstpostdate = $now;
        $oTopic->lastpostdate = $now;
        $oTopic->replies = 0;

        $oPost->forum = $oTopic->forum;
        $oPost->type = "P";
        $oPost->topic = $oTopic->id;
        $oPost->userid = $oVIP->id;
        $oPost->username = $oVIP->name;
        $oPost->issuedate = $now;

        $oPost->Insert($oDB,false);
        $oTopic->Insert($oDB,true);

        // ----------
        // module rss
        if ( isset($_SESSION["qtf"]["m_rss"]) ) {
        if ( $_SESSION["qtf"]["m_rss"]=="1" ) {
        include("qtfm_rss.inc");
        MakeRss($oDB,$oTopic->forum);
        }}
        // ----------

        // ----------
        // module note
        if ( isset($_SESSION["qtf"]["m_note"]) ) {
        if ( $_SESSION["qtf"]["m_note"]=="1" ) {
        include("qtfm_note.inc");
        MakeNote($oDB,$oPost);
        }}
        // ----------
      }

      if ($FFaction=="re" || $FFaction=="qu" )
      {
        $oVIP->selfname = $lang["Post_reply"];

        $oPost->id = TableNextId($oDB,TABPOST);
        $oPost->forum = $f;
        $oPost->topic = $oTopic->id;
        $oPost->type = "R";
        $oPost->userid = $oVIP->id;
        $oPost->username = $oVIP->name;
        $oPost->issuedate = $now;
        $oPost->modifdate = "";
        $oPost->modifuser = "";
        $oPost->Insert($oDB,true);

        // update topic stats and close topic if full (and lastpost topic info)
        $oTopic->UpdateStats($oDB,$oTopic->id,$_SESSION["qtf"]["posts_per_topic"],$oPost);

        // close topic
        if ( isset($FFtopicstatus[0]) )
        {
        if ( $FFtopicstatus[0]=="1" ) $oTopic->SetStatus($oDB,$oTopic->id);
        }

        // ----------
        // module note
        if ( isset($_SESSION["qtf"]["m_note"]) ) {
        if ( $_SESSION["qtf"]["m_note"]=="1" ) {
        include("qtfm_note.inc");
        MakeNote($oDB,$oPost);
        }}
        // ----------
      }

      if ($FFaction=="ed" )
      {
        $oTopic->Get($oDB,$oTopic->id);
        $oVIP->selfname = $lang["Edit_message"];

        $strModif = "";
        // modifdate+modifuser if editor is not the creator
        if ( $oPost->userid != $oVIP->id ) $strModif=", modifdate=\"$now\", modifuser=$oVIP->id";
        // modifdate+modifuser if not the las message
        if ( $oTopic->lastpostid != $oPost->id ) $strModif=", modifdate=\"$now\", modifuser=$oVIP->id, modifname=\"$oVIP->name\"";

        $oDB->Query("UPDATE ".TABPOST." SET title=\"$oPost->title\", icon=\"$oPost->icon\",textmsg=\"$oPost->text\" $strModif WHERE id=$oPost->id");
      }

      // update forum stats (and close forum if full)
      $oForum->UpdateStats($oDB,$f,$_SESSION["qtf"]["topics_per_forum"]);

      // exit
      $oVIP->exiturl = "qtf_ind_post.php?".SID."&amp;f=$f&amp;t=$oTopic->id#$oPost->id";
      $oVIP->EndMessage(NULL,$lang["S_message_saved"],$strSkin,2);
    }
  }
}

// --------
// HTML START
// --------

if ( $FFaction!="nt" && $FFaction!="re" && $FFaction!="ed" && $FFaction!="qu" ) die("Missing parameters A");
if ( $f<0 ) die("Missing parameters: forum");

$oForum->Get($oDB,$f);
$oPost->forum = $oForum->id;

$bJavaCom=true;
$bJavaBbc=true;

if ($FFaction=="nt")
{
  $oVIP->selfname = $lang["Post_new_topic"];
  $oPost->userid = $oVIP->id;
  $oPost->username = $oVIP->name;
  $oPost->type = "P";
  $oPost->issuedate = $now;
}
if ($FFaction=="re")
{
  if ($oTopic->id<0) die("Missing parameters");

  $oVIP->selfname = $lang["Post_reply"];

  $oTopic->Get($oDB,$oTopic->id);
  $oPost->topic = $oTopic->id;
  $oPost->userid = $oVIP->id;
  $oPost->username = $oVIP->name;
  $oPost->type = "R";
  $oPost->issuedate = $now;
}
if ($FFaction=="qu")
{
  if ($oTopic->id<0) die("Missing parameters");
  if ($oPost->id<0) die("Missing parameters");

  $oVIP->selfname = $lang["Post_reply"];

  $oTopic->Get($oDB,$oTopic->id);
  $oPost->topic = $oTopic->id;
  $oPost->userid = $oVIP->id;
  $oPost->username = $oVIP->name;
  $oPost->type = "R";
  $oPost->issuedate = $now;
  $oDB->Query("SELECT p.textmsg,u.name FROM ".TABPOST." p, ".TABUSER." u WHERE p.userid = u.id AND p.id=$oPost->id");
  $row = $oDB->Getrow();
  $oPost->text = "[quote={$row["name"]}]{$row["textmsg"]}[/quote]";
}
if ($FFaction=="ed")
{
  if ($oTopic->id<0) die("Missing parameters");
  if ($oPost->id<0) die("Missing parameters");

  $oVIP->selfname = $lang["Edit_message"];

  $oTopic->Get($oDB,$oTopic->id);
  $oPost->Get($oDB,$oPost->id);
}

// --------
// CONTENT
// --------

include("qtf_p_header.inc");

if ( $bPreview )
{
  echo "<h2>{$lang["Preview"]}</h2>\n";
  // get user info
  $oDB->Query("SELECT signature,avatar,location FROM ".TABUSER." WHERE id=$oPost->userid");
  $row = $oDB->Getrow();
  $oPost->usr_loca = $row["location"];
  $oPost->usr_avat = $row["avatar"];
  $oPost->usr_sign = $row["signature"];
  $oPost->Show($oTopic,true,"","",$lang,$strSkin,"1");
  // remove html and after display (required for the form)
  // not title because inside a input value ""
  $oPost->text = htmltotext($oPost->text);
}

echo "<h2>{$oVIP->selfname}</h2>\n";
if ( !empty($strError) ) echo "<span class=\"error\">$strError</span><br />";
$intMax = $_SESSION["qtf"]["chars_per_post"]*1000;
echo "<form method=\"post\" action=\"{$oVIP->selfurl}\" onsubmit=\"return validatepost(this,".($FFaction=="nt" ? "64" : "0").",$intMax,'{$lang["E_mandatory"]}');\">\n";
echo "<input type=\"hidden\" name=\"FFforum\" value=\"$oPost->forum\" />\n";
echo "<input type=\"hidden\" name=\"FFtopic\" value=\"$oPost->topic\" />\n";
echo "<input type=\"hidden\" name=\"FFaction\" value=\"$FFaction\" />\n";
echo "<input type=\"hidden\" name=\"FFpost\" value=\"$oPost->id\" />\n";
echo "<table cellspacing=\"0\" class=\"tab_cnt\">\n";
if ( QTF_PREFIX_ICON )
{
echo "<tr>\n";
echo "\t<th class=\"th_form\" style=\"width:100px\">{$lang["Smiley"]}</th>\n";
echo "\t<td class=\"td_form\">\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"01\" value=\"01\" ".($oPost->icon=="01" ? QCHE : "" )."/><label for=\"01\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_01.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_01"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"02\" value=\"02\" ".($oPost->icon=="02" ? QCHE : "" )."/><label for=\"02\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_02.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_02"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"03\" value=\"03\" ".($oPost->icon=="03" ? QCHE : "" )."/><label for=\"03\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_03.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_03"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"04\" value=\"04\" ".($oPost->icon=="04" ? QCHE : "" )."/><label for=\"04\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_04.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_04"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"05\" value=\"05\" ".($oPost->icon=="05" ? QCHE : "" )."/><label for=\"05\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_05.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_05"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"06\" value=\"06\" ".($oPost->icon=="06" ? QCHE : "" )."/><label for=\"06\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_06.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_06"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"07\" value=\"07\" ".($oPost->icon=="07" ? QCHE : "" )."/><label for=\"07\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_07.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_07"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"08\" value=\"08\" ".($oPost->icon=="08" ? QCHE : "" )."/><label for=\"08\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_08.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_08"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"09\" value=\"09\" ".($oPost->icon=="09" ? QCHE : "" )."/><label for=\"09\"><img class=\"ico_prefi\" src=\"$strSkin/ico_prefi_09.gif\" label=\"smile\" title=\"{$lang["Ico_prefi_09"]}\" /></label> &nbsp;\n";
echo "\t<input type=\"radio\" name=\"FFicon\" id=\"00\" value=\"00\" ".($oPost->icon=="00" ? QCHE : "" )."/><label for=\"00\">{$lang["None"]}</label></td>\n";
echo "</tr>\n";
}
echo "<tr>\n";
echo "\t<th class=\"th_form\"><label for=\"FFtitle\">{$lang["Title"]}</label></th>\n";
echo "\t<td class=\"td_form\"><input type=\"text\" id=\"FFtitle\" name=\"FFtitle\" size=\"80\" maxlength=\"100\" value=\"{$oPost->title}\" tabindex=\"1\" /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\"><label for=\"FFtext\">{$lang["Message"]}</label><br />";

// -- Module smile --
if ( isset($_SESSION["qtf"]["m_smile"]) ) include("qtfm_smile.inc");
// -- Module smile --

echo "</th>\n";
echo "\t<td class=\"td_form\">\n";

if ( $_SESSION["qtf"]["bbc"]!="0" )
{
$bJavaBbc=true;
$bJavaBbc2=true;
$bJavaBbc3=false;
include("qtf_form_button.inc");
}

echo "<a href=\"textarea\"></a>";
echo "<br /><textarea id=\"FFtext\" name=\"FFtext\" rows=\"15\" wrap=\"virtual\" cols=\"80\"  tabindex=\"2\">{$oPost->text}</textarea></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">&nbsp;</th>\n";

  // Rules for status and types
  // 1) author himself can change de status on REPLY and QUOTE (not on newtopic, nor editing)
  // 2) Moderator can change status
  // 3) Admin can change status and type
  
  $TopicType  = "<input type=\"hidden\" name=\"FFtopictype\" value=\"$oTopic->type\" />";
  $TopicStatus  = "<input type=\"hidden\" name=\"FFtopicstatus\" value=\"$oTopic->status\" />";
  
  if ( $oVIP->id==$oTopic->firstpostuser ) 
  {
    if ( $FFaction=="re" || $FFaction=="qu")
    {
    $TopicStatus = "<input type=\"checkbox\" id=\"FFtopicstatus\" name=\"FFtopicstatus[0]\" value=\"status_1\" ".($oTopic->status=="1" ? "checked=\"checked\"" : "")." />&nbsp;<label for=\"FFtopicstatus\">{$lang["Close_topic"]}</label>&nbsp;";
    }
  }

  if ( $oVIP->role=="A" || $oVIP->role=="M" )
  {
    $TopicStatus = "&nbsp;{$lang["Status"]}: <select name=\"FFtopicstatus\" size=\"1\">";
    foreach ( $_SESSION["qtTopicstatus"] as $strId => $arrDef )
    {
    $TopicStatus .= "<option value=\"$strId\" ".($oTopic->status==$strId ? QSEL : "")."".($oTopic->status==$strId ? " class=\"bold\"" : "").">{$arrDef["name"]}</option>";
    }
    $TopicStatus .= "</select>";
  }

  if ( $oVIP->role=="A" )
  {
    $TopicType = "&nbsp;{$lang["Type"]}: <select name=\"FFtopictype\" size=\"1\">";
    foreach ( $_SESSION["qtTopictypes"] as $strId => $arrDef )
    {
    $TopicType .= "<option value=\"$strId\" ".($oTopic->type==$strId ? QSEL : "")."".($oTopic->type==$strId ? " class=\"bold\"" : "").">{$arrDef["name"]}</option>";
    }
    $TopicType .= "</select>";
  }

  // End of rule for status and types

echo "\t<td class=\"td_form\">\n$TopicType$TopicStatus&nbsp;<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Preview"]}\" />&nbsp;<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Send"]}\" tabindex=\"3\" />&nbsp;\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

if ( $FFaction=="re" || $FFaction=="qu" )
{

  echo "<h2>{$lang["Previous_replies"]}</h2>\n";

/*  oooooooooo  */
    $strState = "p.*, u.role, u.location, u.avatar, u.signature FROM ".TABPOST." p, ".TABUSER." u WHERE p.userid = u.id AND p.topic={$oTopic->id} ";
    $strQ = LimitSQL($oDB->type,$strState,"p.id DESC",0,5);
    $oDB->Query($strQ);
/*  oooooooooo  */
    $iMsgNum = $oTopic->replies + 2;
    $iMsgAdd = -1;
    $while   = 0;
    $strAlt  = "1";
    $strSep  = "";
    $bButton = false;
    $bAvatar = false;
/*  oooooooooo  */
    include("qtf_ind_post.inc");
/*  oooooooooo  */
  
  echo "<br />\n";
}

// HTML END

include("qtf_p_footer.inc");

?>