<?php



/*

 * PHP versions 4 and 5

 *

 * LICENSE: This source file is subject to version 3.0 of the PHP license

 * that is available through the world-wide-web at the following URI:

 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of

 * the PHP License and are unable to obtain it through the web, please

 * send a note to license@php.net so we can mail you a copy immediately.

 *

 * @category   Forum

 * @package    QuickTalk forum

 * @author     Philippe Vandenberghe <info@qt-cute.org>

 * @copyright  2007-2009 The PHP Group

 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0

 * @version    1.2 build:20070219

 * @link       http://www.qt-cute/doc/package/qtg

 * @since      File available since Release 1.0.0

 * @deprecated File deprecated in Release 2.0.0

 *

 */



session_start();

require_once("bin/qtf_init.inc");

if ( !$oVIP->CanAccess("V",0,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);



// INITIALISE



include("bin/qtf_fn_smtp.inc");

include("$strLang/qtf_register.inc");



$oVIP->selfurl = "qtf_form_reg.php";

$oVIP->selfname = $lang["Register"];



$now = date("Y-m-d H:i:s");



$strTitle = "";

$strMail = "";

$strNewpwd = "";

$strConpwd = "";

$strConmail = "";

$strParentmail = "";

$strChild = "0";

if (isset($_GET["c"])) $strChild=$_GET["c"];

if (isset($_POST["FFchild"])) $strChild=$_POST["FFchild"];



// --------

// SUBMITTED

// --------



if ( isset($_POST["FFsubmit"]) )

{

  $register_mode = $_POST["FFregister_mode"];

  $register_safe = $_POST["FFregister_safe"];

  $register_coppa = $_POST["FFregister_coppa"];

  $strParentmail = "";



  // pre-check code

  if ( empty($strError) )

  {

    if ($register_safe<>"none")

    {

    if ( trim($_POST["FFcode"])=="" )  $strError = $lang["Type_code"]." ".$lang["E_invalid"];

    if ( strlen($_POST["FFcode"])<>6 ) $strError = $lang["Type_code"]." ".$lang["E_invalid"];

    }

  }



  // check name

  if ( empty($strError) )

  {

    $strTitle = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $strTitle = stripslashes($strTitle);

    if ( !is_login($strTitle) ) $strError=$lang["Username"]." ".$lang["E_invalid"];

    if ( empty($strError) )

    {

    $oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE name=\"".htmlspecialchars($strTitle,ENT_QUOTES)."\"");

    $row = $oDB->Getrow();

    if ($row["countid"]!=0) $strError=$lang["Username"]." ".$lang["E_already_used"];

    }

  }



  // check mail

  if ( empty($strError) )

  {

    $strMail = trim($_POST["FFmail"]);

    if (!is_mail($strMail)) $strError=$lang["Email"]." ".$lang["E_invalid"];

    if ( empty($strError) )

    {

    $oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE mail=\"$strMail\"");

    $row = $oDB->Getrow();

    if ($row["countid"]!=0) $strError=$lang["Email"]." ".$lang["E_already_used"];

    }

  }



  // check parentmail

  if ( empty($strError) )

  {

    if ( $register_coppa=="1" && $strChild!="0" )

    {

    $strParentmail = trim($_POST["FFparentmail"]);

    if ( !is_mail($strParentmail) ) $strError=$lang["Parent_mail"]." ".$lang["E_invalid"];

    }

  }



  // check password

  if ( empty($strError) )

  {

    if ($register_mode=="direct")

    {

    $strNewpwd = trim($_POST["FFpwd"]);

    if ( !is_password($strNewpwd) ) $strError = $lang["Password"]." ".$lang["E_invalid"];

    $strConpwd = trim($_POST["FFconpwd"]);

    if ( !is_password($strConpwd) ) $strError = $lang["Password"]." ".$lang["E_invalid"];

    if ( $strNewpwd!=$strConpwd ) $strError = $lang["Password"]." ".$lang["E_invalid"];

    if ( !ereg("^[0-9@-Za-z. _()]+$",$strNewpwd) ) $strError .= ". ".$lang["E_pwd_char"];

    }

  }



  // check code

  if ( empty($strError) )

  {

    if ($register_safe<>"none")

    {

    $strCode = strtoupper(strip_tags(trim($_POST["FFcode"])));

    if ($strCode=="") $strError = $lang["Type_code"]." ".$lang["E_invalid"];

    if ( $_SESSION["textcolor"] <> sha1($strCode) ) $strError = $lang["Type_code"]." ".$lang["E_invalid"];

    }

  }



  // --------

  // register user

  // --------

  if ( empty($strError) )

  {

    // email code

    if ($register_mode=="email") $strNewpwd = "QT".rand(0,9).rand(0,9).rand(0,9).rand(0,9);



    $id = TableNextId($oDB,TABUSER);

    $oDB->Query( "INSERT INTO ".TABUSER." (id,name,pwd,closed,role,mail,firstdate,lastdate,numpost,children,parentmail,avatar) VALUES ($id,\"".htmlspecialchars($strTitle,ENT_QUOTES)."\",\"".sha1($strNewpwd)."\",\"0\",\"U\",\"$strMail\",\"$now\",\"$now\",0,\"$strChild\",\"$strParentmail\",\"0\")" );



    // Unregister global sys (will be recomputed on next page)

    Unset($_SESSION["qtf"]["sys_members"]);

    Unset($_SESSION["qtf"]["sys_newuserid"]);



    // send email

    $strSubject="Welcome";

    $strMessage="Please find here after your login and password to access the board {$_SESSION["qtf"]["site_name"]}.\nLogin: %s\nPassword: %s";

    $strFile = "$strLang/mail_registred.inc";

    if ( file_exists($strFile) ) include($strFile);

    $strMessage = sprintf($strMessage,$strTitle,$strNewpwd);

    QtfMail($strMail,$strSubject,$strMessage);



    // parent mail

    if ( $register_coppa=="1" && $strChild!="0" )

    {

      $strSubject="Welcome";

      $strMessage="We inform you that your children has registered on the forum {$_SESSION["qtf"]["site_name"]}.\nLogin: %s\nPassword: %s\nYour agreement is required to activte this account.";

      $strFile = "$strLang/mail_registred_coppa.inc";

      if ( file_exists($strFile) ) include($strFile);

      $strMessage = sprintf($strMessage,$strTitle,$strNewpwd);

      QtfMail($strParentmail,$strSubject,$strMessage);

    }



    // END MESSAGE

    if ($register_mode=="email")

    {

      $strFile="$strLang/sys_registration_send.inc";

      if ( file_exists($strFile) ) { $str = include($strFile); } else { $str = "You will receive an email shortly including a temporary password."; }

      $oVIP->exiturl = "qtf_index.php";

      $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];

    }

    else

    {

      $str = "";

      $oVIP->exiturl = "qtf_usr_login.php";

      $oVIP->exitname = $lang["Login"];

    }

    $oVIP->EndMessage(NULL,"<h2>{$lang["Register_completed"]}</h2>$str",$strSkin,0);

  }

}



// --------

// HTML START

// --------



$bJavaCom  = true;

$bJavaAjax = true;

$bCssExtra = true;



include("qtf_p_header.inc");



// DEFAULT VALUE RECOVERY (na)



$register_mode = "direct";

$register_safe = "text";

$register_coppa = 0;



$arr = GetParam($oDB,FALSE,"param=\"register_mode\"");

if ( $arr["register_mode"]=="email" ) $register_mode="email";



$arr = GetParam($oDB,FALSE,"param=\"register_safe\"");

if ( $arr["register_safe"]=="none" || $arr["register_safe"]=="text" || $arr["register_safe"]=="image" ) $register_safe=$arr["register_safe"];



$arr = GetParam($oDB,FALSE,"param=\"register_coppa\"");

if ( $arr["register_coppa"]=="1" ) $register_coppa="1";



if ($register_safe=="text")

{

  $keycode = "QT".rand(0,9).rand(0,9).rand(0,9).rand(0,9);

  $_SESSION["textcolor"] = sha1($keycode);

}



// --------

// CONTENT

// --------



echo "<br />\n";



if ( $register_coppa=="1" &&  $strChild!="0" )

{

  echo "<div class=\"windowbox\">";

  $strFile = "$strLang/sys_forum_rules_coppa.txt";

  if ( file_exists($strFile) ) { include($strFile); } else { echo "Missing file:<br />$strFile"; }

  echo "</div>";

}



echo "<br />\n";

echo "<div class=\"div_msgboxtitle\" style=\"width:620px;\">$oVIP->selfname</div>\n";

echo "<div class=\"div_msgbox\" style=\"width:620px;\">\n";

echo "<form method=\"post\" action=\"{$oVIP->selfurl}\"  onsubmit=\"return validatetitle(this,24,'{$lang["E_mandatory"]}');\">\n";

echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";

echo "<tr class=\"tr_hidden\">\n";

echo "<td class=\"td_hidden\" style=\"width: 370px;\">\n";

if ( !empty($strError) ) echo "<span class=\"error\">$strError</span><br />";

echo "<fieldset class=\"fs_register\">\n";

echo "<legend>{$lang["Username"]}</legend>\n";

echo "<span class=\"small\">{$lang["Choose_name"]}</span>&nbsp;<input type=\"text\" name=\"FFtitle\" size=\"20\" maxlength=\"24\" value=\"$strTitle\" onblur=\"checkName(this.name,this.value,'{$_SESSION["qtf"]["language"]}','{$lang["E_min_4_char"]}')\"/><br /><span id=\"FFtitle_err\" class=\"error\"></span>\n";

echo "</fieldset>\n";

echo "<fieldset class=\"fs_register\">\n";

echo "<legend>{$lang["Password"]}</legend>\n";

if ($register_mode=="direct")

{

  echo "<span class=\"small\">{$lang["Choose_password"]}</span>&nbsp;<input type=\"password\" name=\"FFpwd\" size=\"20\" maxlength=\"24\" value=\"$strNewpwd\" onblur=\"minChar(this.name,this.value,'{$lang["E_min_4_char"]}')\"/><br /><span id=\"FFpwd_err\" class=\"error\"></span>\n";

  echo "<span class=\"small\">{$lang["Confirm_password"]}</span>&nbsp;<input type=\"password\" name=\"FFconpwd\" size=\"20\" maxlength=\"24\" value=\"$strConpwd\" onblur=\"minChar(this.name,this.value,'{$lang["E_min_4_char"]}')\"/><br /><span id=\"FFconpwd_err\" class=\"error\"></span>\n";

}

else

{

  echo "<span class=\"small\">{$lang["Password_by_mail"]}</span><br />\n";

}

echo "</fieldset>\n";

echo "<fieldset class=\"fs_register\">\n";

echo "<legend>{$lang["Email"]}</legend>\n";

echo "<span class=\"small\">{$lang["Your_mail"]}</span>&nbsp;<input type=\"text\" name=\"FFmail\" size=\"30\" maxlength=\"64\" value=\"$strMail\" onblur=\"checkName(this.name,this.value,'{$_SESSION["qtf"]["language"]}','{$lang["E_min_4_char"]}')\"/><br /><span id=\"FFmail_err\" class=\"error\"></span>\n";

if ( $register_coppa=="1" && $strChild!="0" ) echo " <span class=\"small\">{$lang["Parent_mail"]}</span>&nbsp;<input type=\"text\" name=\"FFparentmail\" size=\"30\" maxlength=\"64\" value=\"$strParentmail\" /><br />\n";

echo "</fieldset>\n";

echo "<fieldset class=\"fs_register\">\n";

echo "<legend>{$lang["Security"]}</legend>\n";

if ($register_safe=="image") echo "<img width=\"100\" height=\"35\" src=\"admin/qtf_icode.php\" alt=\"security\" style=\"text-align:right\" /> <input type=\"text\" name=\"FFcode\" size=\"8\" maxlength=\"8\" value=\"\" /><br /><span class=\"small\">{$lang["Type_code"]}</span>\n";

if ($register_safe=="text") echo "$keycode&nbsp;<input type=\"text\" name=\"FFcode\" size=\"8\" maxlength=\"8\" value=\"\" /><br /><span class=\"small\">{$lang["Type_code"]}</span>\n";

echo "</fieldset>\n";

echo "</td>\n";

echo "<td class=\"td_hidden\" style=\"width:20px;\">&nbsp;</td>\n";

echo "<td class=\"td_hidden\"><span class=\"small\">";



$strFile = "$strLang/sys_registration_help.inc";

if (file_exists($strFile)) { include($strFile); } else { echo "Missing file:<br />$strFile"; }



echo "<input type=\"hidden\" name=\"FFregister_mode\" value=\"$register_mode\" />";

echo "<input type=\"hidden\" name=\"FFregister_safe\" value=\"$register_safe\" />";

echo "<input type=\"hidden\" name=\"FFregister_coppa\" value=\"$register_coppa\" />";

echo "<input type=\"hidden\" name=\"FFchild\" value=\"$strChild\" />";

echo "<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Register"]}\" />\n";

echo "</span></td>\n";

echo "</tr>\n";

echo "</table>\n";

echo "</form>\n";

echo "</div>\n";

echo "<br />\n";



// HTML END



include("qtf_p_footer.inc");



?>