<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",4) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// CHANGE USER INTERFACE

if (isset($_GET["view"])) $_SESSION["qtf"]["viewmode"] = $_GET["view"];

// INITIALISE

include("bin/qtf_fn_limitsql.inc");

$strGroup = "all";
$strOrder = "name";
$strDirec = "ASC";
$intLimit = 0;
$intPage  = 1;

if (isset($_GET["group"])) $strGroup = $_GET["group"];
if (isset($_GET["page"])) { $intLimit = (intval($_GET["page"])-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage = intval($_GET["page"]); }
if (isset($_GET["order"])) $strOrder = $_GET["order"];
if (isset($_GET["dir"]))   $strDirec = $_GET["dir"];

$oVIP->selfurl = "qtf_ind_member.php";
$oVIP->selfname = $lang["Memberlist"];

// --------
// HTML START
// --------

$bJavaCom = true;
include("qtf_p_header.inc");

$arrSortable = array("name"=>"ASC","role"=>"ASC","location"=>"ASC","firstdate"=>"DESC","numpost"=>"DESC");

// --------
// Title and top 5
// --------

// make groups line

$strGroups = "<td class=\"td_button_small\" style=\"width:35px;\">".($strGroup=="all" ? "<b>{$lang["All"]}</b>" : "<a class=\"a_button\" href=\"$oVIP->selfurl?group=all\">{$lang["All"]}</a>" )."</td>\n";
for ($g="A";$g!="AA";$g++)
{
$strGroups .= "<td class=\"td_button_small\" style=\"width:18px;\">".($strGroup==$g ? "<b>$g</b>" : "<a class=\"a_button\" href=\"$oVIP->selfurl?group=$g\">$g</a>" )."</td>\n";
}
$strGroups .= "<td class=\"td_button_small\" style=\"width:18px;\">".($strGroup=="#" ? "<b>#</b>" : "<a class=\"a_button\" href=\"$oVIP->selfurl?group=#\">#</a>" )."</td>\n";
$strGroups .= "<td class=\"td_hidden\">&nbsp;</td>\n";

  // refine query
  Switch ($strGroup)
  {
  Case "all":   $where = ""; Break;
  Case "#":   $where = " WHERE (".FirstCharCase($oDB->type,"name","u")."<\"A\" OR ".FirstCharCase($oDB->type,"name","u").">\"Z\")"; Break;
  Default:   $where = " WHERE ".FirstCharCase($oDB->type,"name","u")."=\"".$strGroup."\""; Break;
  }

  // count query
  if ($strGroup=="all")
  {
  $count = $_SESSION["qtf"]["sys_members"];
  }else{
  $oDB->Query("SELECT count(id) as countid FROM ".TABUSER.$where);
  $row = $oDB->Getrow();
  $count = $row["countid"];
  }

// header

echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\"><h2>{$oVIP->selfname}</h2><p>".($strGroup=="all" ? "{$_SESSION["qtf"]["sys_members"]} {$lang["Members"]}" : "$count / {$_SESSION["qtf"]["sys_members"]} {$lang["Members"]}" )."</p></td>\n";
echo "\t<td class=\"td_hidden\" style=\"width:170px;\">\n";
echo "\t<div class=\"div_legendbox\">\n";
echo "\t<p class=\"p_legendtitle\">{$lang["Top_participants"]}</p>\n";
echo "\t<table class=\"tab_hidden\" cellspacing=\"0\">\n";

//-- LIMIT QUERY --
$state = "name, id, numpost FROM ".TABUSER;
$query = LimitSQL($oDB->type,$state,"numpost DESC",0,5);
$oDB->Query($query);
// --------

For ($while=0;$while<5;$while++)
{
$row = $oDB->Getrow();
if (!$row) break;
echo "\t<tr><td style=\"text-align:left\"><a href=\"qtf_usr.php?id={$row["id"]}\">{$row["name"]}</a></td><td style=\"text-align:right\">{$row["numpost"]}</td></tr>\n";
}
echo "\t</table>\n";
echo "\t</div>\n";
echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n\n";

// --------
// Button line and pager
// --------

// -- build pager --

$pager = MakePager("qtf_ind_member.php?group=$strGroup",$count,$_SESSION["qtf"]["topics_per_page"],$intPage,$lang);
if ( !empty($pager) ) $pager = $lang["Page"].$pager;

// -- Display button line (if more that tpp users) and pager --

if ($_SESSION["qtf"]["sys_members"]>$_SESSION["qtf"]["topics_per_page"]) echo "<table class=\"tab_button\" cellspacing=\"0\" >\n<tr class=\"tr_button\">\n$strGroups</tr>\n</table>\n\n";

if ( !empty($pager) )
{
echo "<table class=\"tab_button\" cellspacing=\"0\"><tr class=\"tr_button\"><td class=\"td_hidden\" style=\"text-align:right;padding:4px;\">$pager</td></tr></table>\n\n";
}

// end if no result
if ($count==0)
{
  echo "<p>".$lang["None"]."</p><br />";
  include("qtf_p_footer.inc");
  exit;
}

// --------
// Memberlist
// --------

$img["NO"]  = "";
$img["ASC"] = " <img class=\"ico_sort\" src=\"$strSkin/sort_asc.gif\" alt=\"+\" />";
$img["DESC"]= " <img class=\"ico_sort\" src=\"$strSkin/sort_desc.gif\" alt=\"-\" />";

echo "<table cellspacing=\"0\" class=\"tab_cnt\">\n";
echo "<tr class=\"tr_cnt\">\n";

$bCompact = FALSE;
if ( $_SESSION["qtf"]["avatar"]=="0" ) $bCompact = true;
if ( $_SESSION["qtf"]["viewmode"]=="C" ) $bCompact = true;

if ( $bCompact )
{
  // col name
  $strFld = "name";
  $strCol = $lang["Members"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_ref\" style=\"width:175px\">$strCol</th>\n";
  
  // col role
  $strFld = "role";
  $strCol = $lang["Role"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\" style=\"width:100px\">$strCol</th>\n";
  
  // col location
  $strFld = "location";
  $strCol = $lang["Location"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\">$strCol</th>\n";

  // col Mail
  $strFld = "mail";
  $strCol = $lang["Email"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\" style=\"width:25px\">$strCol</th>\n";
  
  // col web
  $strFld = "www";
  $strCol = "www";
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\" style=\"width:25px\">$strCol</th>\n";
}
else
{
  echo "\t<th class=\"th_t_sta\" style=\"width:130px\">{$lang["Avatar"]}</th>\n";

  // col name
  $strFld = "name";
  $strCol = $lang["Members"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_ref\" style=\"width:175px\">$strCol</th>\n";

  // col role
  $strFld = "role";
  $strCol = $lang["Role"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\" style=\"width:100px\">$strCol</th>\n";

  // col location
  $strFld = "location";
  $strCol = $lang["Location"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\">$strCol</th>\n";
}

// col joined
$strFld = "firstdate";
$strCol = $lang["Joined"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_ref\" style=\"width:150px\">$strCol</th>\n";

// col Message
$strFld = "numpost";
$strCol = $lang["Messages"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"qtf_ind_member.php?group=$strGroup&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_ref\" style=\"width:80px\">$strCol</th>\n";

echo "</tr>\n";

//-- LIMIT QUERY --
$state = "id,name,www,mail,location,role,firstdate,numpost,privacy,avatar FROM ".TABUSER.$where;
$query = LimitSQL($oDB->type,$state,$strOrder." ".$strDirec,$intLimit,$_SESSION["qtf"]["topics_per_page"]);
$oDB->Query($query);
// --------

$alt="1";
For ($while=0;$while<$_SESSION["qtf"]["topics_per_page"];$while++)
{
  $row = $oDB->Getrow();
  if (!$row) break;

  $strMail = "<img class=\"ico_user\" src=\"$strSkin/ico_user_e_0.gif\" alt=\"mail\" title=\"no e-mail\" />";
  if ($row["mail"]!="")
  {
    if ( $row["privacy"]=="2" ) $strMail="<a href=\"mailto:{$row["mail"]}\"><img id=\"i{$row["id"]}\" class=\"ico_user\" src=\"$strSkin/ico_user_e_1.gif\" alt=\"mail\" title=\"e-mail\" /></a>";
    if ( $row["privacy"]=="1" && $oVIP->role!="V" ) $strMail="<a href=\"mailto:{$row["mail"]}\"><img id=\"i{$row["id"]}\" class=\"ico_user\" src=\"$strSkin/ico_user_e_1.gif\" alt=\"mail\" title=\"e-mail\" /></a>";
    if ( $oVIP->role=="A" || $oVIP->role=="M" ) $strMail="<a href=\"mailto:{$row["mail"]}\"><img id=\"i{$row["id"]}\" class=\"ico_user\" src=\"$strSkin/ico_user_e_1.gif\" alt=\"mail\" title=\"e-mail\" /></a>";

    /* java mail protection */
    if ( $_SESSION["qtf"]["javamail"]=="1" )
    {
    $strMail = Javamail($strMail,$row["id"],$row["mail"],$lang["E_javamail"]);
    }
  }

  if ($row["www"]=="")
  {
  $www = "<img class=\"ico_user\" src=\"$strSkin/ico_user_w_0.gif\" alt=\"email\" title=\"no web site\" />";
  }
  else
  {
  $www = "<a href=\"{$row["www"]}\"><img class=\"ico_user\" src=\"$strSkin/ico_user_w_1.gif\" alt=\"www\" title=\"web site\" /></a>";
  }

  echo "<tr>\n";
  if ( $bCompact )
  {
  echo "\t<td class=\"td_t_ref$alt\"><a href=\"qtf_usr.php?id={$row["id"]}\">{$row["name"]}</a></td>\n";
  echo "\t<td class=\"td_t_sta$alt\"><span class=\"small\">".$lang["Userrole_{$row["role"]}"]."</span></td>\n";
  echo "\t<td class=\"td_t_sta$alt\">{$row["location"]}</td>\n";
  echo "\t<td class=\"td_t_sta$alt\">$strMail</td>\n";
  echo "\t<td class=\"td_t_sta$alt\">$www</td>\n";
  }
  else
  {
  echo "\t<td class=\"td_t_sta$alt\">".GetAvatar($row["id"],$row["avatar"],false,"div_avatar_nil","",$row["name"])."</td>\n";
  echo "\t<td class=\"td_t_ref$alt\"><a href=\"qtf_usr.php?id={$row["id"]}\">{$row["name"]}</a></td>\n";
  echo "\t<td class=\"td_t_sta$alt\"><span class=\"small\">".$lang["Userrole_{$row["role"]}"]."</span></td>\n";
  echo "\t<td class=\"td_t_sta$alt\">{$row["location"]}<br />$strMail $www</td>\n";
  }
  echo "\t<td class=\"td_t_sta$alt\">".FormatDateStrict($row["firstdate"],$_SESSION["qtf"]["formatdate"])."</td>\n";
  echo "\t<td class=\"td_t_sta$alt\">{$row["numpost"]}</td>\n";
  echo "</tr>\n";

  if ( $alt=="1" ) { $alt="2"; } else { $alt="1"; }

}
echo "</table>\n\n";

// -- Display pager --

if ( !empty($pager) )
{
echo "<table class=\"tab_button\" cellspacing=\"0\"><tr class=\"tr_button\"><td class=\"td_hidden\" style=\"text-align:right;padding:4px;\">$pager</td></tr></table>\n\n";
}

// HTML END

include("qtf_p_footer.inc");
?>
