<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",3,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

if (!isset($_GET["f"])) die("Missing forum id...");
if (!isset($_GET["t"])) die("Missing topic id...");

include("bin/qtf_fn_limitsql.inc");

$oForum = new cForum;
$oForum->Get($oDB,$_GET["f"]);

  if ( $oForum->type=="1" && ($oVIP->role=="V" || $oVIP->role=="U") )
  {
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["R_moderator"],$strSkin,0);
  }
  if ( $oForum->type=="2" && $oVIP->role=="V" )
  {
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["R_member"],$strSkin,0);
  }

$oTopic = new cTopic;
$oTopic->Get($oDB,$_GET["t"],$oVIP->id); //provide userid to update stats

  if ( $oForum->type=="2" && $oVIP->role=="U" && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["E_topic_private"]."<br />".$lang["R_member"],$strSkin,0);
  }

$oPost  = new cPost;

$strCommand= "";
$byuser   = "";
$limit    = 0;
$PAGEcurr  = 1;
if (isset($_GET["page"])) { $limit = ($_GET["page"]-1)*$_SESSION["qtf"]["replies_per_page"]; $PAGEcurr=$_GET["page"]; }
if (isset($_GET["view"])) { $_SESSION["qtf"]["viewmode"] = $_GET["view"]; }

$oVIP->selfurl = "qtf_ind_post.php";
$oVIP->exiturl = "qtf_ind_topic.php?f={$_GET["f"]}";
$oVIP->selfname = $lang["Messages"];

// --------
// HTML START
// --------

echo QTF_HTML_DTD."\n";
echo "<html dir=\"".QTF_HTML_DIR."\" xml:lang=\"".QTF_HTML_LANG."\">\n";
echo "<head>\n";
echo "<title>{$_SESSION["qtf"]["site_name"]}</title>\n";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=".QTF_HTML_CHAR."\" />\n";
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$strSkin/qtf_print.css\" />\n";
echo "</head>\n<body>\n\n";

// BANNER

if ($_SESSION["qtf"]["show_banner"]=="1")
{
echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="$strSkin/qtf_logo.gif" width="175" height="50" style="border-width:0" alt="{$_SESSION["qtf"]["site_name"]}" title="{$_SESSION["qtf"]["site_name"]}" />
</div>
</div>
<!-- END HEADER BANNER -->\n\n
END;
}

echo "<h2>$oForum->title".($oForum->numfield=="1" ? " &middot; ".sprintf($oForum->numformat,$oTopic->numid) : "")."</h2>";

// CHECK IF FORUM BY USER

if (($oForum->type=="2") && ($oVIP->role!="M") && ( $oVIP->role!="A" )) $byuser = "AND p.userid={$oVIP->id}";

// COUNT RECORDS

$oDB->Query("SELECT count(p.id) as countid FROM ".TABPOST." p WHERE p.forum={$oForum->id} AND p.topic={$oTopic->id} $byuser");
$row = $oDB->Getrow();
$count = $row["countid"];

// CONTENT

// -- stop if no post (or user not creator) --

if ($count == 0)
{
  echo "<br />{$lang["None"]}... {$lang["E_topic_private"]}<br /><br />\n";
  include("qtf_p_footer.inc");
  exit;
}

/*  oooooooooo  */
    $state = "p.*, u.role, u.location, u.avatar, u.signature
    FROM ".TABPOST." p, ".TABUSER." u WHERE p.userid = u.id AND p.topic={$oTopic->id} $byuser";
    $query = LimitSQL($oDB->type,$state,"p.id ASC",$limit,$_SESSION["qtf"]["replies_per_page"],$count);
    $oDB->Query($query);
/*  oooooooooo  */
    $iMsgNum = $limit;
    $iMsgAdd = 1;
    $while   = 0;
    $strAlt  = "1";
    $strSep  = "";
    $bButton = false;
    $bAvatar = true;
/*  oooooooooo  */
    include("qtf_ind_post.inc");
/*  oooooooooo  */

// HTML END

echo "<!-- COPYRIGHT LINE -->\n";
echo "<div class=\"div_footer\">\n";
echo "<div class=\"div_footer_copy\">\n";
echo "<span class=\"p_footer_copy\">powered by <a href=\"http://www.qt-cute.org\" class=\"a_footer_copy\">QT-cute</a> ".QTFVERSION."</span>\n";
echo "</div>\n";
echo "</div>\n";
echo "<!-- END COPYRIGHT LINE -->\n\n";

echo "</body>\n</html>";

?>