<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",5,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("bin/qtf_fn_limitsql.inc");
include("$strLang/qtf_search.inc");

$strOrder = "lastpostdate";
$strDirec = "DESC";
$intPage  = 1;
$intLimit = 0;
if (isset($_GET["page"])) { $intLimit = (intval($_GET["page"])-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage = intval($_GET["page"]); }
if (isset($_GET["order"])) $strOrder = $_GET["order"];
if (isset($_GET["dir"]))   $strDirec = $_GET["dir"];
$img["NO"]  = "";
$img["ASC"] = " <img class=\"ico_sort\" src=\"$strSkin/sort_asc.gif\" alt=\"+\" />";
$img["DESC"]= " <img class=\"ico_sort\" src=\"$strSkin/sort_desc.gif\" alt=\"-\" />";

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}

$oVIP->selfurl = "qtf_ind_search_id.php";
$oVIP->selfname = $lang["Search_by_ref"];

// --------
// HTML START
// --------

// check keywords
$id = strip_tags(trim($_GET["FFtitle"]));
if ( empty($id) )  $strError = $lang["Reference"]." ".$lang["E_invalid"];

// check forum
$strForum = "t.forum = ".$_GET["f"];
if ($_GET["f"]=="-1")
{
  $strForum = "t.forum>=0 AND f.type<>\"1\"";
  if ( $oVIP->role=="A" || $oVIP->role=="M" ) $strForum = "t.forum>=0";
}

include("qtf_p_header.inc");

echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo "\t<td>&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","t","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=last\" class=\"a_button\">{$lang["Last_messages"]}</a>&nbsp;</td>\n";
echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","a","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=news\" class=\"a_button\">".$lang["All_news"]."</a>&nbsp;</td>\n";
if ($oVIP->role!="V")
{
  echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
  echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"user","p","1","")."</td>\n";
  echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=user&amp;id={$oVIP->id}&amp;n={$oVIP->name}\" class=\"a_button\">".$lang["All_my_topics"]."</a>&nbsp;</td>\n";
}
echo "</tr>\n";
echo "</table>\n";

echo "<h2>{$oVIP->selfname}</h2>\n";

// -----
// COUNT
// -----

$strQuery = "SELECT count(t.id) as countid ";
$strFrom = "FROM ((".TABTOPIC." t INNER JOIN ".TABFORUM." f ON t.forum = f.id) INNER JOIN ".TABPOST." p ON t.firstpostid = p.id) ";
if ( $strOrder=="formumtitle" ) { $strOrder="f.title"; } else { $strOrder="t.".$strOrder; }
$strWhere = "WHERE $strForum AND t.numid = $id ORDER BY $strOrder $strDirec";
// second order
if ( $strOrder!="lastpostdate" ) $strWhere .= ",lastpostdate DESC";

$oDB->Query($strQuery.$strFrom.$strWhere);
$row = $row = $oDB->Getrow();
$intCount = $row["countid"];

if ($intCount==0)
{
  echo "<p>".$lang["None"]."</p>\n";
  echo "&laquo;&nbsp;<a href=\"qtf_ind_search.php\">{$lang["Search"]}</a><br /><br />\n";
  include("qtf_p_footer.inc");
  exit;
}

// -----
// QUERY
// -----

$strQuery = "SELECT t.*, f.title as forumtitle, p.icon, p.title, p.textmsg, f.numfield,f.numformat ";

$oDB->Query($strQuery.$strFrom.$strWhere);

echo "<p>{$lang["Ref"]} $id&nbsp;&nbsp;&middot;&nbsp;&nbsp;{$lang["Found"]} $intCount</p>\n";

// --------
// Post content
// --------

$arrSortable = array();
if ( $intCount>2 ) $arrSortable = array("title"=>"ASC","forumtitle"=>"ASC","firstpostname"=>"ASC","lastpostdate"=>"DESC","replies"=>"DESC");

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";

  // col icon
  echo "\t<td class=\"th_t_ico\" style=\"width:25px\">&nbsp;</td>\n";

  // col ref
  $strFld = "numid";
  $strCol = $lang["Ref"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$id&amp;f={$_GET["f"]}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_ref\" style=\"width:50px\">$strCol</th>\n";

  // col smile
  if ( QTF_PREFIX_ICON ) echo "\t<td class=\"th_t_smi\" style=\"width:25px\">&nbsp;</td>\n";
  
  // col title
  $strFld = "title";
  $strCol = $lang["Topics"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$id&amp;f={$_GET["f"]}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_tit\">$strCol</th>\n";

  // col youreply
  echo "\t<th class=\"th_t_inf\" style=\"width:10px\">&nbsp;</th>\n";

  // col forum
  $strFld = "forumtitle";
  $strCol = $lang["Forum"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$id&amp;f={$_GET["f"]}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_inf\">$strCol</th>\n";

  // col starter
  $strFld = "firstpostname";
  $strCol = $lang["Topic_starter"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$id&amp;f={$_GET["f"]}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

  // col lastmessage
  $strFld = "lastpostdate";
  $strCol = $lang["Last_message"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$id&amp;f={$_GET["f"]}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

  // col replies
  $strFld = "replies";
  $strCol = $lang["Replys"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$id&amp;f={$_GET["f"]}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_inf\" style=\"width:75px;text-align:center\">$strCol</th>\n";

echo "</tr>\n";

// insert topics rows
$bAddForum = true;
$bAddViews = false;
$bAddRef = true;
include("qtf_ind_topic.inc");

echo "</table><br />\n";

// -- no data --
if ( $intWhile==0 ) echo "<tr><td class=\"td_t_tit1\" colspan=\"6\">{$lang["None"]}...</td></tr>\n";

// HTML END

include("qtf_p_footer.inc");