<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",5,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("bin/qtf_fn_limitsql.inc");
include("$strLang/qtf_search.inc");

$strOrder = "lastpostdate";
$strDirec = "DESC";
$intPage  = 1;
$intLimit = 0;
if (isset($_GET["page"])) { $intLimit = (intval($_GET["page"])-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage = intval($_GET["page"]); }
if (isset($_GET["order"])) $strOrder = $_GET["order"];
if (isset($_GET["dir"]))   $strDirec = $_GET["dir"];

$strK  = "";
$strSP = "0";
$strF  = "-1";
$strTO = "0";
$strAL = "0";
$strAT = "0";
if ( isset($_GET["FFtitle"]) ) $strK = $_GET["FFtitle"];
if ( isset($_GET["sp"]) ) $strSP = $_GET["sp"];
if ( isset($_GET["f"]) )  $strF  = $_GET["f"];
if ( isset($_GET["to"]) ) $strTO = $_GET["to"];
if ( isset($_GET["al"]) ) $strAL = $_GET["al"];
if ( isset($_GET["at"]) ) $strAT = $_GET["at"];

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}
$oVIP->selfurl = "qtf_ind_search_kw.php";
$oVIP->selfname = $lang["Search_by_key"];
$oVIP->exiturl = "qtf_ind_search.php";
$oVIP->exitname = $lang["Search"];

$img["NO"]  = "";
$img["ASC"] = " <img class=\"ico_sort\" src=\"$strSkin/sort_asc.gif\" alt=\"+\" />";
$img["DESC"]= " <img class=\"ico_sort\" src=\"$strSkin/sort_desc.gif\" alt=\"-\" />";

// --------
// CHECK CRITERIA
// --------

if ( $strK=="" )
{
  // exit
  $oVIP->EndMessage(NULL,$lang["Keywords"]." K ".$lang["E_invalid"],$strSkin,0);
}
$arrKeys = split(" ",$strK);

if ( $strSP!="0" && $strSP!="1" )
{
  // exit
  $oVIP->EndMessage(NULL,$lang["Keywords"]." S= $strSP > ".$lang["E_invalid"],$strSkin,0);
  exit;
}
if ( $strTO!="0" && $strTO!="1" )
{
  // exit
  $oVIP->EndMessage(NULL,$lang["In_title_only"]." TO ".$lang["E_invalid"],$strSkin,0);
  exit;
}
if ( !is_between($strAL,0,9) )
{
  // exit
  $oVIP->EndMessage(NULL,"At_least ".$lang["E_invalid"],$strSkin,0);
  exit;
}
if ( !is_between($strAT,0,31) )
{
  // exit
  $oVIP->EndMessage(NULL,"Since_a ".$lang["E_invalid"],$strSkin,0);
  exit;
}
if ( $strSP=="1" )
{
  if ( count($arrKeys)<1 ) $strSP="0";
  if ( count($arrKeys)>5 )
  {
  // exit
  $oVIP->EndMessage(NULL,$lang["Too_many_keys"],$strSkin,0);
  exit;
  }
}

// --------
// BUILD CRITERIA
// --------

// full word criteria
$qryTitle = "p.title like \"%$strK%\"";
$qryMessage = "p.textmsg like \"%$strK%\"";

// split criteria
if ( $strSP=="1" )
{
  $qryTitle   = "(";
  $qryMessage = "(";
  $or = "";
  foreach ($arrKeys as $intKey => $strValue)
  {
    $qryTitle   .= $or."p.title like \"%$strValue%\"";
    $qryMessage .= $or."p.textmsg like \"%$strValue%\"";
    $or = " OR ";
  }
  $qryTitle   .= ") ";
  $qryMessage .= ") ";
}

// forum criteria
$qryForum = "t.forum = $strF";
if ($strF=="-1")
{
  $qryForum = "t.forum>=0 AND f.type<>\"1\"";
  if ( $oVIP->role=="A" || $oVIP->role=="M" ) $qryForum = "t.forum>=0";
}

// atleast criteria
$qryAtleast="";
if ($strAL>0) $qryAtleast = " AND t.replies >= $al";

// attime criteria
$qryAttime = "";
if ($strAT>0) $qryAttime=" AND ".DateOlderThan($oDB->type,"p.issuedate",$strAT);

// BUILD QUERY

$qryCount = "SELECT count(t.id) as countid ";
$qryField = "t.*, f.title as forumtitle, p.icon, p.title, p.textmsg, f.numfield, f.numformat ";
$strFrom = "FROM ((".TABTOPIC." t INNER JOIN ".TABFORUM." f ON t.forum = f.id) INNER JOIN ".TABPOST." p ON t.firstpostid = p.id) ";
if ($strTO=="1")
{
  $strWhere = "WHERE $qryForum AND $qryTitle $qryAtleast $attime ";
}
else
{
  $strWhere = "WHERE $qryForum AND ($qryTitle OR $qryMessage) $qryAtleast $qryAttime ";
}

// --------
// CONTENT
// --------

include("qtf_p_header.inc");

echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo "\t<td>&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","t","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=last\" class=\"a_button\">{$lang["Last_messages"]}</a>&nbsp;</td>\n";
echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","a","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=news\" class=\"a_button\">".$lang["All_news"]."</a>&nbsp;</td>\n";
if ($oVIP->role!="V")
{
  echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
  echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"user","p","1","")."</td>\n";
  echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=user&id={$oVIP->id}&amp;n={$oVIP->name}\" class=\"a_button\">".$lang["All_my_topics"]."</a>&nbsp;</td>\n";
}
echo "</tr>\n";
echo "</table>\n";

// -----
// COUNT
// -----

$oDB->Query($qryCount.$strFrom.$strWhere);
$row = $row = $oDB->Getrow();
$intCount = $row["countid"];

if ($intCount==0)
{
  echo "<h2>{$oVIP->selfname}</h2>\n";
  echo "<br />$strK&nbsp;&nbsp;&middot;&nbsp;&nbsp;$intCount {$lang["Found"]}\n";
  if ( $strSP=="0" && count($arrKeys)>1 )
  {
  echo "&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=1&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT\">{$lang["Search_by_words"]}</a>\n";
  }
  if ( $strSP=="1" && count($arrKeys)>1 )
  {
  echo "&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=0&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT\">{$lang["Search_exact_words"]}</a>\n";
  }
  echo "<br /><br />&laquo;&nbsp;<a href=\"qtf_ind_search.php\">{$lang["Search"]}</a><br /><br />\n";
  include("qtf_p_footer.inc");
  exit;
}

// -----
// QUERY
// -----

if ( $strOrder=="formumtitle" ) { $strOrder="f.title"; } else { $strOrder="t.".$strOrder; }

$strOrders = "$strOrder $strDirec";
// second order
if ( $strOrder!="lastpostdate" ) $strOrders .= ",lastpostdate DESC";

$strQ = LimitSQL($oDB->type,$qryField.$strFrom.$strWhere,$strOrders,$intLimit,$_SESSION["qtf"]["topics_per_page"],$intCount);
$oDB->Query($strQ);

// -- Display result --

echo "<h2>{$oVIP->selfname}</h2>\n";

echo "<br />$strK&nbsp;&nbsp;&middot;&nbsp;&nbsp;{$lang["Found"]} $intCount";
if ( $strSP=="0" && count($arrKeys)>1 )
{
  echo "&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=1&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT\">{$lang["Search_by_words"]}</a>\n";
}
if ( $strSP=="1" && count($arrKeys)>1 )
{
  echo "&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=0&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT\">{$lang["Search_exact_words"]}</a>\n";
}

// --------
// Button line and pager
// --------

// -- build pager --

$pager = MakePager("$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT",$intCount,$_SESSION["qtf"]["topics_per_page"],$intPage,$lang);
if ($pager!="") $pager = $lang["Page"].$pager;

$strCommand = $pager;

// -- Displays pager --

echo "<table class=\"tab_hidden\" cellspacing=\"0\"><tr class=\"tr_hidden\"><td class=\"td_hidden\" style=\"text-align:right;padding:4px;\">$strCommand</td></tr></table>";

// --------
// Post content
// --------

$arrSortable = array();
if ( $intCount>1 ) $arrSortable = array("numid"=>"DESC","title"=>"ASC","forumtitle"=>"ASC","firstpostname"=>"ASC","lastpostdate"=>"DESC","replies"=>"DESC");

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";

// col icon
echo "\t<td class=\"th_t_ico\" style=\"width:25px\">&nbsp;</td>\n";

// col ref
$strFld = "numid";
$strCol = $lang["Ref"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_ref\" style=\"width:50px\">$strCol</th>\n";

// col smile
if ( QTF_PREFIX_ICON ) echo "\t<td class=\"th_t_smi\" style=\"width:25px\">&nbsp;</td>\n";

// col title
$strFld = "title";
$strCol = $lang["Topics"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_tit\">$strCol</th>\n";

// col youreply
echo "\t<th class=\"th_t_inf\" style=\"width:10px\">&nbsp;</th>\n";

// col forum
$strFld = "forumtitle";
$strCol = $lang["Forum"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\">$strCol</th>\n";

// col starter
$strFld = "firstpostname";
$strCol = $lang["Topic_starter"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

// col lastmessage
$strFld = "lastpostdate";
$strCol = $lang["Last_message"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

// col replies
$strFld = "replies";
$strCol = $lang["Replys"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?FFtitle=$strK&amp;sp=$strSP&amp;f=$strF&amp;to=$strTO&amp;al=$strAL&amp;at=$strAT&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:75px;text-align:center\">$strCol</th>\n";

echo "</tr>\n";

// insert topics rows
$bAddForum = true;
$bAddViews = false;
$bAddRef = true;
include("qtf_ind_topic.inc");

echo "</table>\n";

// -- no data --
if ( $intWhile==0 ) echo "<tr><td class=\"td_t_tit1\" colspan=\"6\">{$lang["None"]}...</td></tr>\n";

// -- Displays pager --

echo "<table class=\"tab_hidden\" cellspacing=\"0\"><tr class=\"tr_hidden\"><td class=\"td_hidden\" style=\"text-align:right;padding:4px;\">$strCommand</td></tr></table>";

// HTML END

include("qtf_p_footer.inc");