<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",5,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("bin/qtf_fn_limitsql.inc");
include("$strLang/qtf_search.inc");

$strOrder = "lastpostdate";
$strDirec = "DESC";
$intPage  = 1;
$intLimit = 0;
if (isset($_GET["page"])) { $intLimit = (intval($_GET["page"])-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage = intval($_GET["page"]); }
if (isset($_GET["order"])) $strOrder = $_GET["order"];
if (isset($_GET["dir"]))   $strDirec = $_GET["dir"];

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}

$oVIP->selfurl = "qtf_ind_search_ov.php";
$oVIP->selfname = $lang["Search_result"];

$img["NO"]  = "";
$img["ASC"] = " <img class=\"ico_sort\" src=\"$strSkin/sort_asc.gif\" alt=\"+\" />";
$img["DESC"]= " <img class=\"ico_sort\" src=\"$strSkin/sort_desc.gif\" alt=\"-\" />";

// --------
// HTML START
// --------

$arrSortable = array("numid"=>"DESC","title"=>"ASC","forumtitle"=>"ASC","firstpostname"=>"ASC","lastpostdate"=>"DESC","replies"=>"DESC");

include("qtf_p_header.inc");

echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo "\t<td>&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","t","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=last\" class=\"a_button\">{$lang["Last_messages"]}</a>&nbsp;</td>\n";
echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","a","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=news\" class=\"a_button\">".$lang["All_news"]."</a>&nbsp;</td>\n";
if ($oVIP->role!="V")
{
  echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
  echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"user","p","1","")."</td>\n";
  echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=user&amp;id={$oVIP->id}&amp;n={$oVIP->name}\" class=\"a_button\">".$lang["All_my_topics"]."</a>&nbsp;</td>\n";
}
echo "</tr>\n";
echo "</table>\n";

echo "<h2>{$oVIP->selfname}</h2>\n";

// --------
// CONTENT
// --------

if (isset($_GET["page"])) { $intLimit = ($_GET["page"]-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage=$_GET["page"]; } else { $intLimit=0; $intPage=1; }

// check request
if (!isset($_GET["a"])) exit;

$field = "t.*, f.title as forumtitle, p.icon, p.title, p.textmsg ";
$from = "FROM ((".TABTOPIC." t INNER JOIN ".TABFORUM." f ON t.forum = f.id) INNER JOIN ".TABPOST." p ON t.firstpostid = p.id) ";
$extraparam = "";
if ( $strOrder=="formumtitle" ) { $strOrder="f.title"; } else { $strOrder="t.".$strOrder; }
$strOrder .= " $strDirec";

if ($_GET["a"]=="last")
{
  $overview = $lang["Last_messages"];

  // get the lastpost date
  $oDB->Query("SELECT max(t.lastpostdate) as f1 FROM ".TABTOPIC." t ");
  $row = $oDB->Getrow();
  $val = $row["f1"];

  // query post of this day
  if ($oDB->type=="mysql")
  {
  $strWhere = "WHERE YEAR(t.lastpostdate)=YEAR(\"$val}\") AND MONTH(t.lastpostdate)=MONTH(\"$val\") AND DAYOFMONTH(t.lastpostdate)=DAYOFMONTH(\"$val\")";
  }
  elseif ($oDB->type=="mssql")
  {
  $strWhere = "WHERE DATEPART(y,t.lastpostdate)=DATEPART(y,\"$val\") AND DATEPART(m,t.lastpostdate)=DATEPART(m,\"$val\") AND DATEPART(d,t.lastpostdate)=DATEPART(d,\"$val\")";
  }
  elseif ($oDB->type=="pg")
  {
  $strWhere = "WHERE date_trunc(\"day\", t.lastpostdate) = date_trunc(\"day\", TIMESTAMP \"$val\")";
  }else{
  $strWhere = "WHERE YEAR(t.lastpostdate)=YEAR(\"$val\") AND MONTH(t.lastpostdate)=MONTH(\"$val\") AND DAY(t.lastpostdate)=DAY(\"$val\")";
  }

  $oDB->Query("SELECT count(t.id) as countid FROM ".TABTOPIC." t ".$strWhere);
  $row = $oDB->Getrow();
  $count = $row["countid"];

  $query = LimitSQL($oDB->type,$field.$from.$strWhere,$strOrder,$intLimit,$_SESSION["qtf"]["topics_per_page"]);
}
if ($_GET["a"]=="news")
{
  $overview = $lang["All_news"];
  $oDB->Query("SELECT count(id) as countid FROM ".TABTOPIC." WHERE type = \"A\"");
  $row = $oDB->Getrow();
  $count = $row["countid"];

  $strWhere = "WHERE t.type = \"A\"";
  $query = LimitSQL($oDB->type,$field.$from.$strWhere,$strOrder,$intLimit,$_SESSION["qtf"]["topics_per_page"]);
}
if ($_GET["a"]=="user")
{
  $overview = $lang["Topics"]." ".strtolower($lang["By"])." ".$_GET["n"];
  $extraparam = "&amp;id=".$_GET["id"]."&amp;n=".$_GET["n"];

  $oDB->Query("SELECT count(id) as countid FROM ".TABTOPIC." WHERE firstpostuser = ".$_GET["id"]);
  $row = $oDB->Getrow();
  $count = $row["countid"];

  $strWhere = "WHERE firstpostuser = ".$_GET["id"];

  $query = LimitSQL($oDB->type,$field.$from.$strWhere,$strOrder,$intLimit,$_SESSION["qtf"]["topics_per_page"]);
}

echo "$overview&nbsp;&nbsp;&middot;&nbsp;&nbsp;$count {$lang["Found"]}<br />";

if ($count==0)
{
  echo "<br />&laquo;&nbsp;<a href=\"qtf_ind_search.php\">{$lang["Search"]}</a><br /><br />\n";
  include("qtf_p_footer.inc");
  exit;
}

// -----
// Query
// -----

$oDB->Query($query);

// -- pager --

if ($count>($_SESSION["qtf"]["topics_per_page"]*5))
{
  $pager = $lang["Page"];
  // firstpage
  if ($intPage == 1)
  {
  $firstpage = " &laquo;";
  }else{
  $firstpage = " <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=1$extraparam\" title=\"{$lang["First"]}\">&laquo;</a>";
  }
  // lastpage
  $il = ceil($count/$_SESSION["qtf"]["topics_per_page"]);
  if ($intPage == $il)
  {
  $lastpage = " &raquo;";
  }else{
  $lastpage = " <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=$il$extraparam\" title=\"{$lang["Last"]}\">&raquo;</a>";
  }
  // 3 pages
  if ($intPage==1)
  {
  $thesepages = " <b>$intPage</b> <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=".($intPage+1)."$extraparam\" title=\"{$lang["Next"]}\">".($intPage+1)."</a> <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=".($intPage+2)."$extraparam\" title=\"{$lang["Next"]}\">".($intPage+2)."</a>";
  }
  elseif ($intPage==$il)
  {
  $thesepages = " <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=".($intPage-2)."$extraparam\" title=\"{$lang["Previous"]}\">".($intPage-2)."</a> <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=".($intPage-1)."$extraparam\" title=\"{$lang["Previous"]}\">".($intPage-1)."</a> <b>$intPage</b> ";
  }
  else
  {
  $thesepages = " <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=".($intPage-1)."$extraparam\" title=\"{$lang["Previous"]}\">".($intPage-1)."</a> <b>$intPage</b> <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=".($intPage+1)."$extraparam\" title=\"{$lang["Next"]}\">".($intPage+1)."</a>";
  }
  // finish
  $pager .= $firstpage.$thesepages.$lastpage;
}
elseif ($count>$_SESSION["qtf"]["topics_per_page"])
{
  $pager = $lang["Page"];
  for ($i=0; $i<$count; $i+=$_SESSION["qtf"]["topics_per_page"])
  {
    $page = $i/$_SESSION["qtf"]["topics_per_page"]+1;
    if ($intPage==$page)
    {
    $pager .= " <b>$page</b>";
    }
    else
    {
    $pager .= " <a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=$page$extraparam\">$page</a>";
    }
  }
}
else
{
  $pager="&nbsp;";
}

$strCommand = "<td>&nbsp;</td><td style=\"text-align:right\">$pager</td>\n";

// -- Displays Button line and pager --

echo "<table class=\"tab_button\" cellspacing=\"0\"><tr class=\"tr_button\">".$strCommand."</tr></table>\n";

// --------
// Post content
// --------

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";

// col icon
echo "\t<td class=\"th_t_ico\" style=\"width:25px\">&nbsp;</td>\n";

// col smile
if ( QTF_PREFIX_ICON ) echo "\t<td class=\"th_t_smi\" style=\"width:25px\">&nbsp;</td>\n";

// col title
$strFld = "title";
$strCol = $lang["Topics"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=1$extraparam&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_tit\">$strCol</th>\n";

// col youreply
echo "\t<th class=\"th_t_inf\" style=\"width:10px\">&nbsp;</th>\n";

// col forum
$strFld = "forumtitle";
$strCol = $lang["Forum"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=1$extraparam&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\">$strCol</th>\n";

// col starter
$strFld = "firstpostname";
$strCol = $lang["Topic_starter"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=1$extraparam&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

// col lastmessage
$strFld = "lastpostdate";
$strCol = $lang["Last_message"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=1$extraparam&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

// col replies
$strFld = "replies";
$strCol = $lang["Replys"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?a={$_GET["a"]}&amp;page=1$extraparam&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:75px;text-align:center\">$strCol</th>\n";

echo "</tr>\n";

// insert topics rows
$bAddForum = true;
$bAddViews = false;
$bAddRef = false;
include("qtf_ind_topic.inc");

// -- no data --
if ( $intWhile==0 ) echo "<tr><td class=\"td_t_tit1\" colspan=\"6\">{$lang["None"]}...</td></tr>\n";

echo "</table>\n";

// --------
// Button line and pager
// --------

echo "<table class=\"tab_button\" cellspacing=\"0\"><tr class=\"tr_button\">".$strCommand."</tr></table>\n";

// HTML END

include("qtf_p_footer.inc");