<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !isset($_GET["f"]) ) die("Missing forum id...");
if ( !$oVIP->CanAccess("MUV",2,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("bin/qtf_fn_limitsql.inc");

$oForum = new cForum;
$oForum->Get($oDB,$_GET["f"]);

if ( $oForum->type=="1" && ($oVIP->role=="V" || $oVIP->role=="U") )
{
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["R_moderator"],$strSkin,0);
}
if ( $oForum->type=="2" && $oVIP->role=="V" )
{
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["R_member"],$strSkin,0);
}

$oVIP->selfurl = "qtf_ind_topic.php";
$oVIP->selfname = $lang["Forum"].": ".$oForum->title;

$strCommand = "";
$numid      = "";

$strOrder = "lastpostdate";
$strDirec = "DESC";
$intPage  = 1;
$intLimit = 0;
if (isset($_GET["page"])) { $intLimit = (intval($_GET["page"])-1)*$_SESSION["qtf"]["topics_per_page"]; $intPage = intval($_GET["page"]); }
if (isset($_GET["order"])) $strOrder = $_GET["order"];
if (isset($_GET["dir"]))   $strDirec = $_GET["dir"];

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}

$img["NO"]  = "";
$img["ASC"] = " <img class=\"ico_sort\" src=\"$strSkin/sort_asc.gif\" alt=\"+\" />";
$img["DESC"]= " <img class=\"ico_sort\" src=\"$strSkin/sort_desc.gif\" alt=\"-\" />";

// --------
// HTML START
// --------

include("qtf_p_header.inc");
if ($_SESSION["qtf"]["forum_descr"]=="1")
{
  if (!empty($oForum->descr)) echo "<!-- Forum description -->\n<p>{$oForum->descr}</p>\n<!-- Forum description -->\n\n";
}

// FORUM OPTIONS

if ( $oForum->status=="1" )
{
  $strCommand = "\t<td class=\"td_button\" style=\"width:120px\"><span class=\"a_button_off\">&nbsp;".$lang["E_forum_closed"]."&nbsp;</span></td>\n";
}
else
{
  $strCommand = "\t<td class=\"td_button\" style=\"width:120px\">&nbsp;<a class=\"a_button\" href=\"qtf_form_edit.php?f={$oForum->id}&amp;a=nt\">{$lang["Post_new_topic"]}</a>&nbsp;</td>\n";
  if ( $oVIP->role=="V" && $_SESSION["qtf"]["visitor_right"]<7 )
  {
  $strCommand = "\t<td class=\"td_button\" style=\"width:120px\"><span class=\"a_button_off\">&nbsp;{$lang["Post_new_topic"]}&nbsp;</span></td>\n";
  }
}

$byuser = "";
if ( ($oForum->type=="2") && ($oVIP->role!="M") && ( $oVIP->role!="A" )) $byuser = "AND t.firstpostuser={$oVIP->id}";

// BUTTON LINE AND PAGER

$oDB->Query("SELECT count(t.id) as countid FROM ".TABTOPIC." t WHERE t.forum={$oForum->id} ".$byuser);
$row = $oDB->Getrow();
$intCount = $row["countid"];
$pager = MakePager("$oVIP->selfurl?f={$oForum->id}",$intCount,$_SESSION["qtf"]["topics_per_page"],$intPage,$lang);
if ($pager!="") $pager = $lang["Page"].$pager;

// BUTTONS

$strCommand = $oVIP->BackButton().$strCommand."\t<td>".$oForum->GetModeratorActions($oVIP->role,$lang)."</td>\n\t<td style=\"text-align:right\">$pager</td>";

echo "<!-- Button and pager -->\n";
echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo $strCommand."\n";
echo "</tr>\n";
echo "</table>\n";
echo "<!-- End button and pager -->\n\n";

// DISPLAY

if ( $intCount==0 )
{
  echo "<br />{$lang["None"]}... {$lang["E_topic_private"]}<br /><br />\n";
  include("qtf_p_footer.inc");
  exit;
}

// LIST TOPICS

$arrSortable = array();
if ( $intCount>2 ) $arrSortable = array("numid"=>"DESC","title"=>"ASC","firstpostname"=>"ASC","lastpostdate"=>"DESC","replies"=>"DESC");

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";

// prefix icon
echo "\t<th class=\"th_t_ico\" style=\"width:25px\">&nbsp;</th>\n";

if ( $oForum->numfield=="1" )
{
  // col ref
  $strFld = "numid";
  $strCol = $lang["Ref"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?f={$oForum->id}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_ref\" style=\"width:50px\">$strCol</th>\n";
}
  
if ( QTF_PREFIX_ICON )
{
  // col smile
  echo "\t<th class=\"th_t_smi\" style=\"width:20px\">&nbsp;</th>\n";
}

// col title
$strFld = "title";
$strCol = $lang["Topics"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?f={$oForum->id}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_tit\">$strCol</th>\n";

// col youreply
echo "\t<th class=\"th_t_inf\" style=\"width:10px\">&nbsp;</th>\n";

// col starter
$strFld = "firstpostname";
$strCol = $lang["Topic_starter"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?f={$oForum->id}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

// col lastmessage
$strFld = "lastpostdate";
$strCol = $lang["Last_message"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?f={$oForum->id}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:150px\">$strCol</th>\n";

// col replies
$strFld = "replies";
$strCol = $lang["Replys"];
if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?f={$oForum->id}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
echo "\t<th class=\"th_t_inf\" style=\"width:75px;text-align:center;\">$strCol</th>\n";

if ( $_SESSION["qtf"]["show_view_count"]=="1" )
{
  // col views
  $strFld = "views";
  $strCol = $lang["Views"];
  if ( array_key_exists($strFld,$arrSortable) ) $strCol = "<a href=\"$oVIP->selfurl?f={$oForum->id}&amp;page=1&amp;order=$strFld&amp;dir=".($strOrder==$strFld ? Invert($strDirec) : $arrSortable[$strFld])."\" class=\"a_cnt_head\">$strCol</a>".($strOrder==$strFld ? $img[$strDirec] : $img["NO"]);
  echo "\t<th class=\"th_t_sta\" style=\"width:50px;text-align:center;\">$strCol</th>\n";
}

echo "</tr>\n";

  /**********/
  $strState  = "t.*,p.icon,p.title,p.icon as smile,p.textmsg FROM (".TABTOPIC." t INNER JOIN ".TABPOST." p ON t.firstpostid = p.id) WHERE t.forum = {$oForum->id} $byuser ";
  if ( $strOrder=="title" ) { $strOrder="p.title"; } else { $strOrder="t.".$strOrder; }
  if ( $_SESSION["qtf"]["news_on_top"]==1 ) $strOrder = "t.type ASC, ".$strOrder;
  $query = LimitSQL($oDB->type,$strState,$strOrder." ".$strDirec,$intLimit,$_SESSION["qtf"]["topics_per_page"],$intCount);
  $oDB->Query($query);
  /**********/
  $bAddForum = false;
  $bAddViews = false; if ( $_SESSION["qtf"]["show_view_count"]=="1") $bAddViews = true ;
  $bAddRef = false;   if ( $oForum->numfield=="1") $bAddRef = true;
  include("qtf_ind_topic.inc");
  /**********/

echo "</table>\n\n";

// BUTTON LINE AND PAGER

if ( $intCount>1 )
{
echo "<!-- Button and pager -->\n";
echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo $strCommand;
echo "</tr>\n";
echo "</table>\n";
echo "<!-- End button and pager -->\n\n";
}

// HTML END

include("qtf_p_footer.inc");

?>