<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");

$oVIP->selfurl = "qtf_index.php";

// --------
// SECURITY
// --------

if ( $_SESSION["qtf"]["board_offline"]=="1" )
{
  include("qtf_p_header.inc");

  $strFile = "$strLang/sys_offline.txt";
  if ( file_exists($strFile) ) { include($strFile); } else { echo "<h1>Board off-line</h1><p>The administrator has turned this board off-line.<br />Please wait...</p>\n"; }
  echo "<br />\n";
  include("qtf_p_footer.inc");
  exit;
}

if ( $_SESSION["qtf"]["visitor_right"]<1 && $oVIP->role=="V" )
{
  include("qtf_p_header.inc");
  echo "<br /><div class=\"div_msgbox\" style=\"width: 300px;\">".$lang["R_member"]."</div><br />";
  include("qtf_p_footer.inc");
  exit;
}

// --------
// HTML START
// --------

include("qtf_p_header.inc");

$oForum = new cForum();
$arrDomains = GetDomains($oDB,$oVIP->role);

// END IF NO DOMAIN
if ( count($arrDomains)==0 )
{
echo "<br />{$lang["E_no_public_forum"]}<br /><br />";
include("qtf_p_footer.inc");
exit;
}

// DISPLAY

foreach ($arrDomains as $intDomid => $strDomtitle)
{
  echo "<!-- domain $intDomid: $strDomtitle -->\n";
  echo "<div class=\"div_dom\"><div class=\"div_dom_inside\">\n";
  echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
  echo "<colgroup span=\"5\">\n";
  echo "<col width=\"35\"></col>\n";
  echo "<col></col>\n";
  echo "<col width=\"150\"></col>\n";
  echo "<col width=\"60\"></col>\n";
  echo "<col width=\"60\"></col>\n";
  echo "</colgroup>\n";
  echo "<tr>\n";
  echo "\t<th class=\"th_f_ico\">&nbsp;</th>\n";
  echo "\t<th class=\"th_f_tit\">$strDomtitle</th>\n";
  echo "\t<th class=\"th_f_inf\">{$lang["Last_message"]}</th>\n";
  echo "\t<th class=\"th_f_sta\">{$lang["Topics"]}</th>\n";
  echo "\t<th class=\"th_f_sta\">{$lang["Replys"]}</th>\n";
  echo "</tr>\n";

  // SHOW FORUMS

  if (($oVIP->role=="A") || ($oVIP->role=="M"))
  {
  $arrForums = GetForums($oDB,$intDomid,true,true);
  }
  else
  {
  $arrForums = GetForums($oDB,$intDomid);
  }

  $i=0;
  $strAlt="1";

  foreach ($arrForums as $intForid => $strFortitle)
  {
    $i++;
    $oForum->Get($oDB,$intForid);
    echo "<tr class=\"tr_cnt\">\n";
    echo "\t<td class=\"td_f_ico$strAlt\">".GetIcon($strSkin,"forum",$oForum->type,$oForum->status,"",$lang)."</td>\n";
    echo "\t<td class=\"td_f_tit$strAlt\"><a class=\"a_forum\" href=\"qtf_ind_topic.php?f={$oForum->id}\" >{$oForum->title}</a><br /><span class=\"p_forumdescr\">{$oForum->descr}</span></td>\n";
    echo "\t<td class=\"td_f_inf$strAlt\">";
    if ( $oForum->topics<1 )
    {
    echo "&nbsp;";
    }
    else
    {
    $oForum->GetLastPost($oDB,$intForid);
    echo FormatDate($oForum->lastpost_date,$lang);
    echo " <a href=\"qtf_ind_post.php?f={$oForum->id}&amp;t=$oForum->lastpost_topic#p$oForum->lastpost\" title=\"{$lang["H_Goto_message"]}\">{$lang["Goto_message"]}</a><br />".strtolower($lang["By"])." <a href=\"qtf_usr.php?id=$oForum->lastpost_user\" title=\"{$lang["Ico_user_p_1"]}\" class=\"small\">$oForum->lastpost_name</a>";
    }
    echo "</td>\n";
    echo "\t<td class=\"td_f_sta$strAlt\">{$oForum->topics}</td>\n";
    echo "\t<td class=\"td_f_sta$strAlt\">{$oForum->replies}</td>\n";
    echo "</tr>\n";
    if ( $strAlt=="1" ) { $strAlt="2"; } else { $strAlt="1"; }
  }
  // no data
  if ($i==0) echo "<tr><td class=\"td_f_tit$strAlt\" colspan=\"5\">0 {$lang["Forum"]}...</td></tr>";

  echo "</table>\n";
  echo "</div></div>\n";
}

// HTML END

if ( isset($oForum) ) unset($oForum);
include("qtf_p_footer.inc");

?>