<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("M",0,true) ) die($lang["R_moderator"]);

// INITIALISE

$FFid    = -1;
$FFdest  = -1;
$FFforum = -1;
$FFref   = -1;

$oVIP->selfurl = "qtf_topic_move.php";
$oVIP->selfname = $lang["Move"]." ".$lang["Topic"];

// SUBMITTED

if ( isset($_POST["FFsubmit"]) )
{
  // check form
  if ( isset($_POST["FFid"]) )    $FFid    = $_POST["FFid"];
  if ( isset($_POST["FFdest"]) )  $FFdest  = $_POST["FFdest"];
  if ( isset($_POST["FFforum"]) ) $FFforum = $_POST["FFforum"];
  if ( isset($_POST["FFref"]) )   $FFref   = $_POST["FFref"];
  if ( $FFid<0 )    die("Wrong parameters id");
  if ( $FFdest<0 )  die("Wrong parameters dest");
  if ( $FFforum<0 ) die("Wrong parameters forum");
  if ( $FFref<0 )   die("Wrong parameters ref");

  // move
  if ( empty($strError) )
  {
    $oForum = new cForum;
    $oForum->Get($oDB,$FFforum);
    $oForum->MoveContent($oDB,$FFforum,$FFdest,$FFref,$FFid);

    // exit
    $oVIP->exiturl = "qtf_ind_topic.php?f={$_POST["FFforum"]}";
    $oVIP->exitname = $lang["Forum"];
    $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
  }
}

// --------
// HTML START
// --------

if ( isset($_GET["t"]) ) $FFid    = intval($_GET["t"]);
if ( isset($_GET["f"]) ) $FFforum = intval($_GET["f"]);

if ( $FFid<0 )    die("Wrong parameters id");
if ( $FFforum<0 ) die("Wrong parameters forum");

$oForum = new cForum;
$oForum->Get($oDB,$FFforum);

$oTopic = new cTopic;
$oTopic->Get($oDB,$FFid);

$oPost = new cPost;
$oPost->Get($oDB,$oTopic->firstpostid);

$arrForums = GetForums($oDB,"-",true,true,$oForum->id);

// CONTENT

include("qtf_p_header.inc");

echo "<h2>{$oVIP->selfname}</h2><br />";
echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\" style=\"width: 100px\">{$lang["Topic"]}</th>\n";
echo "\t<td class=\"td_form\">$oPost->title</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">{$lang["Topic_starter"]}</th>\n";
echo "\t<td class=\"td_form\">$oTopic->firstpostname <span class=\"small\">(".FormatDate($oTopic->firstpostdate,$lang).")</span></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">{$lang["Replys"]}</th>\n";
echo "\t<td class=\"td_form\">$oTopic->replies, <span class=\"small\">({$lang["Last_message"]} ".FormatDate($oTopic->lastpostdate,$lang).")</span></td>\n";
echo "</tr>\n";

echo "<tr>\n";
echo "\t<th class=\"th_form\">{$lang["Destination"]}</th>\n";
echo "\t<td class=\"td_form\"><select name=\"FFdest\" size=\"1\">\n";
foreach ($arrForums as $intKey => $strValue)
{
echo "\t<option value=\"$intKey\">$strValue</option>\n";
}
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr\">\n";
echo "\t<th class=\"th_form\">{$lang["Ref"]}</th>\n";
echo "\t<td class=\"td_form\"><select name=\"FFref\" size=\"1\">\n";
echo "\t<option value=\"1\">{$lang["Move_keep"]}</option>\n";
echo "\t<option value=\"0\">{$lang["Move_reset"]}</option>\n";
echo "\t<option value=\"2\">{$lang["Move_follow"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">&nbsp;</th>\n";
echo "\t<td class=\"td_form\">\n";
echo "\t<input type=\"hidden\" name=\"FFid\" value=\"$FFid\" />\n";
echo "\t<input type=\"hidden\" name=\"FFforum\" value=\"$FFforum\" />\n";
echo "\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Move"]}\" />\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form><br />";

// HTML END

include("qtf_p_footer.inc");

?>
