<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",4,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("bin/qtf_fn_smtp.inc");
include("$strLang/qtf_register.inc");

$id = -1;
if (isset($_GET["id"])) $id = $_GET["id"];

$oVIP->selfurl = "qtf_usr.php";
$oVIP->selfname = $lang["Profile"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check form
  $strLoca = trim($_POST["FFlocation"]); if ( get_magic_quotes_gpc() ) $strLoca = stripslashes($strLoca);
  $strLoca = FormatTitle($strLoca,24,true);

  if ( empty($strError) )
  {
  $strMail = trim($_POST["FFmail"]);
  $strMail = FormatTitle($strMail,255,true);
  if ( !empty($strMail) && !is_mail($strMail) ) $strError=$lang["Email"]." ".$lang["E_invalid"];
  }
  
  if ( empty($strError) )
  {
  $strParentmail = trim($_POST["FFparentmail"]);
  $strParentmail = FormatTitle($strParentmail,255,true);
  if ( !empty($strParentmail) && !is_mail($strParentmail) ) $strError=$lang["Parent_mail"]." ".$lang["E_invalid"];
  }

  if ( empty($strError) )
  {
  $strWww = trim($_POST["FFwww"]);
  $strWww = FormatTitle($strWww,255,true);
  if ( !empty($strWww) && substr($strWww,0,4)!="http" ) $strError=$lang["Website"]." ".$lang["E_invalid"];
  }

  if ( empty($strError) )
  {
  if (isset($_POST["FFrole"])) { $strRole = $_POST["FFrole"]; } else { $strRole="U"; }
  if ( $_POST["FFid"]=="1" && $strRole!="A" ) $strError="user id[1] is admin and role cannot be changed...";
  if ( $_POST["FFid"]=="0" && $strRole!="V" ) $strError="user id[0] is visitor and role cannot be changed...";
  }

  if ( empty($strError) )
  {
  if (isset($_POST["FFchild"])) { $strChild=$_POST["FFchild"]; } else { $strChild="0"; }
  if ( $_POST["FFid"]=="1" && $strChild!="0" ) $strError="user id[1] is admin and child status cannot be changed...";
  if ( $_POST["FFid"]=="0" && $strChild!="0" ) $strError="user id[0] is visitor and child status cannot be changed...";
  }

  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABUSER." SET location=\"$strLoca\", role=\"$strRole\", mail=\"$strMail\", www=\"$strWww\", privacy=\"{$_POST["FFprivacy"]}\", children=\"$strChild\", parentmail=\"$strParentmail\" WHERE id=".$_POST["FFid"]);

    // parent warning if coppa
    if ($strChild=="1")
    {
    $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
    $row = $oDB->Getrow();
    if ($row["setting"]=="1")
    {
    $strSubject="Profile updated";
    $strMessage="Your children (login: %s) has modified his/her profile on the board {$_SESSION["qtf"]["site_name"]}.";
    $strFile = "$strLang/mail_profile_coppa.inc";
    if ( file_exists($strFile) ) include($strFile);
    $strMessage = sprintf($strMessage, $_POST["FFname"]);
    QtfMail($_POST["FFparentmail"],$strSubject,$strMessage);
    }
  }

  // exit
  unset($_SESSION["qtGotolist"]);
  $oVIP->exiturl = "qtf_usr.php?id={$_POST["FFid"]}";
  $oVIP->exitname = $lang["Profile"];
  $oVIP->EndMessage(NULL,$lang["S_save"],$strSkin,2);
  }
}

// --------
// HTML START
// --------

$bJavaCom=true;
include("qtf_p_header.inc");

// --------
// CONTENT
// --------

if ( $id<0 ) die("Wrong id");

// -- COUNT TOPICS --

$oDB->Query("SELECT count(id) as countid FROM ".TABTOPIC." WHERE firstpostuser=$id");
$row = $oDB->Getrow();
$counttopics = $row["countid"];

// -- COUNT MESSAGES --

$oDB->Query("SELECT count(id) as countid FROM ".TABPOST." WHERE userid=$id");
$row = $oDB->Getrow();
$countmessages = $row["countid"];

// -- LAST POST INFO --

$gotolastpost = "<span class=\"disabled\">{$lang["None"]}</span>";

if ( $counttopics>0 || $countmessages>0 )
{
  $query = "SELECT p.id,p.topic,p.forum FROM ".TABPOST." p WHERE p.userid = $id ORDER BY p.issuedate DESC";
  $oDB->Query($query);
  $row = $oDB->Getrow();
  $gotolastpost = " <a href=\"qtf_ind_post.php?f={$row["forum"]}&amp;t={$row["topic"]}#p{$row["id"]}\" title=\"{$lang["H_Goto_message"]}\">{$lang["Goto_message"]}</a>";
}

// -- QUERY USER --

$oDB->Query("SELECT * FROM ".TABUSER." WHERE id=$id");
$row = $oDB->Getrow();

// -- GET LAST DATE --

if ( $countmessages>0 ) { $lastpost = FormatDate($row["lastdate"],$lang); } else { $lastpost= ""; }

// -- GET NUMPOST --

$strParticip = $countmessages." ".($countmessages>1 ? $lang["Messages"] : $lang["Message"]);
if ( $counttopics>0 )
{
  $strParticip .= " (<a href=\"qtf_ind_search_ov.php?a=user&amp;id=$id&amp;n={$row["name"]}\">$counttopics ".($counttopics>1 ? $lang["Topics"] : $lang["Topic"])."</a>)";
}

// -- DISPLAY PROFILE --

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<colgroup span=\"2\">\n";
echo "<col width=\"175\"></col>\n";
echo "<col></col>\n";
echo "</colgroup>\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\"><h2>$oVIP->selfname</h2><br />".GetAvatar($id,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "\t<td class=\"td_hidden\">\n";

echo "\t\t<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "\t\t<colgroup span=\"2\">\n";
echo "\t\t<col width=\"150\"></col>\n";
echo "\t\t<col></col>\n";
echo "\t\t</colgroup>\n";
echo "\t\t<tr><th class=\"th_form\">{$lang["Username"]}</th><td class=\"td_form\"><b>{$row["name"]}</b></td></tr>\n";
echo "\t\t<tr><th class=\"th_form\">{$lang["Role"]}</th><td class=\"td_form\">".$lang["Userrole_{$row["role"]}"]."</td></tr>\n";
echo "\t\t<tr><th class=\"th_form\">{$lang["Location"]}</th><td class=\"td_form\">{$row["location"]}&nbsp;</td></tr>\n";
echo "\t\t<tr><th class=\"th_form\">{$lang["Joined"]}</th><td class=\"td_form\">".FormatDate($row["firstdate"],$lang)."</td></tr>\n";

$mailtxt = "&nbsp;";

if ( !empty($row["mail"]) )
{
  $mailtxt = "<span class=\"disabled\">{$lang["Mail_not_visible"]}</span>";
  if ($row["privacy"]=="0") {
  if ( $oVIP->id==$id || $oVIP->role=="A" ) {
    $mailtxt = "<a href=\"mailto:{$row["mail"]}\">{$row["mail"]}</a>";
    if ( $_SESSION["qtf"]["javamail"]=="1" ) $mailtxt = Javamail($mailtxt,$id,$row["mail"],$lang["E_javamail"]);
    $mailtxt .= "&nbsp;&nbsp;{$lang["Mail_not_visible"]}";
  }
  }
  if ($row["privacy"]=="1") {
  if ( $oVIP->id==$id || $oVIP->role!="V" ) {
    $mailtxt = "<a href=\"mailto:{$row["mail"]}\">{$row["mail"]}</a>";
    if ( $_SESSION["qtf"]["javamail"]=="1" ) $mailtxt = Javamail($mailtxt,$id,$row["mail"],$lang["E_javamail"]);
    $mailtxt .= "&nbsp;&nbsp;{$lang["Mail_visible_for_members"]}";
  }
  }
  if ($row["privacy"]=="2")
  {
    $mailtxt = "<a href=\"mailto:{$row["mail"]}\">{$row["mail"]}</a>";
    if ( $_SESSION["qtf"]["javamail"]=="1" ) $mailtxt = Javamail($mailtxt,$id,$row["mail"],$lang["E_javamail"]);
    $mailtxt .= "&nbsp;&nbsp;{$lang["Mail_visible_for_members"]}";
  }
}

echo "\t\t<tr><th class=\"th_form\">{$lang["Email"]}</th><td class=\"td_form\">$mailtxt</td></tr>\n";

$wwwtxt = "&nbsp;";

if ( !empty($row["www"]) )
{
$wwwtxt = "<a href=\"{$row["www"]}\" target=\"_blank\">{$row["www"]}</a>";
}

echo "\t\t<tr><th class=\"th_form\">{$lang["Website"]}</th><td class=\"td_form\">$wwwtxt</td></tr>\n";

echo "\t\t<tr><th class=\"th_form\">{$lang["Last_message"]}</th><td class=\"td_form\">$lastpost$gotolastpost</td></tr>\n";
echo "\t\t<tr><th class=\"th_form\">{$lang["Messages"]}</th><td class=\"td_form\">$strParticip</td></tr>\n";
echo "\t\t</table>\n";

echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n\n";

// -- EDIT PROFILE --

if ( $oVIP->id==$id || $oVIP->role=="A" )
{
  echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
  echo "<colgroup span=\"2\">\n";
  echo "<col width=\"175\"></col>\n";
  echo "<col></col>\n";
  echo "</colgroup>\n";
  echo "<tr class=\"tr_hidden\">\n";
  echo "\t<td>\n";
  echo "\t<h2>Edit profile</h2><br />\n";
  if ( $_SESSION["qtf"]["avatar"]!="0" )
  {
  echo "\t<a href=\"qtf_usr_avatar.php?id=$id\">{$lang["Change_avatar"]}</a><br />\n";
  }
  echo "\t<a href=\"qtf_form_sign.php?id=$id\">{$lang["Change_signature"]}</a><br /><br />\n";
  if ( $id>0 ) echo "\t<a href=\"qtf_usr_pwd_chg.php?id=$id\">{$lang["Change_password"]}</a><br />\n";
  if ( $oVIP->role=="A" )
  {
  if ( $id>0 ) echo "\t<br />{$lang["Userrole_A"]}<br />\n";
  if ( $id>0 ) echo "\t<a href=\"qtf_adm_usr_reset.php?id=$id\">{$lang["Reset_pwd"]}</a><br />\n";
  if ( $id>1 ) echo "\t<a href=\"qtf_adm_usr_ban.php?id=$id\">{$lang["Ban_user"]}</a><br />\n";
  if ( $id>1 ) echo "\t<a href=\"qtf_adm_usr_del.php?id=$id\">{$lang["Delete_user"]}</a><br />\n";
  }
  echo "\t</td>\n";
  if ( $id>0 )
  {
    echo "\t<td>\n";
    echo "\t\t<form method=\"post\" action=\"qtf_usr.php?id=$id\">\n";
    echo "\t\t<table class=\"tab_cnt\" cellspacing=\"0\">\n";
    echo "\t\t<colgroup span=\"2\">\n";
    echo "\t\t<col width=\"150\"></col>\n";
    echo "\t\t<col></col>\n";
    echo "\t\t</colgroup>\n";
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">{$lang["Location"]}</th>\n";
    echo "\t\t<td class=\"td_form\"><input type=\"text\" name=\"FFlocation\" size=\"30\" maxlength=\"24\" value=\"{$row["location"]}\" /></td>\n";
    echo "\t\t</tr>\n";
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">{$lang["Email"]}</th>\n";
    echo "\t\t<td class=\"td_form\"><input type=\"text\" name=\"FFmail\" size=\"30\" maxlength=\"255\" value=\"{$row["mail"]}\" />\n";
    echo "\t\t<select size=\"1\" name=\"FFprivacy\">\n";
    echo "\t\t<option value=\"0\" ".($row["privacy"]=="0" ? QSEL : "").">{$lang["Mail_not_visible"]}</option>\n";
    echo "\t\t<option value=\"1\" ".($row["privacy"]=="1" ? QSEL : "").">{$lang["Mail_visible_for_members"]}</option>\n";
    echo "\t\t<option value=\"2\" ".($row["privacy"]=="2" ? QSEL : "").">{$lang["Mail_visible_for_all"]}</option>\n";
    echo "\t\t</select>\n";
    echo "\t\t</td>\n";
    echo "\t\t</tr>\n";
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">{$lang["Website"]}</th>\n";
    echo "\t\t<td class=\"td_form\"><input type=\"text\" name=\"FFwww\" size=\"30\" maxlength=\"255\" value=\"{$row["www"]}\" /><span class=\"small\"> {$lang["H_Website"]}</span></td>\n";
    echo "\t\t</tr>\n";
    if ( $oVIP->role=="A" )
    {
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">{$lang["Role"]}</th>\n";
    echo "\t\t<td class=\"td_form\">\n";
    echo "\t\t<select size=\"1\" name=\"FFrole\">\n";
    echo "\t\t<option value=\"A\" ".($row["role"]=="A" ? QSEL : "").">{$lang["Userrole_A"]}</option>\n";
    echo "\t\t<option value=\"M\" ".($row["role"]=="M" ? QSEL : "").">{$lang["Userrole_M"]}</option>\n";
    echo "\t\t<option value=\"U\" ".($row["role"]=="U" ? QSEL : "").">{$lang["Userrole_U"]}</option>\n";
    echo "\t\t</select>\n";
    echo "\t\t</td>\n";
    echo "\t\t</tr>\n";
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">{$lang["Child"]}</th>\n";
    echo "\t\t<td class=\"td_form\">\n";
    echo "\t\t<select size=\"1\" name=\"FFchild\">\n";
    echo "\t\t<option value=\"0\" ".($row["children"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
    echo "\t\t<option value=\"1\" ".($row["children"]=="1" ? QSEL : "").">{$lang["Yes"]} {$lang["With_parent_agree"]}</option>\n";
    echo "\t\t<option value=\"2\" ".($row["children"]=="2" ? QSEL : "").">{$lang["Yes"]} {$lang["Without_parent_agree"]}</option>\n";
    echo "\t\t</select>\n";
    echo "\t\t</td>\n";
    echo "\t\t</tr>\n";
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">{$lang["Parent_mail"]}</th>\n";
    echo "\t\t<td class=\"td_form\"><input type=\"text\" name=\"FFparentmail\" size=\"30\" maxlength=\"255\" value=\"{$row["parentmail"]}\" /></td>\n";
    echo "\t\t</tr>\n";
    }
    echo "\t\t<tr>\n";
    echo "\t\t<th class=\"th_form\">&nbsp;<input type=\"hidden\" name=\"FFid\" value=\"$id\" /><input type=\"hidden\" name=\"FFname\" value=\"{$row["name"]}\" /></th>\n";
    echo "\t\t<td class=\"td_form\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" />&nbsp;";
    if ( !empty($strError) ) echo "<span class=\"error\">$strError</span>";
    echo "</td>\n";
    echo "\t\t</tr>\n";
    echo "\t\t</table>\n";
    echo "\t\t</form><br />\n";
    echo "\t</td>\n";
  }
  echo "</tr>\n";
  echo "</table>\n\n";
}

// HTML END

include("qtf_p_footer.inc");

?>