<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $_SESSION["qtf"]["avatar"]=="0" ) die($lang["E_access"]);
if ( !$oVIP->CanAccess("MU",0,true) ) die($lang["R_member"]);

// INITIALISE

include("bin/qtf_fn_smtp.inc");
include("$strLang/qtf_register.inc");

$id = -1;
if (isset($_GET["id"])) $id = $_GET["id"];

$oVIP->selfurl = "qtf_usr_avatar.php";
$oVIP->selfname = $lang["Change_avatar"];
$oVIP->exiturl = "qtf_usr.php?id=$id";
$oVIP->exitname = $lang["Profile"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $id = $_POST["FFid"];

  // delete avatar
  if ($_POST["FFsubmit"]==$lang["Delete"])
  {
    $oDB->Query("UPDATE ".TABUSER." SET avatar=\"0\" WHERE id=$id");
    if (file_exists("avatar/$id.gif")) unlink("avatar/$id.gif");
    if (file_exists("avatar/$id.jpg")) unlink("avatar/$id.jpg");
    if (file_exists("avatar/$id.jpeg")) unlink("avatar/$id.jpeg");
    if (file_exists("avatar/$id.png")) unlink("avatar/$id.png");
    // exit
    $oVIP->EndMessage(NULL,$lang["S_delete"],$strSkin,2);
  }

  // load avatar
  if ( !is_uploaded_file($_FILES["FFtitle"]["tmp_name"]) )
  {
    $strError = "You did not upload a file!";
  }
  else
  {
    $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"avatar_width\"");
    $row = $oDB->Getrow();
    $avatar_width =$row["setting"];
    $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"avatar_height\"");
    $row = $oDB->Getrow();
    $avatar_height = $row["setting"];
    $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"avatar_size\"");
    $row = $oDB->Getrow();
    $avatar_size = $row["setting"];

    $lstExt = explode(",",$_SESSION["qtf"]["avatar"]);
    foreach ($lstExt as $ext)
    {
    $lstFormat[] = "image/$ext";
    }

    if ( !in_array($_FILES["FFtitle"]["type"],$lstFormat) )
    {
      $strError = "Format not supported...";
      unlink($_FILES["FFtitle"]["tmp_name"]);
    }
    else
    {
      if ($_FILES["FFtitle"]["type"]=="image/png") $ext = "png";
      elseif ($_FILES["FFtitle"]["type"]=="image/gif") $ext = "gif";
      else $ext="jpg";

      if ($_FILES["FFtitle"]["size"] > ($avatar_size*1024)+16)
      {
        $strError = $lang["E_file_size"]." (&lt;$avatar_size Kb)";
        unlink($_FILES["FFtitle"]["tmp_name"]);
      }
      else
      {
        $size = getimagesize($_FILES["FFtitle"]["tmp_name"]);
        $width = $size[0];
        $height = $size[1];
        if (($width-2 > $avatar_width) or ($height-2 > $avatar_height))
        {
          $strError = $avatar_width."x".$avatar_height." ".$lang["E_pixels_max"];
          unlink($_FILES["FFtitle"]["tmp_name"]);
        }
        else
        {
          //File has passed all validation, copy it to the final destination and remove the temporary file:
          copy($_FILES["FFtitle"]["tmp_name"],"avatar/$id.$ext");
          $oDB->Query("UPDATE ".TABUSER." SET avatar=\"$ext\" WHERE id=$id");
          unlink($_FILES["FFtitle"]["tmp_name"]);

          // SEND PARENT EMAIL (IF COPPA)
          if ($_POST["FFchild"]!="0")
          {
            $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
            $row = $oDB->Getrow();
            if ( $row["setting"]=="1")
            {
            $strSubject="Profile updated";
            $strMessage="Your children (login: %s) has modified his/her avatar on the board {$_SESSION["qtf"]["site_name"]}.";
            $strFile = "$strLang/mail_profile_coppa.inc";
            if ( file_exists($strFile) ) include($strFile);
            $strMessage = sprintf($strMessage, $_POST["FFname"]);
            QtfMail($_POST["FFparentmail"],$strSubject,$strMessage);
            }
          }
          // exit
          $oVIP->exiturl = "qtf_usr.php?id=$id";
          $oVIP->exitname = $lang["Profile"];
          $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
        }
      }
    }
  }
}

// --------
// HTML START
// --------

$bJavaCom = true;
include("qtf_p_header.inc");

// --------
// CONTENT
// --------

if ($id < 0) die("Missing parameters");

if ( $oVIP->role!="A" )
{
  if ($oVIP->id!=$id) die($lang["R_member"]);
}
$oDB->Query("SELECT name, avatar, children, parentmail FROM ".TABUSER." WHERE id=$id");
$row = $oDB->Getrow();

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\" style=\"width:175px;\">".GetAvatar($id,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "\t<td class=\"td_hidden\">\n";

echo "\t\t<div class=\"div_msgboxtitle\" style=\"width: 350px;\">$oVIP->selfname</div>\n";
echo "\t\t<div class=\"div_msgbox\" style=\"width: 350px;\">\n";
echo "\t\t<form method=\"post\" action=\"$oVIP->selfurl\" enctype=\"multipart/form-data\" onsubmit=\"return validatetitle(this,256,'{$lang["E_mandatory"]}');\">\n";
if ( !empty($strError) ) echo "\t\t<span class=\"error\">$strError</span>\n";
echo "\t\t<p style=\"text-align:right\">\n";
echo "\t\t<input type=\"file\" name=\"FFtitle\" size=\"32\"/>\n";
echo "\t\t<input type=\"hidden\" name=\"max_file_size\" value=\"10000\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFname\" value=\"{$row["name"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFid\" value=\"$id\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFchild\" value=\"{$row["children"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFparentmail\" value=\"{$row["parentmail"]}\" />\n";
echo "\t\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></p>\n";
echo "\t\t</form><br />\n";
echo "\t\t<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "\t\t<p style=\"text-align:right\">\n";
echo "\t\t{$lang["Delete_avatar"]}&nbsp;\n";
echo "\t\t<input type=\"hidden\" name=\"FFid\" value=\"$id\" />\n";
echo "\t\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" /></p>\n";
echo "\t\t</form>\n";
echo "\t\t&laquo;&nbsp;<a href=\"$oVIP->exiturl\">$oVIP->exitname</a>\n";
echo "\t\t</div>\n";

echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n";

// HTML END

include("qtf_p_footer.inc");

?>