<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("V",0,false) ) die($lang["E_access"]);

// INITIALISE

include("$strLang/qtf_register.inc");

$oVIP->selfurl = "qtf_usr_login.php";
$oVIP->selfname = $lang["Login"];

$strName = "";

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // CHECK FORM VALUE

  $strName = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $strName = stripslashes($strName);
  if ( !is_login($strName) ) $strError = $lang["Username"]." ".$lang["E_invalid"];

  $strPwd = trim($_POST["FFpwd"]);
  if ( !is_password($strPwd) ) $strError = $lang["Password"]." ".$lang["E_invalid"];
  if ( !ereg("^[0-9@-Za-z. _()]+$",$strPwd) ) $strError .= ". ".$lang["E_pwd_char"];


  // CHECK LOGIN/PASSWORD

  if ( empty($strError) )
  {
    $oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE name=\"".htmlspecialchars($strName,ENT_QUOTES)."\" AND pwd=\"".sha1($strPwd)."\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]!=1 ) $strError = $lang["E_access"];
  }

  // READ USER INFO

  if ( empty($strError) )
  {
    $oDB->Query("SELECT lastdate,id,role,closed,children,numpost,ip FROM ".TABUSER." WHERE name=\"".htmlspecialchars($strName,ENT_QUOTES)."\"");
    $row = $oDB->Getrow();
  }

  // CHECK REGISTERED IF CHILDREN (AND COPPA ACTIVE)

  if ( empty($strError) )
  {
    if ( $row["children"]=="2" )
    {
      $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
      $row2 = $oDB->Getrow();
      if ( $row2["setting"]=="1")
      {
        $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
        $oVIP->EndMessage(NULL,"<h2>{$lang["Welcome"]} $strName</h2><br />{$lang["E_access"]}<br />{$lang["E_coppa_confirm"]}",$strSkin,0);
      }
    }
  }

  // CHECK BAN

  if ( empty($strError) )
  {
    if ( !empty($row["closed"]) )
    {
      // protection against hacking of admin/moderator
      if ( $row["id"]<2 || $row["role"]=="A" || $row["role"]=="M" )
      {
      $oDB->Query("UPDATE ".TABUSER." SET closed=\"0\" WHERE id<2");
      $oVIP->exiturl = "qtf_usr_login.php";
      $oVIP->exitname = $lang["Login"];
      $oVIP->EndMessage(NULL,"You were banned...<br /><br />As you are admin/moderator, the protection against hacking rules has re-opened your access.<br />Re-try login now...<br />",$strSkin,0);
      }
      // normal process
      $intDays = intval($row["closed"]);
      $endban = strtotime($row["lastdate"]." +$intDays days");
      if ( date("Y-m-d H:i:s")>$endban )
      {
      $oDB->Query("UPDATE ".TABUSER." SET closed=\"0\" WHERE name=\"".htmlspecialchars($strName,ENT_QUOTES)."\"");
      }
      else
      {
      $oVIP->EndMessage(NULL,"<h2>$strName {$lang["Is_banned"]}</h2><br />{$lang["E_access"]} {$lang["Retry_tomorrow"]}<br />",$strSkin,0);
      }
    }
  }

  // EXECUTE

  if ( empty($strError) )
  {
    $oVIP->name = $strName;
    $oVIP->id   = $row["id"];
    $oVIP->role = $row["role"];
    $oVIP->numpost = $row["numpost"];
    if ( isset($_POST["FFremember"]) ) { $oVIP->Login($oDB,$strPwd); } else { $oVIP->Login($oDB,false); }
    unset($_SESSION["qtGotolist"]);
    unset($_SESSION["qtTopicstatus"]);
    unset($_SESSION["qtTopictypes"]);
    // End message
    $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
    $oVIP->EndMessage(NULL,"<h2>{$lang["Welcome"]} $strName</h2>",$strSkin,2);
  }
}

// --------
// HTML START
// --------

$bJavaCom=true;
include("qtf_p_header.inc");

// --------
// CONTENT
// --------

echo "<br />\n";
echo "<div class=\"div_msgboxtitle\" style=\"width: 300px;\">$oVIP->selfname</div>\n";
echo "<div class=\"div_msgbox\" style=\"width: 300px;\">\n";
if ( !empty($strError) ) echo "<span class=\"error\">$strError</span>&nbsp;";
echo "<form method=\"post\" action=\"{$oVIP->selfurl}\" onsubmit=\"return validatetitle(this,24,'{$lang["E_mandatory"]}');\">\n";
echo "<p style=\"text-align:right\"><label for=\"FFtitle\">{$lang["Username"]}</label>&nbsp;<input type=\"text\" id=\"FFtitle\" name=\"FFtitle\" size=\"20\" maxlength=\"24\" value=\"$strName\" />&nbsp;</p>\n";
echo "<p style=\"text-align:right\"><label for=\"FFpwd\">{$lang["Password"]}</label>&nbsp;<input type=\"password\" id=\"FFpwd\" name=\"FFpwd\" size=\"20\" maxlength=\"24\" />&nbsp;</p>\n";
echo "<p style=\"text-align:right\"><input type=\"checkbox\" id=\"FFremember\" name=\"FFremember\" />&nbsp;<label for=\"FFremember\">{$lang["Remember"]}</label>&nbsp;&nbsp;";
echo "<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Login"]}\" />&nbsp;</p>\n";
echo "<p style=\"text-align:right\"><a class=\"small\" href=\"qtf_usr_new.php\">{$lang["Register"]}</a> &middot; <a class=\"small\" href=\"qtf_usr_pwd_for.php\">{$lang["Forgotten_pwd"]}</a>&nbsp;</p>\n";
echo "</form>\n";
echo "</div>\n";
echo "<br />\n";

// HTML END

include("qtf_p_footer.inc");

?>