<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MU",0,true) ) die($lang["E_member"]);

// INITIALISE

include("bin/qtf_fn_smtp.inc");
include("$strLang/qtf_register.inc");

$id = -1;
if (isset($_GET["id"])) $id = $_GET["id"];

$oVIP->selfurl = "qtf_usr_pwd_chg.php";
$oVIP->selfname = $lang["Change_password"];
$oVIP->exiturl = "qtf_usr.php?id=$id";

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $id = $_POST["FFid"];

  // CHECK VALUE

  if ( !is_password($_POST["FFtitle"]) ) $strError=$lang["Old_password"]." ".$lang["E_invalid"];
  if ( !is_password($_POST["FFnewpwd"]) ) $strError=$lang["New_password"]." ".$lang["E_invalid"];
  if ( !is_password($_POST["FFconpwd"]) ) $strError=$lang["Confirm_password"]." ".$lang["E_invalid"];
  if ( $_POST["FFtitle"]==$_POST["FFnewpwd"] ) $strError=$lang["New_password"]." ".$lang["E_invalid"];
  if ( $_POST["FFconpwd"]!=$_POST["FFnewpwd"] ) $strError=$lang["Confirm_password"]." ".$lang["E_invalid"];

  // CHECK OLD PWD

  if ( empty($strError) )
  {
    $oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE id=$id AND pwd=\"".sha1($_POST["FFtitle"])."\"");
    $row = $oDB->Getrow();
    if ($row["countid"]==0) $strError=$lang["Old_password"]." ".$lang["E_invalid"];
  }

  // EXECUTE

  if ( empty($strError) )
  {
    // send parent email (if coppa)
    if ($_POST["FFchild"]!="0")
    {
      $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
      $row = $oDB->Getrow();
      if ( $row["setting"]=="1")
      {
        $strSubject="New password";
        $strMessage="We inform you that your children has changed his/her password on the board {$_SESSION["qtf"]["site_name"]}.\nLogin: %s\nPassword: %s";
        $strFile = "$strLang/mail_pwd_coppa.inc";
        if ( file_exists($strFile) ) include($strFile);
        $strMessage = sprintf($strMessage,$_POST["FFname"],$_POST["FFnewpwd"]);
        QtfMail($_POST["FFparentmail"],$strSubject,$strMessage);
      }
    }

    // save new password
    $oDB->Query("UPDATE ".TABUSER." SET pwd=\"".sha1($_POST["FFnewpwd"])."\" WHERE id = $id");

    // exit
    $oVIP->exiturl = "qtf_usr.php?id=$id";
    $oVIP->exitname = $lang["Profile"];
    $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
  }
}

// --------
// HTML START
// --------

$bJavaCom = true;
include("qtf_p_header.inc");

// CHECK ACCESS RIGHT

if ($id < 0) die("Missing parameters");
if ( ( $oVIP->role!="A" ) && ($oVIP->id!=$id) ) die($lang["R_member"]);

// QUERY

$oDB->Query("SELECT name,mail,children,parentmail,avatar FROM ".TABUSER." WHERE id=$id");
$row = $oDB->Getrow();

// DISPLAY

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\" style=\"width:175px;\">".GetAvatar($id,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "\t<td class=\"td_hidden\">\n";
echo "\t\t<div class=\"div_msgboxtitle\" style=\"width: 350px;\">$oVIP->selfname</div>\n";
echo "\t\t<div class=\"div_msgbox\" style=\"width: 350px;\">\n";
echo "\t\t<form method=\"post\" action=\"$oVIP->selfurl\" onsubmit=\"return validatetitle(this,24,'{$lang["E_mandatory"]}');\">\n";
echo "\t\t<p style=\"text-align:right\">{$lang["Old_password"]}&nbsp;<input type=\"password\" name=\"FFtitle\" size=\"20\" maxlength=\"24\" /></p>\n";
echo "\t\t<p style=\"text-align:right\">{$lang["New_password"]}&nbsp;<input type=\"password\" name=\"FFnewpwd\" size=\"20\" maxlength=\"24\" /></p>\n";
echo "\t\t<p style=\"text-align:right\">{$lang["Confirm_password"]}&nbsp;<input type=\"password\" name=\"FFconpwd\" size=\"20\" maxlength=\"24\" /></p>\n";
echo "\t\t<p style=\"text-align:right\">";
if ( !empty($strError) ) echo "<span class=\"error\">$strError</span>";
echo "\t\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></p>\n";
echo "\t\t<input type=\"hidden\" name=\"FFid\" value=\"$id\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFname\" value=\"{$row["name"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFmail\" value=\"{$row["mail"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFchild\" value=\"{$row["children"]}\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFparentmail\" value=\"{$row["parentmail"]}\" />\n";
echo "\t\t</form>\n";
echo "\t\t&laquo;&nbsp;<a href=\"{$oVIP->exiturl}\">{$lang["Profile"]}</a><br />\n";
echo "\t\t</div><br />\n";
echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n";

// HTML END

include("qtf_p_footer.inc");

?>