<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("V",0,true) ) die($lang["E_access"]);

// INITIALISE

include("bin/qtf_fn_smtp.inc");
include("$strLang/qtf_register.inc");

$oVIP->selfurl = "qtf_usr_pwd_for.php";
$oVIP->selfname = $lang["Forgotten_pwd"];
$oVIP->exiturl = "qtf_index.php";
$oVIP->exitname = $lang["Forum"];

$strTitle = "";
$strMail = "";

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check value

  $strTitle = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  if (!is_login($strTitle,2)) $strError=$lang["Username"]." ".$lang["E_invalid"];

  $strMail = trim($_POST["FFmail"]);
  if (!is_mail($strMail)) $strError=$lang["Email"]." ".$lang["E_invalid"];

  if ( empty($strError) )
  {
    // check login exists
    $oDB->Query("SELECT count(id) as countid FROM ".TABUSER." WHERE name=\"$strTitle\" and mail=\"$strMail\"");
    $row = $oDB->Getrow();
    if ($row["countid"]!=1) $strError=$lang["Username"]."/".$lang["Email"]." ".$lang["E_invalid"];

    // read user info
    $oDB->Query("SELECT parentmail,children FROM ".TABUSER." WHERE name=\"$strTitle\" AND mail=\"$strMail\"");
    $row = $oDB->Getrow();
    $strParentmail = $row["parentmail"];
    $strChildren = $row["children"];

    // execute
    if ( empty($strError) )
    {
      $newpwd = "T".rand(0,9).rand(0,9)."Q".rand(0,9).rand(0,9);
      $issuedate = date("Y-m-d H:i:s");
      $oDB->Query("UPDATE ".TABUSER." SET pwd=\"".sha1($newpwd)."\" WHERE name=\"$strTitle\" AND mail=\"$strMail\"");

      // send email
      $strSubject="New password";
      $strMessage="Please find here after a new password to access the board {$_SESSION["qtf"]["site_name"]}.\nLogin: %s\nPassword: %s";
      $strFile = "$strLang/mail_pwd.inc";
      if ( file_exists($strFile) ) include($strFile);
      $strMessage = sprintf($strMessage,$strTitle,$newpwd);
      QtfMail($_POST["FFparentmail"],$strSubject,$strMessage);

      // send parent email (if coppa)
      if ( $strChildren!="0" )
      {
        $oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
        $row = $oDB->Getrow();
        if ( $row["setting"]=="1")
        {
          $strSubject="New password";
          $strMessage="Here is then new password of your children.\nLogin: %s\nPassword: %s";
          $strFile = "$strLang/mail_pwd_coppa.inc";
          if ( file_exists($strFile) ) { include($strFile); }
          $strMessage = sprintf($strMessage, $strTitle,$newpwd);
          QtfMail($_POST["FFparentmail"],$strSubject,$strMessage);
        }
      }

      // exit
      $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
    }
  }
}

// --------
// HTML START
// --------

$bJavaCom = true;
include("qtf_p_header.inc");

echo "<br />\n";
echo "<div class=\"div_msgboxtitle\" style=\"width: 300px;\">$oVIP->selfname</div>\n";
echo "<div class=\"div_msgbox\" style=\"width: 300px;\">\n";
echo "<form method=\"post\" action=\"$oVIP->selfurl\" onsubmit=\"return validatetitle(this,24,'{$lang["E_mandatory"]}');\">\n";

$strFile="$strLang/sys_pwd_forgotten.txt";
if ( file_exists($strFile) ) { include($strFile); } else { "<p>We will send you a temporary password that will allow you to select a new password.</p>\n"; }

echo "<p style=\"text-align:right\">{$lang["Username"]}&nbsp;<input type=\"text\" name=\"FFtitle\" size=\"24\" maxlength=\"24\" value=\"$strTitle\" /></p>\n";
echo "<p style=\"text-align:right\">{$lang["Email"]}&nbsp;<input type=\"text\" name=\"FFmail\" size=\"24\" maxlength=\"64\" value=\"$strMail\" /></p>\n";
echo "<p style=\"text-align:right\">";
if ( !empty($strError) ) echo "<span class=\"error\">$strError</span> ";
echo "<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Ok"]}\" /></p>\n";
echo "</form>\n";
echo "</div>\n";
echo "<br />\n";

// HTML END

include("qtf_p_footer.inc");

?>